/* Equalizer.c generated by valac 0.38.10, the Vala compiler
 * generated from Equalizer.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2012-2017 elementary LLC. (https://elementary.io)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Noise authors hereby grant permission for non-GPL compatible
 * GStreamer plugins to be used and distributed together with GStreamer
 * and Noise. This permission is above and beyond the permissions granted
 * by the GPL license by which Noise is covered. If you modify this code
 * you may extend this exception to your version of the code, but you are not
 * obligated to do so. If you do not wish to do so, delete this exception
 * statement from your version.
 *
 * Authored by: Scott Ringwelski <sgringwe@mtu.edu>
 */

#include <glib.h>
#include <glib-object.h>
#include <gst/gst.h>
#include <gee.h>
#include <float.h>
#include <math.h>
#include <glib/gi18n-lib.h>
#include <stdlib.h>
#include <string.h>


#define NOISE_TYPE_EQUALIZER (noise_equalizer_get_type ())
#define NOISE_EQUALIZER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_EQUALIZER, NoiseEqualizer))
#define NOISE_EQUALIZER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_EQUALIZER, NoiseEqualizerClass))
#define NOISE_IS_EQUALIZER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_EQUALIZER))
#define NOISE_IS_EQUALIZER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_EQUALIZER))
#define NOISE_EQUALIZER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_EQUALIZER, NoiseEqualizerClass))

typedef struct _NoiseEqualizer NoiseEqualizer;
typedef struct _NoiseEqualizerClass NoiseEqualizerClass;
typedef struct _NoiseEqualizerPrivate NoiseEqualizerPrivate;
enum  {
	NOISE_EQUALIZER_0_PROPERTY,
	NOISE_EQUALIZER_NUM_PROPERTIES
};
static GParamSpec* noise_equalizer_properties[NOISE_EQUALIZER_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))

#define NOISE_TYPE_EQUALIZER_PRESET (noise_equalizer_preset_get_type ())
#define NOISE_EQUALIZER_PRESET(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_EQUALIZER_PRESET, NoiseEqualizerPreset))
#define NOISE_EQUALIZER_PRESET_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_EQUALIZER_PRESET, NoiseEqualizerPresetClass))
#define NOISE_IS_EQUALIZER_PRESET(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_EQUALIZER_PRESET))
#define NOISE_IS_EQUALIZER_PRESET_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_EQUALIZER_PRESET))
#define NOISE_EQUALIZER_PRESET_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_EQUALIZER_PRESET, NoiseEqualizerPresetClass))

typedef struct _NoiseEqualizerPreset NoiseEqualizerPreset;
typedef struct _NoiseEqualizerPresetClass NoiseEqualizerPresetClass;

struct _NoiseEqualizer {
	GObject parent_instance;
	NoiseEqualizerPrivate * priv;
	GstElement* element;
};

struct _NoiseEqualizerClass {
	GObjectClass parent_class;
};


static gpointer noise_equalizer_parent_class = NULL;
static GeeTreeSet* noise_equalizer_default_presets;
static GeeTreeSet* noise_equalizer_default_presets = NULL;

GType noise_equalizer_get_type (void) G_GNUC_CONST;
GType noise_equalizer_preset_get_type (void) G_GNUC_CONST;
NoiseEqualizer* noise_equalizer_new (void);
NoiseEqualizer* noise_equalizer_construct (GType object_type);
void noise_equalizer_setGain (NoiseEqualizer* self, gint index, gdouble gain);
GeeCollection* noise_equalizer_get_default_presets (void);
NoiseEqualizerPreset* noise_equalizer_preset_new_with_gains (const gchar* name, gint* items, int items_length1);
NoiseEqualizerPreset* noise_equalizer_preset_construct_with_gains (GType object_type, const gchar* name, gint* items, int items_length1);
static void noise_equalizer_finalize (GObject * obj);


NoiseEqualizer* noise_equalizer_construct (GType object_type) {
	NoiseEqualizer * self = NULL;
	GstElement* _tmp0_;
	gint* freqs = NULL;
	gint* _tmp1_;
	gint freqs_length1;
	gint _freqs_size_;
	gfloat last_freq = 0.0F;
#line 32 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	self = (NoiseEqualizer*) g_object_new (object_type, NULL);
#line 33 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp0_ = gst_element_factory_make ("equalizer-10bands", "equalizer");
#line 33 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	if (_tmp0_ != NULL) {
#line 33 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
		g_object_ref_sink (_tmp0_);
#line 113 "Equalizer.c"
	}
#line 33 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_g_object_unref0 (self->element);
#line 33 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	self->element = _tmp0_;
#line 35 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp1_ = g_new0 (gint, 10);
#line 35 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp1_[0] = 60;
#line 35 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp1_[1] = 170;
#line 35 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp1_[2] = 310;
#line 35 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp1_[3] = 600;
#line 35 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp1_[4] = 1000;
#line 35 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp1_[5] = 3000;
#line 35 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp1_[6] = 6000;
#line 35 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp1_[7] = 12000;
#line 35 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp1_[8] = 14000;
#line 35 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp1_[9] = 16000;
#line 35 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	freqs = _tmp1_;
#line 35 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	freqs_length1 = 10;
#line 35 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_freqs_size_ = freqs_length1;
#line 38 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	last_freq = (gfloat) 0;
#line 149 "Equalizer.c"
	{
		gint index = 0;
#line 39 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
		index = 0;
#line 154 "Equalizer.c"
		{
			gboolean _tmp2_ = FALSE;
#line 39 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
			_tmp2_ = TRUE;
#line 39 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
			while (TRUE) {
#line 161 "Equalizer.c"
				gint _tmp4_;
				GObject* band = NULL;
				GstElement* _tmp5_;
				gint _tmp6_;
				GObject* _tmp7_;
				gfloat freq = 0.0F;
				gint* _tmp8_;
				gint _tmp8__length1;
				gint _tmp9_;
				gint _tmp10_;
				gfloat bandwidth = 0.0F;
				gfloat _tmp11_;
				gfloat _tmp12_;
				gfloat _tmp13_;
				GObject* _tmp14_;
				gfloat _tmp15_;
				gfloat _tmp16_;
#line 39 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
				if (!_tmp2_) {
#line 181 "Equalizer.c"
					gint _tmp3_;
#line 39 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
					_tmp3_ = index;
#line 39 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
					index = _tmp3_ + 1;
#line 187 "Equalizer.c"
				}
#line 39 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
				_tmp2_ = FALSE;
#line 39 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
				_tmp4_ = index;
#line 39 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
				if (!(_tmp4_ < 10)) {
#line 39 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
					break;
#line 197 "Equalizer.c"
				}
#line 40 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
				_tmp5_ = self->element;
#line 40 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
				_tmp6_ = index;
#line 40 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
				_tmp7_ = gst_child_proxy_get_child_by_index (G_TYPE_CHECK_INSTANCE_CAST (_tmp5_, gst_child_proxy_get_type (), GstChildProxy), (guint) _tmp6_);
#line 40 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
				band = _tmp7_;
#line 42 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
				_tmp8_ = freqs;
#line 42 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
				_tmp8__length1 = freqs_length1;
#line 42 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
				_tmp9_ = index;
#line 42 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
				_tmp10_ = _tmp8_[_tmp9_];
#line 42 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
				freq = (gfloat) _tmp10_;
#line 43 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
				_tmp11_ = freq;
#line 43 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
				_tmp12_ = last_freq;
#line 43 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
				bandwidth = _tmp11_ - _tmp12_;
#line 44 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
				_tmp13_ = freq;
#line 44 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
				last_freq = _tmp13_;
#line 46 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
				_tmp14_ = band;
#line 46 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
				_tmp15_ = freq;
#line 46 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
				_tmp16_ = bandwidth;
#line 46 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
				g_object_set (_tmp14_, "freq", _tmp15_, "bandwidth", _tmp16_, "gain", 0.0f, NULL);
#line 39 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
				_g_object_unref0 (band);
#line 237 "Equalizer.c"
			}
		}
	}
#line 32 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	freqs = (g_free (freqs), NULL);
#line 32 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	return self;
#line 245 "Equalizer.c"
}


NoiseEqualizer* noise_equalizer_new (void) {
#line 32 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	return noise_equalizer_construct (NOISE_TYPE_EQUALIZER);
#line 252 "Equalizer.c"
}


void noise_equalizer_setGain (NoiseEqualizer* self, gint index, gdouble gain) {
	GObject* band = NULL;
	GstElement* _tmp0_;
	gint _tmp1_;
	GObject* _tmp2_;
	gdouble _tmp3_;
	GObject* _tmp6_;
	gdouble _tmp7_;
#line 52 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	g_return_if_fail (self != NULL);
#line 53 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp0_ = self->element;
#line 53 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp1_ = index;
#line 53 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp2_ = gst_child_proxy_get_child_by_index (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, gst_child_proxy_get_type (), GstChildProxy), (guint) _tmp1_);
#line 53 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	band = _tmp2_;
#line 55 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp3_ = gain;
#line 55 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	if (_tmp3_ < ((gdouble) 0)) {
#line 278 "Equalizer.c"
		gdouble _tmp4_;
#line 56 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
		_tmp4_ = gain;
#line 56 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
		gain = _tmp4_ * 0.24f;
#line 284 "Equalizer.c"
	} else {
		gdouble _tmp5_;
#line 58 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
		_tmp5_ = gain;
#line 58 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
		gain = _tmp5_ * 0.12f;
#line 291 "Equalizer.c"
	}
#line 60 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp6_ = band;
#line 60 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp7_ = gain;
#line 60 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	g_object_set (_tmp6_, "gain", _tmp7_, NULL);
#line 52 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_g_object_unref0 (band);
#line 301 "Equalizer.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 66 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	return self ? g_object_ref (self) : NULL;
#line 308 "Equalizer.c"
}


GeeCollection* noise_equalizer_get_default_presets (void) {
	GeeCollection* result = NULL;
	GeeTreeSet* _tmp0_;
	GeeTreeSet* _tmp3_;
	GeeTreeSet* _tmp4_;
	gint* _tmp5_;
	gint* _tmp6_;
	gint _tmp6__length1;
	NoiseEqualizerPreset* _tmp7_;
	NoiseEqualizerPreset* _tmp8_;
	GeeTreeSet* _tmp9_;
	gint* _tmp10_;
	gint* _tmp11_;
	gint _tmp11__length1;
	NoiseEqualizerPreset* _tmp12_;
	NoiseEqualizerPreset* _tmp13_;
	GeeTreeSet* _tmp14_;
	gint* _tmp15_;
	gint* _tmp16_;
	gint _tmp16__length1;
	NoiseEqualizerPreset* _tmp17_;
	NoiseEqualizerPreset* _tmp18_;
	GeeTreeSet* _tmp19_;
	gint* _tmp20_;
	gint* _tmp21_;
	gint _tmp21__length1;
	NoiseEqualizerPreset* _tmp22_;
	NoiseEqualizerPreset* _tmp23_;
	GeeTreeSet* _tmp24_;
	gint* _tmp25_;
	gint* _tmp26_;
	gint _tmp26__length1;
	NoiseEqualizerPreset* _tmp27_;
	NoiseEqualizerPreset* _tmp28_;
	GeeTreeSet* _tmp29_;
	gint* _tmp30_;
	gint* _tmp31_;
	gint _tmp31__length1;
	NoiseEqualizerPreset* _tmp32_;
	NoiseEqualizerPreset* _tmp33_;
	GeeTreeSet* _tmp34_;
	gint* _tmp35_;
	gint* _tmp36_;
	gint _tmp36__length1;
	NoiseEqualizerPreset* _tmp37_;
	NoiseEqualizerPreset* _tmp38_;
	GeeTreeSet* _tmp39_;
	gint* _tmp40_;
	gint* _tmp41_;
	gint _tmp41__length1;
	NoiseEqualizerPreset* _tmp42_;
	NoiseEqualizerPreset* _tmp43_;
	GeeTreeSet* _tmp44_;
	gint* _tmp45_;
	gint* _tmp46_;
	gint _tmp46__length1;
	NoiseEqualizerPreset* _tmp47_;
	NoiseEqualizerPreset* _tmp48_;
	GeeTreeSet* _tmp49_;
	gint* _tmp50_;
	gint* _tmp51_;
	gint _tmp51__length1;
	NoiseEqualizerPreset* _tmp52_;
	NoiseEqualizerPreset* _tmp53_;
	GeeTreeSet* _tmp54_;
	gint* _tmp55_;
	gint* _tmp56_;
	gint _tmp56__length1;
	NoiseEqualizerPreset* _tmp57_;
	NoiseEqualizerPreset* _tmp58_;
	GeeTreeSet* _tmp59_;
	gint* _tmp60_;
	gint* _tmp61_;
	gint _tmp61__length1;
	NoiseEqualizerPreset* _tmp62_;
	NoiseEqualizerPreset* _tmp63_;
	GeeTreeSet* _tmp64_;
	gint* _tmp65_;
	gint* _tmp66_;
	gint _tmp66__length1;
	NoiseEqualizerPreset* _tmp67_;
	NoiseEqualizerPreset* _tmp68_;
	GeeTreeSet* _tmp69_;
	gint* _tmp70_;
	gint* _tmp71_;
	gint _tmp71__length1;
	NoiseEqualizerPreset* _tmp72_;
	NoiseEqualizerPreset* _tmp73_;
	GeeTreeSet* _tmp74_;
	gint* _tmp75_;
	gint* _tmp76_;
	gint _tmp76__length1;
	NoiseEqualizerPreset* _tmp77_;
	NoiseEqualizerPreset* _tmp78_;
	GeeTreeSet* _tmp79_;
	gint* _tmp80_;
	gint* _tmp81_;
	gint _tmp81__length1;
	NoiseEqualizerPreset* _tmp82_;
	NoiseEqualizerPreset* _tmp83_;
	GeeTreeSet* _tmp84_;
	gint* _tmp85_;
	gint* _tmp86_;
	gint _tmp86__length1;
	NoiseEqualizerPreset* _tmp87_;
	NoiseEqualizerPreset* _tmp88_;
	GeeTreeSet* _tmp89_;
	gint* _tmp90_;
	gint* _tmp91_;
	gint _tmp91__length1;
	NoiseEqualizerPreset* _tmp92_;
	NoiseEqualizerPreset* _tmp93_;
	GeeTreeSet* _tmp94_;
	GeeBidirSortedSet* _tmp95_;
	GeeBidirSortedSet* _tmp96_;
#line 65 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp0_ = noise_equalizer_default_presets;
#line 65 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	if (_tmp0_ != NULL) {
#line 431 "Equalizer.c"
		GeeTreeSet* _tmp1_;
		GeeCollection* _tmp2_;
#line 66 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
		_tmp1_ = noise_equalizer_default_presets;
#line 66 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
		_tmp2_ = _g_object_ref0 ((GeeCollection*) _tmp1_);
#line 66 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
		result = _tmp2_;
#line 66 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
		return result;
#line 442 "Equalizer.c"
	}
#line 68 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp3_ = gee_tree_set_new (NOISE_TYPE_EQUALIZER_PRESET, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 68 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_g_object_unref0 (noise_equalizer_default_presets);
#line 68 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	noise_equalizer_default_presets = _tmp3_;
#line 70 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp4_ = noise_equalizer_default_presets;
#line 70 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp5_ = g_new0 (gint, 10);
#line 70 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp5_[0] = 0;
#line 70 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp5_[1] = 0;
#line 70 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp5_[2] = 0;
#line 70 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp5_[3] = 0;
#line 70 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp5_[4] = 0;
#line 70 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp5_[5] = 0;
#line 70 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp5_[6] = 0;
#line 70 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp5_[7] = 0;
#line 70 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp5_[8] = 0;
#line 70 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp5_[9] = 0;
#line 70 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp6_ = _tmp5_;
#line 70 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp6__length1 = 10;
#line 70 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp7_ = noise_equalizer_preset_new_with_gains (_ ("Flat"), _tmp6_, 10);
#line 70 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp8_ = _tmp7_;
#line 70 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp4_, _tmp8_);
#line 70 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_g_object_unref0 (_tmp8_);
#line 70 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp6_ = (g_free (_tmp6_), NULL);
#line 71 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp9_ = noise_equalizer_default_presets;
#line 71 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp10_ = g_new0 (gint, 10);
#line 71 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp10_[0] = 0;
#line 71 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp10_[1] = 0;
#line 71 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp10_[2] = 0;
#line 71 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp10_[3] = 0;
#line 71 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp10_[4] = 0;
#line 71 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp10_[5] = 0;
#line 71 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp10_[6] = -40;
#line 71 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp10_[7] = -40;
#line 71 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp10_[8] = -40;
#line 71 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp10_[9] = -50;
#line 71 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp11_ = _tmp10_;
#line 71 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp11__length1 = 10;
#line 71 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp12_ = noise_equalizer_preset_new_with_gains (_ ("Classical"), _tmp11_, 10);
#line 71 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp13_ = _tmp12_;
#line 71 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp9_, _tmp13_);
#line 71 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_g_object_unref0 (_tmp13_);
#line 71 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp11_ = (g_free (_tmp11_), NULL);
#line 72 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp14_ = noise_equalizer_default_presets;
#line 72 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp15_ = g_new0 (gint, 10);
#line 72 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp15_[0] = 0;
#line 72 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp15_[1] = 0;
#line 72 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp15_[2] = 20;
#line 72 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp15_[3] = 30;
#line 72 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp15_[4] = 30;
#line 72 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp15_[5] = 30;
#line 72 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp15_[6] = 20;
#line 72 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp15_[7] = 0;
#line 72 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp15_[8] = 0;
#line 72 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp15_[9] = 0;
#line 72 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp16_ = _tmp15_;
#line 72 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp16__length1 = 10;
#line 72 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp17_ = noise_equalizer_preset_new_with_gains (_ ("Club"), _tmp16_, 10);
#line 72 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp18_ = _tmp17_;
#line 72 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp14_, _tmp18_);
#line 72 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_g_object_unref0 (_tmp18_);
#line 72 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp16_ = (g_free (_tmp16_), NULL);
#line 73 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp19_ = noise_equalizer_default_presets;
#line 73 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp20_ = g_new0 (gint, 10);
#line 73 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp20_[0] = 50;
#line 73 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp20_[1] = 35;
#line 73 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp20_[2] = 10;
#line 73 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp20_[3] = 0;
#line 73 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp20_[4] = 0;
#line 73 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp20_[5] = -30;
#line 73 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp20_[6] = -40;
#line 73 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp20_[7] = -40;
#line 73 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp20_[8] = 0;
#line 73 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp20_[9] = 0;
#line 73 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp21_ = _tmp20_;
#line 73 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp21__length1 = 10;
#line 73 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp22_ = noise_equalizer_preset_new_with_gains (_ ("Dance"), _tmp21_, 10);
#line 73 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp23_ = _tmp22_;
#line 73 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp19_, _tmp23_);
#line 73 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_g_object_unref0 (_tmp23_);
#line 73 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp21_ = (g_free (_tmp21_), NULL);
#line 74 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp24_ = noise_equalizer_default_presets;
#line 74 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp25_ = g_new0 (gint, 10);
#line 74 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp25_[0] = 70;
#line 74 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp25_[1] = 70;
#line 74 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp25_[2] = 70;
#line 74 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp25_[3] = 40;
#line 74 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp25_[4] = 20;
#line 74 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp25_[5] = -45;
#line 74 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp25_[6] = -50;
#line 74 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp25_[7] = -55;
#line 74 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp25_[8] = -55;
#line 74 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp25_[9] = -55;
#line 74 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp26_ = _tmp25_;
#line 74 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp26__length1 = 10;
#line 74 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp27_ = noise_equalizer_preset_new_with_gains (_ ("Full Bass"), _tmp26_, 10);
#line 74 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp28_ = _tmp27_;
#line 74 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp24_, _tmp28_);
#line 74 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_g_object_unref0 (_tmp28_);
#line 74 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp26_ = (g_free (_tmp26_), NULL);
#line 75 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp29_ = noise_equalizer_default_presets;
#line 75 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp30_ = g_new0 (gint, 10);
#line 75 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp30_[0] = -50;
#line 75 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp30_[1] = -50;
#line 75 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp30_[2] = -50;
#line 75 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp30_[3] = -25;
#line 75 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp30_[4] = 15;
#line 75 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp30_[5] = 55;
#line 75 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp30_[6] = 80;
#line 75 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp30_[7] = 80;
#line 75 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp30_[8] = 80;
#line 75 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp30_[9] = 80;
#line 75 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp31_ = _tmp30_;
#line 75 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp31__length1 = 10;
#line 75 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp32_ = noise_equalizer_preset_new_with_gains (_ ("Full Treble"), _tmp31_, 10);
#line 75 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp33_ = _tmp32_;
#line 75 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp29_, _tmp33_);
#line 75 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_g_object_unref0 (_tmp33_);
#line 75 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp31_ = (g_free (_tmp31_), NULL);
#line 76 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp34_ = noise_equalizer_default_presets;
#line 76 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp35_ = g_new0 (gint, 10);
#line 76 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp35_[0] = 35;
#line 76 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp35_[1] = 30;
#line 76 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp35_[2] = 0;
#line 76 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp35_[3] = -40;
#line 76 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp35_[4] = -25;
#line 76 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp35_[5] = 10;
#line 76 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp35_[6] = 45;
#line 76 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp35_[7] = 55;
#line 76 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp35_[8] = 60;
#line 76 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp35_[9] = 60;
#line 76 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp36_ = _tmp35_;
#line 76 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp36__length1 = 10;
#line 76 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp37_ = noise_equalizer_preset_new_with_gains (_ ("Full Bass + Treble"), _tmp36_, 10);
#line 76 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp38_ = _tmp37_;
#line 76 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp34_, _tmp38_);
#line 76 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_g_object_unref0 (_tmp38_);
#line 76 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp36_ = (g_free (_tmp36_), NULL);
#line 77 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp39_ = noise_equalizer_default_presets;
#line 77 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp40_ = g_new0 (gint, 10);
#line 77 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp40_[0] = 25;
#line 77 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp40_[1] = 50;
#line 77 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp40_[2] = 25;
#line 77 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp40_[3] = -20;
#line 77 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp40_[4] = 0;
#line 77 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp40_[5] = -30;
#line 77 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp40_[6] = -40;
#line 77 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp40_[7] = -40;
#line 77 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp40_[8] = 0;
#line 77 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp40_[9] = 0;
#line 77 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp41_ = _tmp40_;
#line 77 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp41__length1 = 10;
#line 77 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp42_ = noise_equalizer_preset_new_with_gains (_ ("Headphones"), _tmp41_, 10);
#line 77 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp43_ = _tmp42_;
#line 77 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp39_, _tmp43_);
#line 77 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_g_object_unref0 (_tmp43_);
#line 77 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp41_ = (g_free (_tmp41_), NULL);
#line 78 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp44_ = noise_equalizer_default_presets;
#line 78 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp45_ = g_new0 (gint, 10);
#line 78 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp45_[0] = 50;
#line 78 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp45_[1] = 50;
#line 78 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp45_[2] = 30;
#line 78 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp45_[3] = 30;
#line 78 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp45_[4] = 0;
#line 78 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp45_[5] = -25;
#line 78 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp45_[6] = -25;
#line 78 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp45_[7] = -25;
#line 78 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp45_[8] = 0;
#line 78 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp45_[9] = 0;
#line 78 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp46_ = _tmp45_;
#line 78 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp46__length1 = 10;
#line 78 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp47_ = noise_equalizer_preset_new_with_gains (_ ("Large Hall"), _tmp46_, 10);
#line 78 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp48_ = _tmp47_;
#line 78 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp44_, _tmp48_);
#line 78 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_g_object_unref0 (_tmp48_);
#line 78 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp46_ = (g_free (_tmp46_), NULL);
#line 79 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp49_ = noise_equalizer_default_presets;
#line 79 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp50_ = g_new0 (gint, 10);
#line 79 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp50_[0] = -25;
#line 79 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp50_[1] = 0;
#line 79 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp50_[2] = 20;
#line 79 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp50_[3] = 25;
#line 79 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp50_[4] = 30;
#line 79 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp50_[5] = 30;
#line 79 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp50_[6] = 20;
#line 79 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp50_[7] = 15;
#line 79 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp50_[8] = 15;
#line 79 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp50_[9] = 10;
#line 79 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp51_ = _tmp50_;
#line 79 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp51__length1 = 10;
#line 79 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp52_ = noise_equalizer_preset_new_with_gains (_ ("Live"), _tmp51_, 10);
#line 79 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp53_ = _tmp52_;
#line 79 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp49_, _tmp53_);
#line 79 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_g_object_unref0 (_tmp53_);
#line 79 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp51_ = (g_free (_tmp51_), NULL);
#line 80 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp54_ = noise_equalizer_default_presets;
#line 80 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp55_ = g_new0 (gint, 10);
#line 80 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp55_[0] = 35;
#line 80 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp55_[1] = 35;
#line 80 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp55_[2] = 0;
#line 80 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp55_[3] = 0;
#line 80 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp55_[4] = 0;
#line 80 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp55_[5] = 0;
#line 80 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp55_[6] = 0;
#line 80 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp55_[7] = 0;
#line 80 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp55_[8] = 35;
#line 80 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp55_[9] = 35;
#line 80 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp56_ = _tmp55_;
#line 80 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp56__length1 = 10;
#line 80 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp57_ = noise_equalizer_preset_new_with_gains (_ ("Party"), _tmp56_, 10);
#line 80 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp58_ = _tmp57_;
#line 80 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp54_, _tmp58_);
#line 80 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_g_object_unref0 (_tmp58_);
#line 80 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp56_ = (g_free (_tmp56_), NULL);
#line 81 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp59_ = noise_equalizer_default_presets;
#line 81 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp60_ = g_new0 (gint, 10);
#line 81 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp60_[0] = -10;
#line 81 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp60_[1] = 25;
#line 81 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp60_[2] = 35;
#line 81 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp60_[3] = 40;
#line 81 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp60_[4] = 25;
#line 81 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp60_[5] = -5;
#line 81 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp60_[6] = -15;
#line 81 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp60_[7] = -15;
#line 81 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp60_[8] = -10;
#line 81 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp60_[9] = -10;
#line 81 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp61_ = _tmp60_;
#line 81 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp61__length1 = 10;
#line 81 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp62_ = noise_equalizer_preset_new_with_gains (_ ("Pop"), _tmp61_, 10);
#line 81 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp63_ = _tmp62_;
#line 81 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp59_, _tmp63_);
#line 81 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_g_object_unref0 (_tmp63_);
#line 81 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp61_ = (g_free (_tmp61_), NULL);
#line 82 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp64_ = noise_equalizer_default_presets;
#line 82 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp65_ = g_new0 (gint, 10);
#line 82 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp65_[0] = 0;
#line 82 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp65_[1] = 0;
#line 82 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp65_[2] = -5;
#line 82 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp65_[3] = -30;
#line 82 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp65_[4] = 0;
#line 82 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp65_[5] = -35;
#line 82 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp65_[6] = -35;
#line 82 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp65_[7] = 0;
#line 82 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp65_[8] = 0;
#line 82 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp65_[9] = 0;
#line 82 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp66_ = _tmp65_;
#line 82 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp66__length1 = 10;
#line 82 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp67_ = noise_equalizer_preset_new_with_gains (_ ("Reggae"), _tmp66_, 10);
#line 82 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp68_ = _tmp67_;
#line 82 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp64_, _tmp68_);
#line 82 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_g_object_unref0 (_tmp68_);
#line 82 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp66_ = (g_free (_tmp66_), NULL);
#line 83 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp69_ = noise_equalizer_default_presets;
#line 83 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp70_ = g_new0 (gint, 10);
#line 83 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp70_[0] = 40;
#line 83 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp70_[1] = 25;
#line 83 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp70_[2] = -30;
#line 83 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp70_[3] = -40;
#line 83 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp70_[4] = -20;
#line 83 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp70_[5] = 20;
#line 83 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp70_[6] = 45;
#line 83 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp70_[7] = 55;
#line 83 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp70_[8] = 55;
#line 83 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp70_[9] = 55;
#line 83 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp71_ = _tmp70_;
#line 83 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp71__length1 = 10;
#line 83 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp72_ = noise_equalizer_preset_new_with_gains (_ ("Rock"), _tmp71_, 10);
#line 83 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp73_ = _tmp72_;
#line 83 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp69_, _tmp73_);
#line 83 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_g_object_unref0 (_tmp73_);
#line 83 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp71_ = (g_free (_tmp71_), NULL);
#line 84 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp74_ = noise_equalizer_default_presets;
#line 84 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp75_ = g_new0 (gint, 10);
#line 84 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp75_[0] = 25;
#line 84 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp75_[1] = 10;
#line 84 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp75_[2] = -5;
#line 84 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp75_[3] = -15;
#line 84 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp75_[4] = -5;
#line 84 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp75_[5] = 20;
#line 84 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp75_[6] = 45;
#line 84 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp75_[7] = 50;
#line 84 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp75_[8] = 55;
#line 84 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp75_[9] = 60;
#line 84 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp76_ = _tmp75_;
#line 84 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp76__length1 = 10;
#line 84 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp77_ = noise_equalizer_preset_new_with_gains (_ ("Soft"), _tmp76_, 10);
#line 84 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp78_ = _tmp77_;
#line 84 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp74_, _tmp78_);
#line 84 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_g_object_unref0 (_tmp78_);
#line 84 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp76_ = (g_free (_tmp76_), NULL);
#line 85 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp79_ = noise_equalizer_default_presets;
#line 85 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp80_ = g_new0 (gint, 10);
#line 85 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp80_[0] = -15;
#line 85 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp80_[1] = -25;
#line 85 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp80_[2] = -25;
#line 85 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp80_[3] = -5;
#line 85 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp80_[4] = 20;
#line 85 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp80_[5] = 30;
#line 85 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp80_[6] = 45;
#line 85 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp80_[7] = 50;
#line 85 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp80_[8] = 55;
#line 85 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp80_[9] = 50;
#line 85 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp81_ = _tmp80_;
#line 85 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp81__length1 = 10;
#line 85 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp82_ = noise_equalizer_preset_new_with_gains (_ ("Ska"), _tmp81_, 10);
#line 85 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp83_ = _tmp82_;
#line 85 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp79_, _tmp83_);
#line 85 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_g_object_unref0 (_tmp83_);
#line 85 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp81_ = (g_free (_tmp81_), NULL);
#line 86 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp84_ = noise_equalizer_default_presets;
#line 86 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp85_ = g_new0 (gint, 10);
#line 86 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp85_[0] = 20;
#line 86 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp85_[1] = 20;
#line 86 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp85_[2] = 10;
#line 86 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp85_[3] = -5;
#line 86 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp85_[4] = -25;
#line 86 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp85_[5] = -30;
#line 86 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp85_[6] = -20;
#line 86 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp85_[7] = -5;
#line 86 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp85_[8] = 15;
#line 86 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp85_[9] = 45;
#line 86 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp86_ = _tmp85_;
#line 86 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp86__length1 = 10;
#line 86 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp87_ = noise_equalizer_preset_new_with_gains (_ ("Soft Rock"), _tmp86_, 10);
#line 86 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp88_ = _tmp87_;
#line 86 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp84_, _tmp88_);
#line 86 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_g_object_unref0 (_tmp88_);
#line 86 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp86_ = (g_free (_tmp86_), NULL);
#line 87 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp89_ = noise_equalizer_default_presets;
#line 87 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp90_ = g_new0 (gint, 10);
#line 87 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp90_[0] = 40;
#line 87 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp90_[1] = 30;
#line 87 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp90_[2] = 0;
#line 87 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp90_[3] = -30;
#line 87 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp90_[4] = -25;
#line 87 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp90_[5] = 0;
#line 87 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp90_[6] = 40;
#line 87 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp90_[7] = 50;
#line 87 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp90_[8] = 50;
#line 87 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp90_[9] = 45;
#line 87 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp91_ = _tmp90_;
#line 87 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp91__length1 = 10;
#line 87 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp92_ = noise_equalizer_preset_new_with_gains (_ ("Techno"), _tmp91_, 10);
#line 87 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp93_ = _tmp92_;
#line 87 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp89_, _tmp93_);
#line 87 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_g_object_unref0 (_tmp93_);
#line 87 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp91_ = (g_free (_tmp91_), NULL);
#line 89 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp94_ = noise_equalizer_default_presets;
#line 89 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp95_ = gee_abstract_bidir_sorted_set_get_read_only_view ((GeeAbstractBidirSortedSet*) _tmp94_);
#line 89 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_tmp96_ = _tmp95_;
#line 89 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	result = (GeeCollection*) _tmp96_;
#line 89 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	return result;
#line 1144 "Equalizer.c"
}


static void noise_equalizer_class_init (NoiseEqualizerClass * klass) {
#line 29 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	noise_equalizer_parent_class = g_type_class_peek_parent (klass);
#line 29 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	G_OBJECT_CLASS (klass)->finalize = noise_equalizer_finalize;
#line 1153 "Equalizer.c"
}


static void noise_equalizer_instance_init (NoiseEqualizer * self) {
}


static void noise_equalizer_finalize (GObject * obj) {
	NoiseEqualizer * self;
#line 29 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_TYPE_EQUALIZER, NoiseEqualizer);
#line 30 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	_g_object_unref0 (self->element);
#line 29 "/builddir/build/BUILD/music-0.4.2/core/GStreamer/Equalizer.vala"
	G_OBJECT_CLASS (noise_equalizer_parent_class)->finalize (obj);
#line 1169 "Equalizer.c"
}


GType noise_equalizer_get_type (void) {
	static volatile gsize noise_equalizer_type_id__volatile = 0;
	if (g_once_init_enter (&noise_equalizer_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NoiseEqualizerClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) noise_equalizer_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NoiseEqualizer), 0, (GInstanceInitFunc) noise_equalizer_instance_init, NULL };
		GType noise_equalizer_type_id;
		noise_equalizer_type_id = g_type_register_static (G_TYPE_OBJECT, "NoiseEqualizer", &g_define_type_info, 0);
		g_once_init_leave (&noise_equalizer_type_id__volatile, noise_equalizer_type_id);
	}
	return noise_equalizer_type_id__volatile;
}



