/* SmartQuery.c generated by valac 0.38.10, the Vala compiler
 * generated from SmartQuery.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2012-2017 elementary LLC. (https://elementary.io)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Noise authors hereby grant permission for non-GPL compatible
 * GStreamer plugins to be used and distributed together with GStreamer
 * and Noise. This permission is above and beyond the permissions granted
 * by the GPL license by which Noise is covered. If you modify this code
 * you may extend this exception to your version of the code, but you are not
 * obligated to do so. If you do not wish to do so, delete this exception
 * statement from your version.
 *
 * Authored by: Scott Ringwelski <sgringwe@mtu.edu>
 *              Corentin Noël <corentin@elementary.io>
 */

#include <glib.h>
#include <glib-object.h>


#define NOISE_TYPE_SMART_QUERY (noise_smart_query_get_type ())
#define NOISE_SMART_QUERY(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_SMART_QUERY, NoiseSmartQuery))
#define NOISE_SMART_QUERY_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_SMART_QUERY, NoiseSmartQueryClass))
#define NOISE_IS_SMART_QUERY(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_SMART_QUERY))
#define NOISE_IS_SMART_QUERY_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_SMART_QUERY))
#define NOISE_SMART_QUERY_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_SMART_QUERY, NoiseSmartQueryClass))

typedef struct _NoiseSmartQuery NoiseSmartQuery;
typedef struct _NoiseSmartQueryClass NoiseSmartQueryClass;
typedef struct _NoiseSmartQueryPrivate NoiseSmartQueryPrivate;

#define NOISE_SMART_QUERY_TYPE_FIELD_TYPE (noise_smart_query_field_type_get_type ())

#define NOISE_SMART_QUERY_TYPE_COMPARATOR_TYPE (noise_smart_query_comparator_type_get_type ())
enum  {
	NOISE_SMART_QUERY_0_PROPERTY,
	NOISE_SMART_QUERY_ROWID_PROPERTY,
	NOISE_SMART_QUERY_FIELD_PROPERTY,
	NOISE_SMART_QUERY_COMPARATOR_PROPERTY,
	NOISE_SMART_QUERY_VALUE_PROPERTY,
	NOISE_SMART_QUERY_NUM_PROPERTIES
};
static GParamSpec* noise_smart_query_properties[NOISE_SMART_QUERY_NUM_PROPERTIES];

struct _NoiseSmartQuery {
	GObject parent_instance;
	NoiseSmartQueryPrivate * priv;
};

struct _NoiseSmartQueryClass {
	GObjectClass parent_class;
};

typedef enum  {
	NOISE_SMART_QUERY_FIELD_TYPE_ALBUM,
	NOISE_SMART_QUERY_FIELD_TYPE_ARTIST,
	NOISE_SMART_QUERY_FIELD_TYPE_BITRATE,
	NOISE_SMART_QUERY_FIELD_TYPE_COMMENT,
	NOISE_SMART_QUERY_FIELD_TYPE_COMPOSER,
	NOISE_SMART_QUERY_FIELD_TYPE_DATE_ADDED,
	NOISE_SMART_QUERY_FIELD_TYPE_GENRE,
	NOISE_SMART_QUERY_FIELD_TYPE_GROUPING,
	NOISE_SMART_QUERY_FIELD_TYPE_LAST_PLAYED,
	NOISE_SMART_QUERY_FIELD_TYPE_LENGTH,
	NOISE_SMART_QUERY_FIELD_TYPE_PLAYCOUNT,
	NOISE_SMART_QUERY_FIELD_TYPE_RATING,
	NOISE_SMART_QUERY_FIELD_TYPE_SKIPCOUNT,
	NOISE_SMART_QUERY_FIELD_TYPE_TITLE,
	NOISE_SMART_QUERY_FIELD_TYPE_YEAR,
	NOISE_SMART_QUERY_FIELD_TYPE_URI
} NoiseSmartQueryFieldType;

typedef enum  {
	NOISE_SMART_QUERY_COMPARATOR_TYPE_IS,
	NOISE_SMART_QUERY_COMPARATOR_TYPE_IS_NOT,
	NOISE_SMART_QUERY_COMPARATOR_TYPE_CONTAINS,
	NOISE_SMART_QUERY_COMPARATOR_TYPE_NOT_CONTAINS,
	NOISE_SMART_QUERY_COMPARATOR_TYPE_IS_EXACTLY,
	NOISE_SMART_QUERY_COMPARATOR_TYPE_IS_AT_MOST,
	NOISE_SMART_QUERY_COMPARATOR_TYPE_IS_AT_LEAST,
	NOISE_SMART_QUERY_COMPARATOR_TYPE_IS_WITHIN,
	NOISE_SMART_QUERY_COMPARATOR_TYPE_IS_BEFORE
} NoiseSmartQueryComparatorType;

struct _NoiseSmartQueryPrivate {
	gint _rowid;
	NoiseSmartQueryFieldType _field;
	NoiseSmartQueryComparatorType _comparator;
	GValue _value;
};


static gpointer noise_smart_query_parent_class = NULL;

GType noise_smart_query_get_type (void) G_GNUC_CONST;
GType noise_smart_query_field_type_get_type (void) G_GNUC_CONST;
GType noise_smart_query_comparator_type_get_type (void) G_GNUC_CONST;
#define NOISE_SMART_QUERY_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NOISE_TYPE_SMART_QUERY, NoiseSmartQueryPrivate))
NoiseSmartQuery* noise_smart_query_new (void);
NoiseSmartQuery* noise_smart_query_construct (GType object_type);
NoiseSmartQuery* noise_smart_query_new_with_info (NoiseSmartQueryFieldType field, NoiseSmartQueryComparatorType comparator, GValue* value);
NoiseSmartQuery* noise_smart_query_construct_with_info (GType object_type, NoiseSmartQueryFieldType field, NoiseSmartQueryComparatorType comparator, GValue* value);
void noise_smart_query_set_field (NoiseSmartQuery* self, NoiseSmartQueryFieldType value);
void noise_smart_query_set_comparator (NoiseSmartQuery* self, NoiseSmartQueryComparatorType value);
void noise_smart_query_set_value (NoiseSmartQuery* self, GValue * value);
gint noise_smart_query_get_rowid (NoiseSmartQuery* self);
void noise_smart_query_set_rowid (NoiseSmartQuery* self, gint value);
NoiseSmartQueryFieldType noise_smart_query_get_field (NoiseSmartQuery* self);
NoiseSmartQueryComparatorType noise_smart_query_get_comparator (NoiseSmartQuery* self);
void noise_smart_query_get_value (NoiseSmartQuery* self, GValue * result);
static gboolean _g_value_equal (const GValue * s1, const GValue * s2);
static void noise_smart_query_finalize (GObject * obj);
static void _vala_noise_smart_query_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_noise_smart_query_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);


GType noise_smart_query_comparator_type_get_type (void) {
	static volatile gsize noise_smart_query_comparator_type_type_id__volatile = 0;
	if (g_once_init_enter (&noise_smart_query_comparator_type_type_id__volatile)) {
		static const GEnumValue values[] = {{NOISE_SMART_QUERY_COMPARATOR_TYPE_IS, "NOISE_SMART_QUERY_COMPARATOR_TYPE_IS", "is"}, {NOISE_SMART_QUERY_COMPARATOR_TYPE_IS_NOT, "NOISE_SMART_QUERY_COMPARATOR_TYPE_IS_NOT", "is-not"}, {NOISE_SMART_QUERY_COMPARATOR_TYPE_CONTAINS, "NOISE_SMART_QUERY_COMPARATOR_TYPE_CONTAINS", "contains"}, {NOISE_SMART_QUERY_COMPARATOR_TYPE_NOT_CONTAINS, "NOISE_SMART_QUERY_COMPARATOR_TYPE_NOT_CONTAINS", "not-contains"}, {NOISE_SMART_QUERY_COMPARATOR_TYPE_IS_EXACTLY, "NOISE_SMART_QUERY_COMPARATOR_TYPE_IS_EXACTLY", "is-exactly"}, {NOISE_SMART_QUERY_COMPARATOR_TYPE_IS_AT_MOST, "NOISE_SMART_QUERY_COMPARATOR_TYPE_IS_AT_MOST", "is-at-most"}, {NOISE_SMART_QUERY_COMPARATOR_TYPE_IS_AT_LEAST, "NOISE_SMART_QUERY_COMPARATOR_TYPE_IS_AT_LEAST", "is-at-least"}, {NOISE_SMART_QUERY_COMPARATOR_TYPE_IS_WITHIN, "NOISE_SMART_QUERY_COMPARATOR_TYPE_IS_WITHIN", "is-within"}, {NOISE_SMART_QUERY_COMPARATOR_TYPE_IS_BEFORE, "NOISE_SMART_QUERY_COMPARATOR_TYPE_IS_BEFORE", "is-before"}, {0, NULL, NULL}};
		GType noise_smart_query_comparator_type_type_id;
		noise_smart_query_comparator_type_type_id = g_enum_register_static ("NoiseSmartQueryComparatorType", values);
		g_once_init_leave (&noise_smart_query_comparator_type_type_id__volatile, noise_smart_query_comparator_type_type_id);
	}
	return noise_smart_query_comparator_type_type_id__volatile;
}


GType noise_smart_query_field_type_get_type (void) {
	static volatile gsize noise_smart_query_field_type_type_id__volatile = 0;
	if (g_once_init_enter (&noise_smart_query_field_type_type_id__volatile)) {
		static const GEnumValue values[] = {{NOISE_SMART_QUERY_FIELD_TYPE_ALBUM, "NOISE_SMART_QUERY_FIELD_TYPE_ALBUM", "album"}, {NOISE_SMART_QUERY_FIELD_TYPE_ARTIST, "NOISE_SMART_QUERY_FIELD_TYPE_ARTIST", "artist"}, {NOISE_SMART_QUERY_FIELD_TYPE_BITRATE, "NOISE_SMART_QUERY_FIELD_TYPE_BITRATE", "bitrate"}, {NOISE_SMART_QUERY_FIELD_TYPE_COMMENT, "NOISE_SMART_QUERY_FIELD_TYPE_COMMENT", "comment"}, {NOISE_SMART_QUERY_FIELD_TYPE_COMPOSER, "NOISE_SMART_QUERY_FIELD_TYPE_COMPOSER", "composer"}, {NOISE_SMART_QUERY_FIELD_TYPE_DATE_ADDED, "NOISE_SMART_QUERY_FIELD_TYPE_DATE_ADDED", "date-added"}, {NOISE_SMART_QUERY_FIELD_TYPE_GENRE, "NOISE_SMART_QUERY_FIELD_TYPE_GENRE", "genre"}, {NOISE_SMART_QUERY_FIELD_TYPE_GROUPING, "NOISE_SMART_QUERY_FIELD_TYPE_GROUPING", "grouping"}, {NOISE_SMART_QUERY_FIELD_TYPE_LAST_PLAYED, "NOISE_SMART_QUERY_FIELD_TYPE_LAST_PLAYED", "last-played"}, {NOISE_SMART_QUERY_FIELD_TYPE_LENGTH, "NOISE_SMART_QUERY_FIELD_TYPE_LENGTH", "length"}, {NOISE_SMART_QUERY_FIELD_TYPE_PLAYCOUNT, "NOISE_SMART_QUERY_FIELD_TYPE_PLAYCOUNT", "playcount"}, {NOISE_SMART_QUERY_FIELD_TYPE_RATING, "NOISE_SMART_QUERY_FIELD_TYPE_RATING", "rating"}, {NOISE_SMART_QUERY_FIELD_TYPE_SKIPCOUNT, "NOISE_SMART_QUERY_FIELD_TYPE_SKIPCOUNT", "skipcount"}, {NOISE_SMART_QUERY_FIELD_TYPE_TITLE, "NOISE_SMART_QUERY_FIELD_TYPE_TITLE", "title"}, {NOISE_SMART_QUERY_FIELD_TYPE_YEAR, "NOISE_SMART_QUERY_FIELD_TYPE_YEAR", "year"}, {NOISE_SMART_QUERY_FIELD_TYPE_URI, "NOISE_SMART_QUERY_FIELD_TYPE_URI", "uri"}, {0, NULL, NULL}};
		GType noise_smart_query_field_type_type_id;
		noise_smart_query_field_type_type_id = g_enum_register_static ("NoiseSmartQueryFieldType", values);
		g_once_init_leave (&noise_smart_query_field_type_type_id__volatile, noise_smart_query_field_type_type_id);
	}
	return noise_smart_query_field_type_type_id__volatile;
}


NoiseSmartQuery* noise_smart_query_construct (GType object_type) {
	NoiseSmartQuery * self = NULL;
#line 67 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	self = (NoiseSmartQuery*) g_object_new (object_type, NULL);
#line 67 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	return self;
#line 164 "SmartQuery.c"
}


NoiseSmartQuery* noise_smart_query_new (void) {
#line 67 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	return noise_smart_query_construct (NOISE_TYPE_SMART_QUERY);
#line 171 "SmartQuery.c"
}


NoiseSmartQuery* noise_smart_query_construct_with_info (GType object_type, NoiseSmartQueryFieldType field, NoiseSmartQueryComparatorType comparator, GValue* value) {
	NoiseSmartQuery * self = NULL;
	NoiseSmartQueryFieldType _tmp0_;
	NoiseSmartQueryComparatorType _tmp1_;
	GValue _tmp2_;
#line 71 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	g_return_val_if_fail (value != NULL, NULL);
#line 71 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	self = (NoiseSmartQuery*) g_object_new (object_type, NULL);
#line 72 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	_tmp0_ = field;
#line 72 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	noise_smart_query_set_field (self, _tmp0_);
#line 73 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	_tmp1_ = comparator;
#line 73 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	noise_smart_query_set_comparator (self, _tmp1_);
#line 74 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	_tmp2_ = *value;
#line 74 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	noise_smart_query_set_value (self, &_tmp2_);
#line 71 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	return self;
#line 198 "SmartQuery.c"
}


NoiseSmartQuery* noise_smart_query_new_with_info (NoiseSmartQueryFieldType field, NoiseSmartQueryComparatorType comparator, GValue* value) {
#line 71 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	return noise_smart_query_construct_with_info (NOISE_TYPE_SMART_QUERY, field, comparator, value);
#line 205 "SmartQuery.c"
}


gint noise_smart_query_get_rowid (NoiseSmartQuery* self) {
	gint result;
	gint _tmp0_;
#line 62 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 62 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	_tmp0_ = self->priv->_rowid;
#line 62 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	result = _tmp0_;
#line 62 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	return result;
#line 220 "SmartQuery.c"
}


void noise_smart_query_set_rowid (NoiseSmartQuery* self, gint value) {
#line 62 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	g_return_if_fail (self != NULL);
#line 62 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	if (noise_smart_query_get_rowid (self) != value) {
#line 229 "SmartQuery.c"
		gint _tmp0_;
#line 62 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
		_tmp0_ = value;
#line 62 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
		self->priv->_rowid = _tmp0_;
#line 62 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
		g_object_notify_by_pspec ((GObject *) self, noise_smart_query_properties[NOISE_SMART_QUERY_ROWID_PROPERTY]);
#line 237 "SmartQuery.c"
	}
}


NoiseSmartQueryFieldType noise_smart_query_get_field (NoiseSmartQuery* self) {
	NoiseSmartQueryFieldType result;
	NoiseSmartQueryFieldType _tmp0_;
#line 63 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 63 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	_tmp0_ = self->priv->_field;
#line 63 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	result = _tmp0_;
#line 63 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	return result;
#line 253 "SmartQuery.c"
}


void noise_smart_query_set_field (NoiseSmartQuery* self, NoiseSmartQueryFieldType value) {
#line 63 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	g_return_if_fail (self != NULL);
#line 63 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	if (noise_smart_query_get_field (self) != value) {
#line 262 "SmartQuery.c"
		NoiseSmartQueryFieldType _tmp0_;
#line 63 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
		_tmp0_ = value;
#line 63 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
		self->priv->_field = _tmp0_;
#line 63 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
		g_object_notify_by_pspec ((GObject *) self, noise_smart_query_properties[NOISE_SMART_QUERY_FIELD_PROPERTY]);
#line 270 "SmartQuery.c"
	}
}


NoiseSmartQueryComparatorType noise_smart_query_get_comparator (NoiseSmartQuery* self) {
	NoiseSmartQueryComparatorType result;
	NoiseSmartQueryComparatorType _tmp0_;
#line 64 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 64 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	_tmp0_ = self->priv->_comparator;
#line 64 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	result = _tmp0_;
#line 64 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	return result;
#line 286 "SmartQuery.c"
}


void noise_smart_query_set_comparator (NoiseSmartQuery* self, NoiseSmartQueryComparatorType value) {
#line 64 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	g_return_if_fail (self != NULL);
#line 64 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	if (noise_smart_query_get_comparator (self) != value) {
#line 295 "SmartQuery.c"
		NoiseSmartQueryComparatorType _tmp0_;
#line 64 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
		_tmp0_ = value;
#line 64 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
		self->priv->_comparator = _tmp0_;
#line 64 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
		g_object_notify_by_pspec ((GObject *) self, noise_smart_query_properties[NOISE_SMART_QUERY_COMPARATOR_PROPERTY]);
#line 303 "SmartQuery.c"
	}
}


void noise_smart_query_get_value (NoiseSmartQuery* self, GValue * result) {
	GValue _tmp0_;
#line 65 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	g_return_if_fail (self != NULL);
#line 65 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	_tmp0_ = self->priv->_value;
#line 65 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	*result = _tmp0_;
#line 65 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	return;
#line 318 "SmartQuery.c"
}


static gboolean _g_value_equal (const GValue * s1, const GValue * s2) {
#line 65 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	if (s1 == s2) {
#line 65 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
		return TRUE;
#line 327 "SmartQuery.c"
	}
#line 65 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	if (s1 == NULL) {
#line 65 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
		return FALSE;
#line 333 "SmartQuery.c"
	}
#line 65 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	if (s2 == NULL) {
#line 65 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
		return FALSE;
#line 339 "SmartQuery.c"
	}
#line 65 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	return FALSE;
#line 343 "SmartQuery.c"
}


void noise_smart_query_set_value (NoiseSmartQuery* self, GValue * value) {
	GValue old_value;
#line 65 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	g_return_if_fail (self != NULL);
#line 65 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	if (_g_value_equal (value, (noise_smart_query_get_value (self, &old_value), &old_value)) != TRUE) {
#line 353 "SmartQuery.c"
		GValue _tmp0_;
		GValue _tmp1_ = {0};
#line 65 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
		_tmp0_ = *value;
#line 65 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
		if (G_IS_VALUE (&_tmp0_)) {
#line 65 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
			g_value_init (&_tmp1_, G_VALUE_TYPE (&_tmp0_));
#line 65 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
			g_value_copy (&_tmp0_, &_tmp1_);
#line 364 "SmartQuery.c"
		} else {
#line 65 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
			_tmp1_ = _tmp0_;
#line 368 "SmartQuery.c"
		}
#line 65 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
		G_IS_VALUE (&self->priv->_value) ? (g_value_unset (&self->priv->_value), NULL) : NULL;
#line 65 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
		self->priv->_value = _tmp1_;
#line 65 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
		g_object_notify_by_pspec ((GObject *) self, noise_smart_query_properties[NOISE_SMART_QUERY_VALUE_PROPERTY]);
#line 376 "SmartQuery.c"
	}
}


static void noise_smart_query_class_init (NoiseSmartQueryClass * klass) {
#line 30 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	noise_smart_query_parent_class = g_type_class_peek_parent (klass);
#line 30 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	g_type_class_add_private (klass, sizeof (NoiseSmartQueryPrivate));
#line 30 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_noise_smart_query_get_property;
#line 30 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_noise_smart_query_set_property;
#line 30 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	G_OBJECT_CLASS (klass)->finalize = noise_smart_query_finalize;
#line 30 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_SMART_QUERY_ROWID_PROPERTY, noise_smart_query_properties[NOISE_SMART_QUERY_ROWID_PROPERTY] = g_param_spec_int ("rowid", "rowid", "rowid", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 30 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_SMART_QUERY_FIELD_PROPERTY, noise_smart_query_properties[NOISE_SMART_QUERY_FIELD_PROPERTY] = g_param_spec_enum ("field", "field", "field", NOISE_SMART_QUERY_TYPE_FIELD_TYPE, NOISE_SMART_QUERY_FIELD_TYPE_ALBUM, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 30 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_SMART_QUERY_COMPARATOR_PROPERTY, noise_smart_query_properties[NOISE_SMART_QUERY_COMPARATOR_PROPERTY] = g_param_spec_enum ("comparator", "comparator", "comparator", NOISE_SMART_QUERY_TYPE_COMPARATOR_TYPE, NOISE_SMART_QUERY_COMPARATOR_TYPE_IS, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 30 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_SMART_QUERY_VALUE_PROPERTY, noise_smart_query_properties[NOISE_SMART_QUERY_VALUE_PROPERTY] = g_param_spec_boxed ("value", "value", "value", G_TYPE_VALUE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 400 "SmartQuery.c"
}


static void noise_smart_query_instance_init (NoiseSmartQuery * self) {
	GValue _tmp0_ = {0};
#line 30 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	self->priv = NOISE_SMART_QUERY_GET_PRIVATE (self);
#line 62 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	self->priv->_rowid = 0;
#line 63 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	self->priv->_field = NOISE_SMART_QUERY_FIELD_TYPE_ALBUM;
#line 64 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	self->priv->_comparator = NOISE_SMART_QUERY_COMPARATOR_TYPE_IS;
#line 65 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	g_value_init (&_tmp0_, G_TYPE_INT);
#line 65 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	self->priv->_value = _tmp0_;
#line 418 "SmartQuery.c"
}


static void noise_smart_query_finalize (GObject * obj) {
	NoiseSmartQuery * self;
#line 30 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_TYPE_SMART_QUERY, NoiseSmartQuery);
#line 65 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	G_IS_VALUE (&self->priv->_value) ? (g_value_unset (&self->priv->_value), NULL) : NULL;
#line 30 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	G_OBJECT_CLASS (noise_smart_query_parent_class)->finalize (obj);
#line 430 "SmartQuery.c"
}


GType noise_smart_query_get_type (void) {
	static volatile gsize noise_smart_query_type_id__volatile = 0;
	if (g_once_init_enter (&noise_smart_query_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NoiseSmartQueryClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) noise_smart_query_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NoiseSmartQuery), 0, (GInstanceInitFunc) noise_smart_query_instance_init, NULL };
		GType noise_smart_query_type_id;
		noise_smart_query_type_id = g_type_register_static (G_TYPE_OBJECT, "NoiseSmartQuery", &g_define_type_info, 0);
		g_once_init_leave (&noise_smart_query_type_id__volatile, noise_smart_query_type_id);
	}
	return noise_smart_query_type_id__volatile;
}


static void _vala_noise_smart_query_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	NoiseSmartQuery * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NOISE_TYPE_SMART_QUERY, NoiseSmartQuery);
#line 30 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	switch (property_id) {
#line 30 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
		case NOISE_SMART_QUERY_ROWID_PROPERTY:
#line 30 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
		g_value_set_int (value, noise_smart_query_get_rowid (self));
#line 30 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
		break;
#line 30 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
		case NOISE_SMART_QUERY_FIELD_PROPERTY:
#line 30 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
		g_value_set_enum (value, noise_smart_query_get_field (self));
#line 30 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
		break;
#line 30 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
		case NOISE_SMART_QUERY_COMPARATOR_PROPERTY:
#line 30 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
		g_value_set_enum (value, noise_smart_query_get_comparator (self));
#line 30 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
		break;
#line 30 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
		case NOISE_SMART_QUERY_VALUE_PROPERTY:
#line 471 "SmartQuery.c"
		{
			GValue boxed;
#line 30 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
			noise_smart_query_get_value (self, &boxed);
#line 30 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
			g_value_set_boxed (value, &boxed);
#line 478 "SmartQuery.c"
		}
#line 30 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
		break;
#line 482 "SmartQuery.c"
		default:
#line 30 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 30 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
		break;
#line 488 "SmartQuery.c"
	}
}


static void _vala_noise_smart_query_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	NoiseSmartQuery * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NOISE_TYPE_SMART_QUERY, NoiseSmartQuery);
#line 30 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
	switch (property_id) {
#line 30 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
		case NOISE_SMART_QUERY_ROWID_PROPERTY:
#line 30 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
		noise_smart_query_set_rowid (self, g_value_get_int (value));
#line 30 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
		break;
#line 30 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
		case NOISE_SMART_QUERY_FIELD_PROPERTY:
#line 30 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
		noise_smart_query_set_field (self, g_value_get_enum (value));
#line 30 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
		break;
#line 30 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
		case NOISE_SMART_QUERY_COMPARATOR_PROPERTY:
#line 30 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
		noise_smart_query_set_comparator (self, g_value_get_enum (value));
#line 30 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
		break;
#line 30 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
		case NOISE_SMART_QUERY_VALUE_PROPERTY:
#line 30 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
		noise_smart_query_set_value (self, g_value_get_boxed (value));
#line 30 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
		break;
#line 522 "SmartQuery.c"
		default:
#line 30 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 30 "/builddir/build/BUILD/music-0.4.2/core/Playlists/SmartQuery.vala"
		break;
#line 528 "SmartQuery.c"
	}
}



