/* TimeUtils.c generated by valac 0.38.10, the Vala compiler
 * generated from TimeUtils.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2012-2017 elementary LLC. (https://elementary.io)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Noise authors hereby grant permission for non-GPL compatible
 * GStreamer plugins to be used and distributed together with GStreamer
 * and Noise. This permission is above and beyond the permissions granted
 * by the GPL license by which Noise is covered. If you modify this code
 * you may extend this exception to your version of the code, but you are not
 * obligated to do so. If you do not wish to do so, delete this exception
 * statement from your version.
 *
 * Authored by: Victor Eduardo <victoreduardm@gmail.com>
 */

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <glib/gi18n-lib.h>
#include <time.h>

#define _g_free0(var) (var = (g_free (var), NULL))



#define NOISE_TIME_UTILS_NANO_INV ((guint64) 1000000000)
#define NOISE_TIME_UTILS_MILI_INV ((guint64) 1000)
#define NOISE_TIME_UTILS_SECONDS_PER_MINUTE ((guint) 60)
#define NOISE_TIME_UTILS_SECONDS_PER_HOUR (60 * NOISE_TIME_UTILS_SECONDS_PER_MINUTE)
#define NOISE_TIME_UTILS_SECONDS_PER_DAY (24 * NOISE_TIME_UTILS_SECONDS_PER_HOUR)
gchar* noise_time_utils_time_string_from_seconds (guint given_seconds);
gchar* noise_time_utils_time_string_from_miliseconds (guint64 miliseconds);
gchar* noise_time_utils_time_string_from_nanoseconds (guint64 nanoseconds);
gchar* noise_time_utils_pretty_length (guint seconds);
gchar* noise_time_utils_pretty_length_from_ms (guint64 mseconds);
gchar* noise_time_utils_pretty_length_from_ns (guint64 nseconds);
gchar* noise_time_utils_pretty_timestamp_from_time (struct tm* dt);
gchar* noise_time_utils_pretty_timestamp_from_uint (guint time);
guint noise_time_utils_nanoseconds_to_miliseconds (guint64 nanoseconds);
guint64 noise_time_utils_miliseconds_to_nanoseconds (guint miliseconds);


/**
     * Receives the number of seconds and returns a string with format:
     * "%i days, %i hours and %i minutes", "%i seconds", "%i minutes and %i seconds",
     * or similar.
     */
inline gchar* noise_time_utils_time_string_from_seconds (guint given_seconds) {
	gchar* result = NULL;
	guint days = 0U;
	guint _tmp0_;
	guint hours = 0U;
	guint _tmp1_;
	guint _tmp2_;
	guint minutes = 0U;
	guint _tmp3_;
	guint _tmp4_;
	guint _tmp5_;
	guint seconds = 0U;
	guint _tmp6_;
	guint _tmp7_;
	guint _tmp8_;
	guint _tmp9_;
	guint _tmp10_;
	gchar* days_string = NULL;
	gchar* _tmp14_;
	gchar* hours_string = NULL;
	gchar* _tmp15_;
	gchar* minutes_string = NULL;
	gchar* _tmp16_;
	gchar* seconds_string = NULL;
	gchar* _tmp17_;
	guint _tmp18_;
	guint _tmp29_;
	guint _tmp33_;
	guint _tmp37_;
	gchar* rv = NULL;
	gchar* _tmp41_;
	guint _tmp42_;
#line 43 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_tmp0_ = given_seconds;
#line 43 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	days = _tmp0_ / 86400;
#line 44 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_tmp1_ = given_seconds;
#line 44 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_tmp2_ = days;
#line 44 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	hours = (_tmp1_ - (_tmp2_ * 86400)) / 3600;
#line 45 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_tmp3_ = given_seconds;
#line 45 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_tmp4_ = days;
#line 45 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_tmp5_ = hours;
#line 45 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	minutes = ((_tmp3_ - (_tmp4_ * 86400)) - (_tmp5_ * 3600)) / 60;
#line 46 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_tmp6_ = given_seconds;
#line 46 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_tmp7_ = days;
#line 46 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_tmp8_ = hours;
#line 46 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_tmp9_ = minutes;
#line 46 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	seconds = ((_tmp6_ - (_tmp7_ * 86400)) - (_tmp8_ * 3600)) - (_tmp9_ * 60);
#line 48 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_tmp10_ = given_seconds;
#line 48 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	if (_tmp10_ < NOISE_TIME_UTILS_SECONDS_PER_MINUTE) {
#line 130 "TimeUtils.c"
		guint _tmp11_;
		guint _tmp12_;
		gchar* _tmp13_;
#line 49 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
		_tmp11_ = seconds;
#line 49 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
		_tmp12_ = seconds;
#line 49 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
		_tmp13_ = g_strdup_printf (ngettext ("%u second", "%u seconds", (gulong) _tmp11_), _tmp12_);
#line 49 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
		result = _tmp13_;
#line 49 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
		return result;
#line 144 "TimeUtils.c"
	}
#line 51 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_tmp14_ = g_strdup ("");
#line 51 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	days_string = _tmp14_;
#line 51 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_tmp15_ = g_strdup ("");
#line 51 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	hours_string = _tmp15_;
#line 51 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_tmp16_ = g_strdup ("");
#line 51 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	minutes_string = _tmp16_;
#line 51 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_tmp17_ = g_strdup ("");
#line 51 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	seconds_string = _tmp17_;
#line 54 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_tmp18_ = given_seconds;
#line 54 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	if (_tmp18_ < NOISE_TIME_UTILS_SECONDS_PER_HOUR) {
#line 166 "TimeUtils.c"
		guint _tmp19_;
		guint _tmp20_;
		gchar* _tmp21_;
		guint _tmp22_;
#line 55 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
		_tmp19_ = minutes;
#line 55 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
		_tmp20_ = minutes;
#line 55 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
		_tmp21_ = g_strdup_printf (ngettext ("%u minute", "%u minutes", (gulong) _tmp19_), _tmp20_);
#line 55 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
		_g_free0 (minutes_string);
#line 55 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
		minutes_string = _tmp21_;
#line 57 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
		_tmp22_ = seconds;
#line 57 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
		if (_tmp22_ > ((guint) 0)) {
#line 185 "TimeUtils.c"
			guint _tmp23_;
			guint _tmp24_;
			gchar* _tmp25_;
			const gchar* _tmp26_;
			const gchar* _tmp27_;
			gchar* _tmp28_;
#line 58 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
			_tmp23_ = seconds;
#line 58 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
			_tmp24_ = seconds;
#line 58 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
			_tmp25_ = g_strdup_printf (ngettext ("%u second", "%u seconds", (gulong) _tmp23_), _tmp24_);
#line 58 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
			_g_free0 (seconds_string);
#line 58 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
			seconds_string = _tmp25_;
#line 60 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
			_tmp26_ = minutes_string;
#line 60 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
			_tmp27_ = seconds_string;
#line 60 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
			_tmp28_ = g_strdup_printf (C_ ("minutes and seconds", "%s and %s"), _tmp26_, _tmp27_);
#line 60 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
			result = _tmp28_;
#line 60 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
			_g_free0 (seconds_string);
#line 60 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
			_g_free0 (minutes_string);
#line 60 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
			_g_free0 (hours_string);
#line 60 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
			_g_free0 (days_string);
#line 60 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
			return result;
#line 220 "TimeUtils.c"
		}
#line 63 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
		result = minutes_string;
#line 63 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
		_g_free0 (seconds_string);
#line 63 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
		_g_free0 (hours_string);
#line 63 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
		_g_free0 (days_string);
#line 63 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
		return result;
#line 232 "TimeUtils.c"
	}
#line 66 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_tmp29_ = days;
#line 66 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	if (_tmp29_ > ((guint) 0)) {
#line 238 "TimeUtils.c"
		guint _tmp30_;
		guint _tmp31_;
		gchar* _tmp32_;
#line 67 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
		_tmp30_ = days;
#line 67 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
		_tmp31_ = days;
#line 67 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
		_tmp32_ = g_strdup_printf (ngettext ("%u day", "%u days", (gulong) _tmp30_), _tmp31_);
#line 67 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
		_g_free0 (days_string);
#line 67 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
		days_string = _tmp32_;
#line 252 "TimeUtils.c"
	}
#line 69 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_tmp33_ = hours;
#line 69 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	if (_tmp33_ > ((guint) 0)) {
#line 258 "TimeUtils.c"
		guint _tmp34_;
		guint _tmp35_;
		gchar* _tmp36_;
#line 70 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
		_tmp34_ = hours;
#line 70 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
		_tmp35_ = hours;
#line 70 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
		_tmp36_ = g_strdup_printf (ngettext ("%u hour", "%u hours", (gulong) _tmp34_), _tmp35_);
#line 70 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
		_g_free0 (hours_string);
#line 70 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
		hours_string = _tmp36_;
#line 272 "TimeUtils.c"
	}
#line 72 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_tmp37_ = minutes;
#line 72 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	if (_tmp37_ > ((guint) 0)) {
#line 278 "TimeUtils.c"
		guint _tmp38_;
		guint _tmp39_;
		gchar* _tmp40_;
#line 73 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
		_tmp38_ = minutes;
#line 73 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
		_tmp39_ = minutes;
#line 73 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
		_tmp40_ = g_strdup_printf (ngettext ("%u minute", "%u minutes", (gulong) _tmp38_), _tmp39_);
#line 73 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
		_g_free0 (minutes_string);
#line 73 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
		minutes_string = _tmp40_;
#line 292 "TimeUtils.c"
	}
#line 75 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_tmp41_ = g_strdup ("");
#line 75 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	rv = _tmp41_;
#line 77 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_tmp42_ = days;
#line 77 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	if (_tmp42_ > ((guint) 0)) {
#line 302 "TimeUtils.c"
		guint _tmp43_;
#line 78 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
		_tmp43_ = hours;
#line 78 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
		if (_tmp43_ > ((guint) 0)) {
#line 308 "TimeUtils.c"
			guint _tmp44_;
#line 79 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
			_tmp44_ = minutes;
#line 79 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
			if (_tmp44_ > ((guint) 0)) {
#line 314 "TimeUtils.c"
				const gchar* _tmp45_;
				const gchar* _tmp46_;
				const gchar* _tmp47_;
				gchar* _tmp48_;
#line 81 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
				_tmp45_ = days_string;
#line 81 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
				_tmp46_ = hours_string;
#line 81 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
				_tmp47_ = minutes_string;
#line 81 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
				_tmp48_ = g_strdup_printf (C_ ("days, hours and minutes", "%s, %s and %s"), _tmp45_, _tmp46_, _tmp47_);
#line 81 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
				_g_free0 (rv);
#line 81 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
				rv = _tmp48_;
#line 331 "TimeUtils.c"
			} else {
				const gchar* _tmp49_;
				const gchar* _tmp50_;
				gchar* _tmp51_;
#line 84 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
				_tmp49_ = days_string;
#line 84 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
				_tmp50_ = hours_string;
#line 84 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
				_tmp51_ = g_strdup_printf (C_ ("days and hours", "%s and %s"), _tmp49_, _tmp50_);
#line 84 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
				_g_free0 (rv);
#line 84 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
				rv = _tmp51_;
#line 346 "TimeUtils.c"
			}
		} else {
			guint _tmp52_;
#line 87 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
			_tmp52_ = minutes;
#line 87 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
			if (_tmp52_ > ((guint) 0)) {
#line 354 "TimeUtils.c"
				const gchar* _tmp53_;
				const gchar* _tmp54_;
				gchar* _tmp55_;
#line 89 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
				_tmp53_ = days_string;
#line 89 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
				_tmp54_ = minutes_string;
#line 89 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
				_tmp55_ = g_strdup_printf (C_ ("days and minutes", "%s and %s"), _tmp53_, _tmp54_);
#line 89 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
				_g_free0 (rv);
#line 89 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
				rv = _tmp55_;
#line 368 "TimeUtils.c"
			} else {
				const gchar* _tmp56_;
				gchar* _tmp57_;
#line 91 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
				_tmp56_ = days_string;
#line 91 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
				_tmp57_ = g_strdup (_tmp56_);
#line 91 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
				_g_free0 (rv);
#line 91 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
				rv = _tmp57_;
#line 380 "TimeUtils.c"
			}
		}
	} else {
		guint _tmp58_;
#line 95 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
		_tmp58_ = hours;
#line 95 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
		if (_tmp58_ > ((guint) 0)) {
#line 389 "TimeUtils.c"
			guint _tmp59_;
#line 96 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
			_tmp59_ = minutes;
#line 96 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
			if (_tmp59_ > ((guint) 0)) {
#line 395 "TimeUtils.c"
				const gchar* _tmp60_;
				const gchar* _tmp61_;
				gchar* _tmp62_;
#line 98 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
				_tmp60_ = hours_string;
#line 98 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
				_tmp61_ = minutes_string;
#line 98 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
				_tmp62_ = g_strdup_printf (C_ ("hours and minutes", "%s and %s"), _tmp60_, _tmp61_);
#line 98 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
				_g_free0 (rv);
#line 98 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
				rv = _tmp62_;
#line 409 "TimeUtils.c"
			} else {
				const gchar* _tmp63_;
				gchar* _tmp64_;
#line 100 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
				_tmp63_ = hours_string;
#line 100 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
				_tmp64_ = g_strdup (_tmp63_);
#line 100 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
				_g_free0 (rv);
#line 100 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
				rv = _tmp64_;
#line 421 "TimeUtils.c"
			}
		} else {
			const gchar* _tmp65_;
			gchar* _tmp66_;
			const gchar* _tmp67_;
#line 104 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
			_tmp65_ = minutes_string;
#line 104 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
			_tmp66_ = g_strdup (_tmp65_);
#line 104 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
			_g_free0 (rv);
#line 104 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
			rv = _tmp66_;
#line 105 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
			_tmp67_ = rv;
#line 105 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
			g_warning ("TimeUtils.vala:105: Minutes string '%s'. Should not be reached", _tmp67_);
#line 439 "TimeUtils.c"
		}
	}
#line 109 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	result = rv;
#line 109 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_g_free0 (seconds_string);
#line 109 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_g_free0 (minutes_string);
#line 109 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_g_free0 (hours_string);
#line 109 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_g_free0 (days_string);
#line 109 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	return result;
#line 454 "TimeUtils.c"
}


inline gchar* noise_time_utils_time_string_from_miliseconds (guint64 miliseconds) {
	gchar* result = NULL;
	guint64 _tmp0_;
	gchar* _tmp1_;
#line 113 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_tmp0_ = miliseconds;
#line 113 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_tmp1_ = noise_time_utils_time_string_from_seconds ((guint) (_tmp0_ / NOISE_TIME_UTILS_MILI_INV));
#line 113 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	result = _tmp1_;
#line 113 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	return result;
#line 470 "TimeUtils.c"
}


inline gchar* noise_time_utils_time_string_from_nanoseconds (guint64 nanoseconds) {
	gchar* result = NULL;
	guint64 _tmp0_;
	gchar* _tmp1_;
#line 117 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_tmp0_ = nanoseconds;
#line 117 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_tmp1_ = noise_time_utils_time_string_from_seconds ((guint) (_tmp0_ / NOISE_TIME_UTILS_NANO_INV));
#line 117 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	result = _tmp1_;
#line 117 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	return result;
#line 486 "TimeUtils.c"
}


/**
     * Receives the number of seconds and returns a string with format MM:SS
     */
inline gchar* noise_time_utils_pretty_length (guint seconds) {
	gchar* result = NULL;
	guint _tmp0_;
	guint hours = 0U;
	guint _tmp7_;
	guint _tmp8_;
	guint _tmp9_;
	guint minutes = 0U;
	guint _tmp10_;
	guint _tmp11_;
	guint _tmp12_;
	guint _tmp13_;
	guint _tmp14_;
	guint _tmp15_;
	gchar* _tmp16_;
#line 124 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_tmp0_ = seconds;
#line 124 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	if (_tmp0_ < NOISE_TIME_UTILS_SECONDS_PER_HOUR) {
#line 512 "TimeUtils.c"
		guint minutes = 0U;
		guint _tmp1_;
		guint _tmp2_;
		guint _tmp3_;
		guint _tmp4_;
		guint _tmp5_;
		gchar* _tmp6_;
#line 125 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
		_tmp1_ = seconds;
#line 125 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
		minutes = _tmp1_ / 60;
#line 126 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
		_tmp2_ = seconds;
#line 126 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
		_tmp3_ = minutes;
#line 126 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
		seconds = _tmp2_ - (_tmp3_ * 60);
#line 127 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
		_tmp4_ = minutes;
#line 127 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
		_tmp5_ = seconds;
#line 127 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
		_tmp6_ = g_strdup_printf ("%u:%02u", _tmp4_, _tmp5_);
#line 127 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
		result = _tmp6_;
#line 127 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
		return result;
#line 540 "TimeUtils.c"
	}
#line 130 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_tmp7_ = seconds;
#line 130 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	hours = _tmp7_ / 3600;
#line 131 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_tmp8_ = seconds;
#line 131 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_tmp9_ = hours;
#line 131 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	seconds = _tmp8_ - (_tmp9_ * 3600);
#line 132 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_tmp10_ = seconds;
#line 132 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	minutes = _tmp10_ / 60;
#line 133 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_tmp11_ = seconds;
#line 133 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_tmp12_ = minutes;
#line 133 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	seconds = _tmp11_ - (_tmp12_ * 60);
#line 134 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_tmp13_ = hours;
#line 134 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_tmp14_ = minutes;
#line 134 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_tmp15_ = seconds;
#line 134 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_tmp16_ = g_strdup_printf ("%u:%02u:%02u", _tmp13_, _tmp14_, _tmp15_);
#line 134 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	result = _tmp16_;
#line 134 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	return result;
#line 574 "TimeUtils.c"
}


/**
     * Receives the number of miliseconds and returns a string with format MM:SS
     */
inline gchar* noise_time_utils_pretty_length_from_ms (guint64 mseconds) {
	gchar* result = NULL;
	guint64 _tmp0_;
	gchar* _tmp1_;
#line 141 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_tmp0_ = mseconds;
#line 141 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_tmp1_ = noise_time_utils_pretty_length ((guint) (_tmp0_ / NOISE_TIME_UTILS_MILI_INV));
#line 141 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	result = _tmp1_;
#line 141 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	return result;
#line 593 "TimeUtils.c"
}


/**
     * Receives the number of nanoseconds and returns a string with format MM:SS
     */
inline gchar* noise_time_utils_pretty_length_from_ns (guint64 nseconds) {
	gchar* result = NULL;
	guint64 _tmp0_;
	gchar* _tmp1_;
#line 148 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_tmp0_ = nseconds;
#line 148 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_tmp1_ = noise_time_utils_pretty_length ((guint) (_tmp0_ / NOISE_TIME_UTILS_NANO_INV));
#line 148 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	result = _tmp1_;
#line 148 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	return result;
#line 612 "TimeUtils.c"
}


/**
     * Returns a formatted date and time string.
     */
static gchar* g_time_format (struct tm *self, const gchar* format) {
	gchar* result = NULL;
	gchar* buffer = NULL;
	gchar* _tmp0_;
	gint buffer_length1;
	gint _buffer_size_;
	gchar* _tmp1_;
	gint _tmp1__length1;
	const gchar* _tmp2_;
	gchar* _tmp3_;
	gint _tmp3__length1;
	gchar* _tmp4_;
#line 2862 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	g_return_val_if_fail (format != NULL, NULL);
#line 2863 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	_tmp0_ = g_new0 (gchar, 64);
#line 2863 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	buffer = _tmp0_;
#line 2863 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	buffer_length1 = 64;
#line 2863 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	_buffer_size_ = buffer_length1;
#line 2864 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	_tmp1_ = buffer;
#line 2864 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	_tmp1__length1 = buffer_length1;
#line 2864 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	_tmp2_ = format;
#line 2864 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	strftime (_tmp1_, _tmp1__length1, _tmp2_, &(*self));
#line 2865 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	_tmp3_ = buffer;
#line 2865 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	_tmp3__length1 = buffer_length1;
#line 2865 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	_tmp4_ = g_strdup ((const gchar*) _tmp3_);
#line 2865 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	result = _tmp4_;
#line 2865 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	buffer = (g_free (buffer), NULL);
#line 2865 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	return result;
#line 661 "TimeUtils.c"
}


inline gchar* noise_time_utils_pretty_timestamp_from_time (struct tm* dt) {
	gchar* result = NULL;
	gchar* _tmp0_;
#line 154 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	g_return_val_if_fail (dt != NULL, NULL);
#line 157 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_tmp0_ = g_time_format (dt, _ ("%m/%e/%Y %l:%M %p"));
#line 157 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	result = _tmp0_;
#line 157 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	return result;
#line 676 "TimeUtils.c"
}


static void g_time_local (time_t time, struct tm* result) {
	struct tm _result_ = {0};
	struct tm _tmp0_ = {0};
#line 2854 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	localtime_r (&time, &_tmp0_);
#line 2854 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	_result_ = _tmp0_;
#line 2855 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	*result = _result_;
#line 2855 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	return;
#line 691 "TimeUtils.c"
}


inline gchar* noise_time_utils_pretty_timestamp_from_uint (guint time) {
	gchar* result = NULL;
	struct tm dt = {0};
	guint _tmp0_;
	struct tm _tmp1_ = {0};
	struct tm _tmp2_;
	gchar* _tmp3_;
#line 161 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_tmp0_ = time;
#line 161 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	g_time_local ((time_t) _tmp0_, &_tmp1_);
#line 161 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	dt = _tmp1_;
#line 162 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_tmp2_ = dt;
#line 162 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_tmp3_ = noise_time_utils_pretty_timestamp_from_time (&_tmp2_);
#line 162 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	result = _tmp3_;
#line 162 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	return result;
#line 716 "TimeUtils.c"
}


/**
     * Convert from nanoseconds (10E-9) to miliseconds (10E-3);
     *
     * This is used extensively because {@link Noise.Media} stores
     * miliseconds, while GStreamer uses nanoseconds.
     *
     * The method does its best to avoid losing precision.
     */
inline guint noise_time_utils_nanoseconds_to_miliseconds (guint64 nanoseconds) {
	guint result = 0U;
	guint64 _tmp0_;
#line 174 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_tmp0_ = nanoseconds;
#line 174 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	result = (guint) ((_tmp0_ * NOISE_TIME_UTILS_MILI_INV) / NOISE_TIME_UTILS_NANO_INV);
#line 174 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	return result;
#line 737 "TimeUtils.c"
}


inline guint64 noise_time_utils_miliseconds_to_nanoseconds (guint miliseconds) {
	guint64 result = 0ULL;
	guint _tmp0_;
#line 178 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	_tmp0_ = miliseconds;
#line 178 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	result = (((guint64) _tmp0_) * NOISE_TIME_UTILS_NANO_INV) / NOISE_TIME_UTILS_MILI_INV;
#line 178 "/builddir/build/BUILD/music-0.4.2/core/Utils/TimeUtils.vala"
	return result;
#line 750 "TimeUtils.c"
}



