/* SyncWarningDialog.c generated by valac 0.38.10, the Vala compiler
 * generated from SyncWarningDialog.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2012-2017 elementary LLC. (https://elementary.io)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Noise authors hereby grant permission for non-GPL compatible
 * GStreamer plugins to be used and distributed together with GStreamer
 * and Noise. This permission is above and beyond the permissions granted
 * by the GPL license by which Noise is covered. If you modify this code
 * you may extend this exception to your version of the code, but you are not
 * obligated to do so. If you do not wish to do so, delete this exception
 * statement from your version.
 *
 * Authored by: Scott Ringwelski <sgringwe@mtu.edu>
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <noise-core.h>
#include <gee.h>
#include <gdk/gdk.h>
#include <glib/gi18n-lib.h>
#include <stdlib.h>
#include <string.h>


#define NOISE_TYPE_SYNC_WARNING_DIALOG (noise_sync_warning_dialog_get_type ())
#define NOISE_SYNC_WARNING_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_SYNC_WARNING_DIALOG, NoiseSyncWarningDialog))
#define NOISE_SYNC_WARNING_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_SYNC_WARNING_DIALOG, NoiseSyncWarningDialogClass))
#define NOISE_IS_SYNC_WARNING_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_SYNC_WARNING_DIALOG))
#define NOISE_IS_SYNC_WARNING_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_SYNC_WARNING_DIALOG))
#define NOISE_SYNC_WARNING_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_SYNC_WARNING_DIALOG, NoiseSyncWarningDialogClass))

typedef struct _NoiseSyncWarningDialog NoiseSyncWarningDialog;
typedef struct _NoiseSyncWarningDialogClass NoiseSyncWarningDialogClass;
typedef struct _NoiseSyncWarningDialogPrivate NoiseSyncWarningDialogPrivate;
enum  {
	NOISE_SYNC_WARNING_DIALOG_0_PROPERTY,
	NOISE_SYNC_WARNING_DIALOG_DEVICE_PROPERTY,
	NOISE_SYNC_WARNING_DIALOG_TO_SYNC_PROPERTY,
	NOISE_SYNC_WARNING_DIALOG_TO_REMOVE_PROPERTY,
	NOISE_SYNC_WARNING_DIALOG_NUM_PROPERTIES
};
static GParamSpec* noise_sync_warning_dialog_properties[NOISE_SYNC_WARNING_DIALOG_NUM_PROPERTIES];

#define NOISE_SYNC_WARNING_DIALOG_TYPE_RESPONSE_ID (noise_sync_warning_dialog_response_id_get_type ())
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))

#define NOISE_TYPE_LIBRARY_WINDOW (noise_library_window_get_type ())
#define NOISE_LIBRARY_WINDOW(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_LIBRARY_WINDOW, NoiseLibraryWindow))
#define NOISE_LIBRARY_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_LIBRARY_WINDOW, NoiseLibraryWindowClass))
#define NOISE_IS_LIBRARY_WINDOW(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_LIBRARY_WINDOW))
#define NOISE_IS_LIBRARY_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_LIBRARY_WINDOW))
#define NOISE_LIBRARY_WINDOW_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_LIBRARY_WINDOW, NoiseLibraryWindowClass))

typedef struct _NoiseLibraryWindow NoiseLibraryWindow;
typedef struct _NoiseLibraryWindowClass NoiseLibraryWindowClass;
#define _g_free0(var) (var = (g_free (var), NULL))

struct _NoiseSyncWarningDialog {
	GtkDialog parent_instance;
	NoiseSyncWarningDialogPrivate * priv;
};

struct _NoiseSyncWarningDialogClass {
	GtkDialogClass parent_class;
};

struct _NoiseSyncWarningDialogPrivate {
	NoiseDevice* _device;
	GeeTreeSet* _to_sync;
	GeeTreeSet* _to_remove;
	GtkWidget* import_media_button;
	GtkWidget* continue_button;
	GtkWidget* stop_button;
};

typedef enum  {
	NOISE_SYNC_WARNING_DIALOG_RESPONSE_ID_IMPORT_MEDIA = 1,
	NOISE_SYNC_WARNING_DIALOG_RESPONSE_ID_CONTINUE,
	NOISE_SYNC_WARNING_DIALOG_RESPONSE_ID_STOP
} NoiseSyncWarningDialogResponseId;


static gpointer noise_sync_warning_dialog_parent_class = NULL;

GType noise_sync_warning_dialog_get_type (void) G_GNUC_CONST;
#define NOISE_SYNC_WARNING_DIALOG_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NOISE_TYPE_SYNC_WARNING_DIALOG, NoiseSyncWarningDialogPrivate))
GType noise_sync_warning_dialog_response_id_get_type (void) G_GNUC_CONST;
NoiseSyncWarningDialog* noise_sync_warning_dialog_new (NoiseDevice* d, GeeTreeSet* to_sync, GeeTreeSet* removed);
NoiseSyncWarningDialog* noise_sync_warning_dialog_construct (GType object_type, NoiseDevice* d, GeeTreeSet* to_sync, GeeTreeSet* removed);
void noise_sync_warning_dialog_file_operations_done (NoiseSyncWarningDialog* self);
void noise_sync_warning_dialog_file_operations_started (NoiseSyncWarningDialog* self);
NoiseDevice* noise_sync_warning_dialog_get_device (NoiseSyncWarningDialog* self);
static void noise_sync_warning_dialog_set_device (NoiseSyncWarningDialog* self, NoiseDevice* value);
GeeTreeSet* noise_sync_warning_dialog_get_to_sync (NoiseSyncWarningDialog* self);
static void noise_sync_warning_dialog_set_to_sync (NoiseSyncWarningDialog* self, GeeTreeSet* value);
GeeTreeSet* noise_sync_warning_dialog_get_to_remove (NoiseSyncWarningDialog* self);
static void noise_sync_warning_dialog_set_to_remove (NoiseSyncWarningDialog* self, GeeTreeSet* value);
static GObject * noise_sync_warning_dialog_constructor (GType type, guint n_construct_properties, GObjectConstructParam * construct_properties);
GType noise_library_window_get_type (void) G_GNUC_CONST;
NoiseLibraryWindow* noise_app_get_main_window (void);
static void noise_sync_warning_dialog_finalize (GObject * obj);
static void _vala_noise_sync_warning_dialog_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_noise_sync_warning_dialog_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);


GType noise_sync_warning_dialog_response_id_get_type (void) {
	static volatile gsize noise_sync_warning_dialog_response_id_type_id__volatile = 0;
	if (g_once_init_enter (&noise_sync_warning_dialog_response_id_type_id__volatile)) {
		static const GEnumValue values[] = {{NOISE_SYNC_WARNING_DIALOG_RESPONSE_ID_IMPORT_MEDIA, "NOISE_SYNC_WARNING_DIALOG_RESPONSE_ID_IMPORT_MEDIA", "import-media"}, {NOISE_SYNC_WARNING_DIALOG_RESPONSE_ID_CONTINUE, "NOISE_SYNC_WARNING_DIALOG_RESPONSE_ID_CONTINUE", "continue"}, {NOISE_SYNC_WARNING_DIALOG_RESPONSE_ID_STOP, "NOISE_SYNC_WARNING_DIALOG_RESPONSE_ID_STOP", "stop"}, {0, NULL, NULL}};
		GType noise_sync_warning_dialog_response_id_type_id;
		noise_sync_warning_dialog_response_id_type_id = g_enum_register_static ("NoiseSyncWarningDialogResponseId", values);
		g_once_init_leave (&noise_sync_warning_dialog_response_id_type_id__volatile, noise_sync_warning_dialog_response_id_type_id);
	}
	return noise_sync_warning_dialog_response_id_type_id__volatile;
}


NoiseSyncWarningDialog* noise_sync_warning_dialog_construct (GType object_type, NoiseDevice* d, GeeTreeSet* to_sync, GeeTreeSet* removed) {
	NoiseSyncWarningDialog * self = NULL;
	NoiseDevice* _tmp0_;
	GeeTreeSet* _tmp1_;
	GeeTreeSet* _tmp2_;
#line 96 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	g_return_val_if_fail (d != NULL, NULL);
#line 96 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	g_return_val_if_fail (to_sync != NULL, NULL);
#line 96 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	g_return_val_if_fail (removed != NULL, NULL);
#line 97 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp0_ = d;
#line 97 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp1_ = to_sync;
#line 97 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp2_ = removed;
#line 97 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	self = (NoiseSyncWarningDialog*) g_object_new (object_type, "device", _tmp0_, "to-sync", _tmp1_, "to-remove", _tmp2_, NULL);
#line 96 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	return self;
#line 158 "SyncWarningDialog.c"
}


NoiseSyncWarningDialog* noise_sync_warning_dialog_new (NoiseDevice* d, GeeTreeSet* to_sync, GeeTreeSet* removed) {
#line 96 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	return noise_sync_warning_dialog_construct (NOISE_TYPE_SYNC_WARNING_DIALOG, d, to_sync, removed);
#line 165 "SyncWarningDialog.c"
}


void noise_sync_warning_dialog_file_operations_done (NoiseSyncWarningDialog* self) {
	GtkWidget* _tmp0_;
	GtkWidget* _tmp1_;
#line 100 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	g_return_if_fail (self != NULL);
#line 101 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp0_ = self->priv->import_media_button;
#line 101 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	gtk_widget_set_sensitive (_tmp0_, TRUE);
#line 102 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp1_ = self->priv->continue_button;
#line 102 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	gtk_widget_set_sensitive (_tmp1_, TRUE);
#line 182 "SyncWarningDialog.c"
}


void noise_sync_warning_dialog_file_operations_started (NoiseSyncWarningDialog* self) {
	GtkWidget* _tmp0_;
	GtkWidget* _tmp1_;
#line 105 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	g_return_if_fail (self != NULL);
#line 106 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp0_ = self->priv->import_media_button;
#line 106 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	gtk_widget_set_sensitive (_tmp0_, FALSE);
#line 107 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp1_ = self->priv->continue_button;
#line 107 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	gtk_widget_set_sensitive (_tmp1_, FALSE);
#line 199 "SyncWarningDialog.c"
}


NoiseDevice* noise_sync_warning_dialog_get_device (NoiseSyncWarningDialog* self) {
	NoiseDevice* result;
	NoiseDevice* _tmp0_;
#line 36 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 36 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp0_ = self->priv->_device;
#line 36 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	result = _tmp0_;
#line 36 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	return result;
#line 214 "SyncWarningDialog.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 36 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	return self ? g_object_ref (self) : NULL;
#line 221 "SyncWarningDialog.c"
}


static void noise_sync_warning_dialog_set_device (NoiseSyncWarningDialog* self, NoiseDevice* value) {
#line 36 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	g_return_if_fail (self != NULL);
#line 36 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	if (noise_sync_warning_dialog_get_device (self) != value) {
#line 230 "SyncWarningDialog.c"
		NoiseDevice* _tmp0_;
		NoiseDevice* _tmp1_;
#line 36 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
		_tmp0_ = value;
#line 36 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
		_tmp1_ = _g_object_ref0 (_tmp0_);
#line 36 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
		_g_object_unref0 (self->priv->_device);
#line 36 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
		self->priv->_device = _tmp1_;
#line 36 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
		g_object_notify_by_pspec ((GObject *) self, noise_sync_warning_dialog_properties[NOISE_SYNC_WARNING_DIALOG_DEVICE_PROPERTY]);
#line 243 "SyncWarningDialog.c"
	}
}


GeeTreeSet* noise_sync_warning_dialog_get_to_sync (NoiseSyncWarningDialog* self) {
	GeeTreeSet* result;
	GeeTreeSet* _tmp0_;
#line 37 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 37 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp0_ = self->priv->_to_sync;
#line 37 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	result = _tmp0_;
#line 37 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	return result;
#line 259 "SyncWarningDialog.c"
}


static void noise_sync_warning_dialog_set_to_sync (NoiseSyncWarningDialog* self, GeeTreeSet* value) {
#line 37 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	g_return_if_fail (self != NULL);
#line 37 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	if (noise_sync_warning_dialog_get_to_sync (self) != value) {
#line 268 "SyncWarningDialog.c"
		GeeTreeSet* _tmp0_;
		GeeTreeSet* _tmp1_;
#line 37 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
		_tmp0_ = value;
#line 37 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
		_tmp1_ = _g_object_ref0 (_tmp0_);
#line 37 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
		_g_object_unref0 (self->priv->_to_sync);
#line 37 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
		self->priv->_to_sync = _tmp1_;
#line 37 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
		g_object_notify_by_pspec ((GObject *) self, noise_sync_warning_dialog_properties[NOISE_SYNC_WARNING_DIALOG_TO_SYNC_PROPERTY]);
#line 281 "SyncWarningDialog.c"
	}
}


GeeTreeSet* noise_sync_warning_dialog_get_to_remove (NoiseSyncWarningDialog* self) {
	GeeTreeSet* result;
	GeeTreeSet* _tmp0_;
#line 38 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 38 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp0_ = self->priv->_to_remove;
#line 38 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	result = _tmp0_;
#line 38 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	return result;
#line 297 "SyncWarningDialog.c"
}


static void noise_sync_warning_dialog_set_to_remove (NoiseSyncWarningDialog* self, GeeTreeSet* value) {
#line 38 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	g_return_if_fail (self != NULL);
#line 38 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	if (noise_sync_warning_dialog_get_to_remove (self) != value) {
#line 306 "SyncWarningDialog.c"
		GeeTreeSet* _tmp0_;
		GeeTreeSet* _tmp1_;
#line 38 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
		_tmp0_ = value;
#line 38 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
		_tmp1_ = _g_object_ref0 (_tmp0_);
#line 38 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
		_g_object_unref0 (self->priv->_to_remove);
#line 38 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
		self->priv->_to_remove = _tmp1_;
#line 38 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
		g_object_notify_by_pspec ((GObject *) self, noise_sync_warning_dialog_properties[NOISE_SYNC_WARNING_DIALOG_TO_REMOVE_PROPERTY]);
#line 319 "SyncWarningDialog.c"
	}
}


static GObject * noise_sync_warning_dialog_constructor (GType type, guint n_construct_properties, GObjectConstructParam * construct_properties) {
	GObject * obj;
	GObjectClass * parent_class;
	NoiseSyncWarningDialog * self;
	NoiseLibraryWindow* _tmp0_;
	NoiseLibraryWindow* _tmp1_;
	GtkWidget* _tmp2_;
	GtkWidget* _tmp3_;
	GtkWidget* _tmp4_;
	GtkWidget* _tmp5_;
	GtkWidget* _tmp6_;
	GtkWidget* _tmp7_;
	GtkWidget* _tmp8_;
	NoiseLibrariesManager* _tmp9_;
	NoiseLibrary* _tmp10_;
	gboolean _tmp11_;
	GtkWidget* _tmp12_;
	NoiseLibrariesManager* _tmp13_;
	NoiseLibrary* _tmp14_;
	gboolean _tmp15_;
	GtkBox* content = NULL;
	GtkBox* _tmp16_;
	GtkBox* _tmp17_;
	GtkBox* _tmp18_;
	GtkImage* warning = NULL;
	GtkImage* _tmp19_;
	GtkLabel* title = NULL;
	GtkLabel* _tmp20_;
	GtkLabel* info = NULL;
	GtkLabel* _tmp21_;
	GtkLabel* _tmp22_;
	GtkLabel* _tmp23_;
	GtkLabel* _tmp24_;
	gchar* info_text = NULL;
	NoiseDevice* _tmp25_;
	gchar* _tmp26_;
	gchar* _tmp27_;
	gchar* _tmp28_;
	gchar* _tmp29_;
	gchar* _tmp30_;
	gchar* _tmp31_;
	gchar* _tmp32_;
	gchar* _tmp33_;
	gchar* _tmp34_;
	gchar* _tmp35_;
	GtkLabel* _tmp36_;
	const gchar* _tmp37_;
	gchar* title_text = NULL;
	GeeTreeSet* _tmp38_;
	gint _tmp39_;
	gint _tmp40_;
	GeeTreeSet* _tmp41_;
	gint _tmp42_;
	gint _tmp43_;
	NoiseDevice* _tmp44_;
	gchar* _tmp45_;
	gchar* _tmp46_;
	gchar* _tmp47_;
	gchar* _tmp48_;
	gchar* MARKUP_TEMPLATE = NULL;
	gchar* _tmp49_;
	gchar* title_string = NULL;
	const gchar* _tmp50_;
	const gchar* _tmp51_;
	gchar* _tmp52_;
	gchar* _tmp53_;
	gchar* _tmp54_;
	gchar* _tmp55_;
	GtkLabel* _tmp56_;
	const gchar* _tmp57_;
	GtkGrid* information = NULL;
	GtkGrid* _tmp58_;
	GtkGrid* _tmp59_;
	GtkGrid* _tmp60_;
	GtkImage* _tmp61_;
	GtkGrid* _tmp62_;
	GtkLabel* _tmp63_;
	GtkGrid* _tmp64_;
	GtkLabel* _tmp65_;
	GtkBox* _tmp66_;
	GtkGrid* _tmp67_;
#line 44 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	parent_class = G_OBJECT_CLASS (noise_sync_warning_dialog_parent_class);
#line 44 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 44 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_TYPE_SYNC_WARNING_DIALOG, NoiseSyncWarningDialog);
#line 45 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	gtk_window_set_type_hint ((GtkWindow*) self, GDK_WINDOW_TYPE_HINT_DIALOG);
#line 46 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	gtk_window_set_modal ((GtkWindow*) self, TRUE);
#line 47 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp0_ = noise_app_get_main_window ();
#line 47 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp1_ = _tmp0_;
#line 47 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	gtk_window_set_transient_for ((GtkWindow*) self, (GtkWindow*) _tmp1_);
#line 48 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	gtk_window_set_destroy_with_parent ((GtkWindow*) self, TRUE);
#line 49 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	gtk_window_set_default_size ((GtkWindow*) self, 475, -1);
#line 50 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	gtk_window_set_resizable ((GtkWindow*) self, FALSE);
#line 51 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	gtk_container_set_border_width ((GtkContainer*) self, (guint) 20);
#line 54 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp2_ = gtk_dialog_add_button ((GtkDialog*) self, _ ("Import media to Library"), (gint) NOISE_SYNC_WARNING_DIALOG_RESPONSE_ID_IMPORT_MEDIA);
#line 54 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp3_ = _g_object_ref0 (_tmp2_);
#line 54 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_g_object_unref0 (self->priv->import_media_button);
#line 54 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	self->priv->import_media_button = _tmp3_;
#line 55 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp4_ = gtk_dialog_add_button ((GtkDialog*) self, _ ("Continue Syncing"), (gint) NOISE_SYNC_WARNING_DIALOG_RESPONSE_ID_CONTINUE);
#line 55 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp5_ = _g_object_ref0 (_tmp4_);
#line 55 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_g_object_unref0 (self->priv->continue_button);
#line 55 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	self->priv->continue_button = _tmp5_;
#line 56 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp6_ = gtk_dialog_add_button ((GtkDialog*) self, _ ("Stop Syncing"), (gint) NOISE_SYNC_WARNING_DIALOG_RESPONSE_ID_STOP);
#line 56 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp7_ = _g_object_ref0 (_tmp6_);
#line 56 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_g_object_unref0 (self->priv->stop_button);
#line 56 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	self->priv->stop_button = _tmp7_;
#line 58 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp8_ = self->priv->import_media_button;
#line 58 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp9_ = noise_libraries_manager;
#line 58 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp10_ = _tmp9_->local_library;
#line 58 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp11_ = noise_library_doing_file_operations (_tmp10_);
#line 58 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	gtk_widget_set_sensitive (_tmp8_, !_tmp11_);
#line 59 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp12_ = self->priv->continue_button;
#line 59 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp13_ = noise_libraries_manager;
#line 59 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp14_ = _tmp13_->local_library;
#line 59 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp15_ = noise_library_doing_file_operations (_tmp14_);
#line 59 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	gtk_widget_set_sensitive (_tmp12_, !_tmp15_);
#line 61 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp16_ = (GtkBox*) gtk_dialog_get_content_area ((GtkDialog*) self);
#line 61 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp17_ = _g_object_ref0 (_tmp16_);
#line 61 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	content = _tmp17_;
#line 62 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp18_ = content;
#line 62 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	gtk_box_set_spacing (_tmp18_, 10);
#line 65 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp19_ = (GtkImage*) gtk_image_new_from_icon_name ("dialog-error", GTK_ICON_SIZE_DIALOG);
#line 65 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	g_object_ref_sink (_tmp19_);
#line 65 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	warning = _tmp19_;
#line 66 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp20_ = (GtkLabel*) gtk_label_new ("");
#line 66 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	g_object_ref_sink (_tmp20_);
#line 66 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	title = _tmp20_;
#line 67 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp21_ = (GtkLabel*) gtk_label_new ("");
#line 67 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	g_object_ref_sink (_tmp21_);
#line 67 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	info = _tmp21_;
#line 70 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp22_ = title;
#line 70 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp22_, GTK_ALIGN_START);
#line 71 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp23_ = info;
#line 71 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp23_, GTK_ALIGN_START);
#line 73 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp24_ = info;
#line 73 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	gtk_label_set_line_wrap (_tmp24_, TRUE);
#line 74 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp25_ = self->priv->_device;
#line 74 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp26_ = noise_device_getDisplayName (_tmp25_);
#line 74 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp27_ = _tmp26_;
#line 74 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp28_ = g_markup_escape_text (_tmp27_, (gssize) -1);
#line 74 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp29_ = _tmp28_;
#line 74 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp30_ = g_strconcat ("<b>", _tmp29_, NULL);
#line 74 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp31_ = _tmp30_;
#line 74 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp32_ = g_strconcat (_tmp31_, "</b>", NULL);
#line 74 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp33_ = _tmp32_;
#line 74 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp34_ = g_strdup_printf (_ ("If you continue to sync, media will be removed from %s since they are " \
"not on the sync list. Would you like to import them to your library fi" \
"rst?"), _tmp33_);
#line 74 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp35_ = _tmp34_;
#line 74 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_g_free0 (_tmp33_);
#line 74 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_g_free0 (_tmp31_);
#line 74 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_g_free0 (_tmp29_);
#line 74 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_g_free0 (_tmp27_);
#line 74 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	info_text = _tmp35_;
#line 75 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp36_ = info;
#line 75 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp37_ = info_text;
#line 75 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	gtk_label_set_markup (_tmp36_, _tmp37_);
#line 78 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp38_ = self->priv->_to_remove;
#line 78 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp39_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp38_);
#line 78 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp40_ = _tmp39_;
#line 78 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp41_ = self->priv->_to_remove;
#line 78 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp42_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp41_);
#line 78 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp43_ = _tmp42_;
#line 78 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp44_ = self->priv->_device;
#line 78 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp45_ = noise_device_getDisplayName (_tmp44_);
#line 78 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp46_ = _tmp45_;
#line 78 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp47_ = g_strdup_printf (ngettext ("Sync will remove %i item from %s", "Sync will remove %i items from %s", (gulong) _tmp40_), _tmp43_, _tmp46_);
#line 78 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp48_ = _tmp47_;
#line 78 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_g_free0 (_tmp46_);
#line 78 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	title_text = _tmp48_;
#line 81 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp49_ = g_strdup ("<span weight=\"bold\" size=\"larger\">%s</span>");
#line 81 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	MARKUP_TEMPLATE = _tmp49_;
#line 82 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp50_ = MARKUP_TEMPLATE;
#line 82 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp51_ = title_text;
#line 82 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp52_ = g_markup_escape_text (_tmp51_, (gssize) -1);
#line 82 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp53_ = _tmp52_;
#line 82 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp54_ = g_strdup_printf (_tmp50_, _tmp53_);
#line 82 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp55_ = _tmp54_;
#line 82 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_g_free0 (_tmp53_);
#line 82 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	title_string = _tmp55_;
#line 83 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp56_ = title;
#line 83 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp57_ = title_string;
#line 83 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	gtk_label_set_markup (_tmp56_, _tmp57_);
#line 86 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp58_ = (GtkGrid*) gtk_grid_new ();
#line 86 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	g_object_ref_sink (_tmp58_);
#line 86 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	information = _tmp58_;
#line 87 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp59_ = information;
#line 87 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	gtk_grid_set_column_spacing (_tmp59_, 10);
#line 88 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp60_ = information;
#line 88 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp61_ = warning;
#line 88 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	gtk_grid_attach (_tmp60_, (GtkWidget*) _tmp61_, 0, 0, 1, 2);
#line 89 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp62_ = information;
#line 89 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp63_ = title;
#line 89 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	gtk_grid_attach (_tmp62_, (GtkWidget*) _tmp63_, 1, 0, 1, 1);
#line 90 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp64_ = information;
#line 90 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp65_ = info;
#line 90 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	gtk_grid_attach (_tmp64_, (GtkWidget*) _tmp65_, 1, 1, 1, 1);
#line 91 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp66_ = content;
#line 91 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_tmp67_ = information;
#line 91 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	gtk_box_pack_start (_tmp66_, (GtkWidget*) _tmp67_, FALSE, TRUE, (guint) 0);
#line 93 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	gtk_widget_show_all ((GtkWidget*) self);
#line 44 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_g_object_unref0 (information);
#line 44 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_g_free0 (title_string);
#line 44 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_g_free0 (MARKUP_TEMPLATE);
#line 44 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_g_free0 (title_text);
#line 44 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_g_free0 (info_text);
#line 44 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_g_object_unref0 (info);
#line 44 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_g_object_unref0 (title);
#line 44 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_g_object_unref0 (warning);
#line 44 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_g_object_unref0 (content);
#line 44 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	return obj;
#line 659 "SyncWarningDialog.c"
}


static void noise_sync_warning_dialog_class_init (NoiseSyncWarningDialogClass * klass) {
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	noise_sync_warning_dialog_parent_class = g_type_class_peek_parent (klass);
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	g_type_class_add_private (klass, sizeof (NoiseSyncWarningDialogPrivate));
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_noise_sync_warning_dialog_get_property;
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_noise_sync_warning_dialog_set_property;
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	G_OBJECT_CLASS (klass)->constructor = noise_sync_warning_dialog_constructor;
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	G_OBJECT_CLASS (klass)->finalize = noise_sync_warning_dialog_finalize;
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_SYNC_WARNING_DIALOG_DEVICE_PROPERTY, noise_sync_warning_dialog_properties[NOISE_SYNC_WARNING_DIALOG_DEVICE_PROPERTY] = g_param_spec_object ("device", "device", "device", NOISE_TYPE_DEVICE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_SYNC_WARNING_DIALOG_TO_SYNC_PROPERTY, noise_sync_warning_dialog_properties[NOISE_SYNC_WARNING_DIALOG_TO_SYNC_PROPERTY] = g_param_spec_object ("to-sync", "to-sync", "to-sync", GEE_TYPE_TREE_SET, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_SYNC_WARNING_DIALOG_TO_REMOVE_PROPERTY, noise_sync_warning_dialog_properties[NOISE_SYNC_WARNING_DIALOG_TO_REMOVE_PROPERTY] = g_param_spec_object ("to-remove", "to-remove", "to-remove", GEE_TYPE_TREE_SET, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 682 "SyncWarningDialog.c"
}


static void noise_sync_warning_dialog_instance_init (NoiseSyncWarningDialog * self) {
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	self->priv = NOISE_SYNC_WARNING_DIALOG_GET_PRIVATE (self);
#line 689 "SyncWarningDialog.c"
}


static void noise_sync_warning_dialog_finalize (GObject * obj) {
	NoiseSyncWarningDialog * self;
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_TYPE_SYNC_WARNING_DIALOG, NoiseSyncWarningDialog);
#line 36 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_g_object_unref0 (self->priv->_device);
#line 37 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_g_object_unref0 (self->priv->_to_sync);
#line 38 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_g_object_unref0 (self->priv->_to_remove);
#line 40 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_g_object_unref0 (self->priv->import_media_button);
#line 41 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_g_object_unref0 (self->priv->continue_button);
#line 42 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	_g_object_unref0 (self->priv->stop_button);
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	G_OBJECT_CLASS (noise_sync_warning_dialog_parent_class)->finalize (obj);
#line 711 "SyncWarningDialog.c"
}


GType noise_sync_warning_dialog_get_type (void) {
	static volatile gsize noise_sync_warning_dialog_type_id__volatile = 0;
	if (g_once_init_enter (&noise_sync_warning_dialog_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NoiseSyncWarningDialogClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) noise_sync_warning_dialog_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NoiseSyncWarningDialog), 0, (GInstanceInitFunc) noise_sync_warning_dialog_instance_init, NULL };
		GType noise_sync_warning_dialog_type_id;
		noise_sync_warning_dialog_type_id = g_type_register_static (gtk_dialog_get_type (), "NoiseSyncWarningDialog", &g_define_type_info, 0);
		g_once_init_leave (&noise_sync_warning_dialog_type_id__volatile, noise_sync_warning_dialog_type_id);
	}
	return noise_sync_warning_dialog_type_id__volatile;
}


static void _vala_noise_sync_warning_dialog_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	NoiseSyncWarningDialog * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NOISE_TYPE_SYNC_WARNING_DIALOG, NoiseSyncWarningDialog);
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	switch (property_id) {
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
		case NOISE_SYNC_WARNING_DIALOG_DEVICE_PROPERTY:
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
		g_value_set_object (value, noise_sync_warning_dialog_get_device (self));
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
		break;
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
		case NOISE_SYNC_WARNING_DIALOG_TO_SYNC_PROPERTY:
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
		g_value_set_object (value, noise_sync_warning_dialog_get_to_sync (self));
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
		break;
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
		case NOISE_SYNC_WARNING_DIALOG_TO_REMOVE_PROPERTY:
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
		g_value_set_object (value, noise_sync_warning_dialog_get_to_remove (self));
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
		break;
#line 750 "SyncWarningDialog.c"
		default:
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
		break;
#line 756 "SyncWarningDialog.c"
	}
}


static void _vala_noise_sync_warning_dialog_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	NoiseSyncWarningDialog * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NOISE_TYPE_SYNC_WARNING_DIALOG, NoiseSyncWarningDialog);
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
	switch (property_id) {
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
		case NOISE_SYNC_WARNING_DIALOG_DEVICE_PROPERTY:
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
		noise_sync_warning_dialog_set_device (self, g_value_get_object (value));
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
		break;
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
		case NOISE_SYNC_WARNING_DIALOG_TO_SYNC_PROPERTY:
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
		noise_sync_warning_dialog_set_to_sync (self, g_value_get_object (value));
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
		break;
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
		case NOISE_SYNC_WARNING_DIALOG_TO_REMOVE_PROPERTY:
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
		noise_sync_warning_dialog_set_to_remove (self, g_value_get_object (value));
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
		break;
#line 784 "SyncWarningDialog.c"
		default:
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Dialogs/SyncWarningDialog.vala"
		break;
#line 790 "SyncWarningDialog.c"
	}
}



