/* FastListModel.c generated by valac 0.38.10, the Vala compiler
 * generated from FastListModel.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2012-2017 elementary LLC. (https://elementary.io)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Noise authors hereby grant permission for non-GPL compatible
 * GStreamer plugins to be used and distributed together with GStreamer
 * and Noise. This permission is above and beyond the permissions granted
 * by the GPL license by which Noise is covered. If you modify this code
 * you may extend this exception to your version of the code, but you are not
 * obligated to do so. If you do not wish to do so, delete this exception
 * statement from your version.
 *
 * Authored by: Scott Ringwelski <sgringwe@mtu.edu>
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <gee.h>
#include <noise-core.h>
#include <string.h>


#define NOISE_TYPE_FAST_MODEL (noise_fast_model_get_type ())
#define NOISE_FAST_MODEL(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_FAST_MODEL, NoiseFastModel))
#define NOISE_FAST_MODEL_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_FAST_MODEL, NoiseFastModelClass))
#define NOISE_IS_FAST_MODEL(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_FAST_MODEL))
#define NOISE_IS_FAST_MODEL_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_FAST_MODEL))
#define NOISE_FAST_MODEL_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_FAST_MODEL, NoiseFastModelClass))

typedef struct _NoiseFastModel NoiseFastModel;
typedef struct _NoiseFastModelClass NoiseFastModelClass;
typedef struct _NoiseFastModelPrivate NoiseFastModelPrivate;
enum  {
	NOISE_FAST_MODEL_0_PROPERTY,
	NOISE_FAST_MODEL_COLUMNS_PROPERTY,
	NOISE_FAST_MODEL_NUM_PROPERTIES
};
static GParamSpec* noise_fast_model_properties[NOISE_FAST_MODEL_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define __vala_GValue_free0(var) ((var == NULL) ? NULL : (var = (_vala_GValue_free (var), NULL)))
#define _gtk_tree_path_free0(var) ((var == NULL) ? NULL : (var = (gtk_tree_path_free (var), NULL)))
enum  {
	NOISE_FAST_MODEL_REORDER_REQUESTED_SIGNAL,
	NOISE_FAST_MODEL_NUM_SIGNALS
};
static guint noise_fast_model_signals[NOISE_FAST_MODEL_NUM_SIGNALS] = {0};

struct _NoiseFastModel {
	GObject parent_instance;
	NoiseFastModelPrivate * priv;
};

struct _NoiseFastModelClass {
	GObjectClass parent_class;
};

typedef GValue* (*NoiseFastModelValueReturnFunc) (gint row, gint column, GObject* o, void* user_data);
struct _NoiseFastModelPrivate {
	gint stamp;
	GeeArrayList* rows;
	GeeList* _columns;
	gint sort_column_id;
	GtkSortType sort_direction;
	NoiseFastModelValueReturnFunc value_func;
	gpointer value_func_target;
};


static gpointer noise_fast_model_parent_class = NULL;
static GtkTreeModelIface * noise_fast_model_gtk_tree_model_parent_iface = NULL;
static GtkTreeSortableIface * noise_fast_model_gtk_tree_sortable_parent_iface = NULL;

GType noise_fast_model_get_type (void) G_GNUC_CONST;
#define NOISE_FAST_MODEL_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NOISE_TYPE_FAST_MODEL, NoiseFastModelPrivate))
NoiseFastModel* noise_fast_model_new (GeeList* column_types);
NoiseFastModel* noise_fast_model_construct (GType object_type, GeeList* column_types);
static GType noise_fast_model_real_get_column_type (GtkTreeModel* base, gint col);
GeeList* noise_fast_model_get_columns (NoiseFastModel* self);
static GtkTreeModelFlags noise_fast_model_real_get_flags (GtkTreeModel* base);
static gboolean noise_fast_model_real_get_iter (GtkTreeModel* base, GtkTreeIter* iter, GtkTreePath* path);
static gint noise_fast_model_real_get_n_columns (GtkTreeModel* base);
static GtkTreePath* noise_fast_model_real_get_path (GtkTreeModel* base, GtkTreeIter* iter);
static void noise_fast_model_real_get_value (GtkTreeModel* base, GtkTreeIter* iter, gint column, GValue* val);
static void _vala_GValue_free (GValue* self);
GObject* noise_fast_model_get_object (NoiseFastModel* self, GtkTreeIter* iter);
static gboolean noise_fast_model_real_iter_children (GtkTreeModel* base, GtkTreeIter* iter, GtkTreeIter* parent);
static gboolean noise_fast_model_real_iter_has_child (GtkTreeModel* base, GtkTreeIter* iter);
static gint noise_fast_model_real_iter_n_children (GtkTreeModel* base, GtkTreeIter* iter);
static gboolean noise_fast_model_real_iter_next (GtkTreeModel* base, GtkTreeIter* iter);
static gboolean noise_fast_model_real_iter_nth_child (GtkTreeModel* base, GtkTreeIter* iter, GtkTreeIter* parent, gint n);
static gboolean noise_fast_model_real_iter_parent (GtkTreeModel* base, GtkTreeIter* iter, GtkTreeIter* child);
void noise_fast_model_append (NoiseFastModel* self, GtkTreeIter* iter);
void noise_fast_model_remove (NoiseFastModel* self, GtkTreeIter* iter);
void noise_fast_model_set (NoiseFastModel* self, GtkTreeIter* iter, ...);
static void noise_fast_model_real_ref_node (GtkTreeModel* base, GtkTreeIter* iter);
static void noise_fast_model_real_unref_node (GtkTreeModel* base, GtkTreeIter* iter);
void noise_fast_model_set_table (NoiseFastModel* self, GeeArrayList* table);
void noise_fast_model_set_value_func (NoiseFastModel* self, NoiseFastModelValueReturnFunc func, void* func_target);
void noise_fast_model_update_row (NoiseFastModel* self, gint index);
static gboolean noise_fast_model_real_get_sort_column_id (GtkTreeSortable* base, gint* sort_column_id, GtkSortType* order);
static void noise_fast_model_real_set_sort_column_id (GtkTreeSortable* base, gint column, GtkSortType order);
static gboolean noise_fast_model_real_has_default_sort_func (GtkTreeSortable* base);
static void noise_fast_model_real_set_sort_func (GtkTreeSortable* base, gint sort_column_id, GtkTreeIterCompareFunc sort_func, void* sort_func_target, GDestroyNotify sort_func_target_destroy_notify);
static void noise_fast_model_real_set_default_sort_func (GtkTreeSortable* base, GtkTreeIterCompareFunc sort_func, void* sort_func_target, GDestroyNotify sort_func_target_destroy_notify);
void noise_fast_model_set_columns (NoiseFastModel* self, GeeList* value);
static void g_cclosure_user_marshal_VOID__INT_ENUM (GClosure * closure, GValue * return_value, guint n_param_values, const GValue * param_values, gpointer invocation_hint, gpointer marshal_data);
static GObject * noise_fast_model_constructor (GType type, guint n_construct_properties, GObjectConstructParam * construct_properties);
static void noise_fast_model_finalize (GObject * obj);
static void _vala_noise_fast_model_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_noise_fast_model_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);


/** Initialize data storage, columns, etc. **/
NoiseFastModel* noise_fast_model_construct (GType object_type, GeeList* column_types) {
	NoiseFastModel * self = NULL;
	GeeList* _tmp0_;
#line 51 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	g_return_val_if_fail (column_types != NULL, NULL);
#line 52 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp0_ = column_types;
#line 52 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	self = (NoiseFastModel*) g_object_new (object_type, "columns", _tmp0_, NULL);
#line 51 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	return self;
#line 144 "FastListModel.c"
}


NoiseFastModel* noise_fast_model_new (GeeList* column_types) {
#line 51 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	return noise_fast_model_construct (NOISE_TYPE_FAST_MODEL, column_types);
#line 151 "FastListModel.c"
}


static GType noise_fast_model_real_get_column_type (GtkTreeModel* base, gint col) {
	NoiseFastModel * self;
	GType result = 0UL;
	GeeList* _tmp0_;
	gint _tmp1_;
	gpointer _tmp2_;
#line 62 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	self = (NoiseFastModel*) base;
#line 63 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp0_ = self->priv->_columns;
#line 63 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp1_ = col;
#line 63 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp2_ = gee_list_get (_tmp0_, _tmp1_);
#line 63 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	result = (GType) ((gintptr) _tmp2_);
#line 63 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	return result;
#line 173 "FastListModel.c"
}


static GtkTreeModelFlags noise_fast_model_real_get_flags (GtkTreeModel* base) {
	NoiseFastModel * self;
	GtkTreeModelFlags result = 0;
#line 66 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	self = (NoiseFastModel*) base;
#line 67 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	result = GTK_TREE_MODEL_LIST_ONLY;
#line 67 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	return result;
#line 186 "FastListModel.c"
}


static gboolean noise_fast_model_real_get_iter (GtkTreeModel* base, GtkTreeIter* iter, GtkTreePath* path) {
	NoiseFastModel * self;
	GtkTreeIter _vala_iter = {0};
	gboolean result = FALSE;
	gint path_index = 0;
	GtkTreePath* _tmp0_;
	gint _tmp1_;
	gint* _tmp2_;
	gint _tmp3_;
	guint size = 0U;
	GeeArrayList* _tmp4_;
	gint _tmp5_;
	gint _tmp6_;
	gboolean _tmp7_ = FALSE;
	gboolean _tmp8_ = FALSE;
	gboolean _tmp9_ = FALSE;
	guint _tmp10_;
	gint _tmp18_;
	gint _tmp19_;
#line 70 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	self = (NoiseFastModel*) base;
#line 70 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	g_return_val_if_fail (path != NULL, FALSE);
#line 71 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	memset (&_vala_iter, 0, sizeof (GtkTreeIter));
#line 72 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp0_ = path;
#line 72 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp2_ = gtk_tree_path_get_indices_with_depth (_tmp0_, &_tmp1_);
#line 72 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp3_ = _tmp2_[0];
#line 72 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	path_index = _tmp3_;
#line 73 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp4_ = self->priv->rows;
#line 73 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp5_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp4_);
#line 73 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp6_ = _tmp5_;
#line 73 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	size = (guint) _tmp6_;
#line 75 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp10_ = size;
#line 75 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	if (_tmp10_ == ((guint) 0)) {
#line 75 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_tmp9_ = TRUE;
#line 237 "FastListModel.c"
	} else {
		gint _tmp11_;
#line 75 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_tmp11_ = path_index;
#line 75 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_tmp9_ = _tmp11_ < 0;
#line 244 "FastListModel.c"
	}
#line 75 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	if (_tmp9_) {
#line 75 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_tmp8_ = TRUE;
#line 250 "FastListModel.c"
	} else {
		gint _tmp12_;
		guint _tmp13_;
#line 75 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_tmp12_ = path_index;
#line 75 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_tmp13_ = size;
#line 75 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_tmp8_ = ((guint) _tmp12_) >= _tmp13_;
#line 260 "FastListModel.c"
	}
#line 75 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	if (_tmp8_) {
#line 75 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_tmp7_ = TRUE;
#line 266 "FastListModel.c"
	} else {
		GeeArrayList* _tmp14_;
		gint _tmp15_;
		gpointer _tmp16_;
		GObject* _tmp17_;
#line 75 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_tmp14_ = self->priv->rows;
#line 75 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_tmp15_ = path_index;
#line 75 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_tmp16_ = gee_abstract_list_get ((GeeAbstractList*) _tmp14_, _tmp15_);
#line 75 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_tmp17_ = (GObject*) _tmp16_;
#line 75 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_tmp7_ = _tmp17_ == NULL;
#line 75 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_g_object_unref0 (_tmp17_);
#line 284 "FastListModel.c"
	}
#line 75 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	if (_tmp7_) {
#line 76 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		result = FALSE;
#line 76 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		if (iter) {
#line 76 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
			*iter = _vala_iter;
#line 294 "FastListModel.c"
		}
#line 76 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		return result;
#line 298 "FastListModel.c"
	}
#line 78 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp18_ = self->priv->stamp;
#line 78 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_vala_iter.stamp = _tmp18_;
#line 79 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp19_ = path_index;
#line 79 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_vala_iter.user_data = (void*) _tmp19_;
#line 81 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	result = TRUE;
#line 81 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	if (iter) {
#line 81 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		*iter = _vala_iter;
#line 314 "FastListModel.c"
	}
#line 81 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	return result;
#line 318 "FastListModel.c"
}


static gint noise_fast_model_real_get_n_columns (GtkTreeModel* base) {
	NoiseFastModel * self;
	gint result = 0;
	GeeList* _tmp0_;
	gint _tmp1_;
	gint _tmp2_;
#line 84 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	self = (NoiseFastModel*) base;
#line 85 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp0_ = self->priv->_columns;
#line 85 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp1_ = gee_collection_get_size ((GeeCollection*) _tmp0_);
#line 85 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp2_ = _tmp1_;
#line 85 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	result = _tmp2_;
#line 85 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	return result;
#line 340 "FastListModel.c"
}


static GtkTreePath* noise_fast_model_real_get_path (GtkTreeModel* base, GtkTreeIter* iter) {
	NoiseFastModel * self;
	GtkTreePath* result = NULL;
	GtkTreeIter _tmp0_;
	void* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	GtkTreePath* _tmp4_;
	GtkTreePath* _tmp5_;
#line 88 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	self = (NoiseFastModel*) base;
#line 88 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	g_return_val_if_fail (iter != NULL, NULL);
#line 89 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp0_ = *iter;
#line 89 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp1_ = _tmp0_.user_data;
#line 89 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp2_ = g_strdup_printf ("%i", (gint) _tmp1_);
#line 89 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp3_ = _tmp2_;
#line 89 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp4_ = gtk_tree_path_new_from_string (_tmp3_);
#line 89 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp5_ = _tmp4_;
#line 89 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_g_free0 (_tmp3_);
#line 89 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	result = _tmp5_;
#line 89 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	return result;
#line 375 "FastListModel.c"
}


static void _vala_GValue_free (GValue* self) {
#line 103 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	g_value_unset (self);
#line 103 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	g_free (self);
#line 384 "FastListModel.c"
}


static void noise_fast_model_real_get_value (GtkTreeModel* base, GtkTreeIter* iter, gint column, GValue* val) {
	NoiseFastModel * self;
	GValue _vala_val = {0};
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	GtkTreeIter _tmp2_;
	gint _tmp3_;
	gint _tmp4_;
	gint _tmp8_;
	GType _tmp9_;
	GValue _tmp10_ = {0};
	GValue _tmp11_;
	gint row = 0;
	GtkTreeIter _tmp12_;
	void* _tmp13_;
	GObject* object = NULL;
	GeeArrayList* _tmp14_;
	gint _tmp15_;
	gpointer _tmp16_;
	GObject* _tmp17_;
#line 92 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	self = (NoiseFastModel*) base;
#line 92 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	g_return_if_fail (iter != NULL);
#line 93 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp2_ = *iter;
#line 93 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp3_ = _tmp2_.stamp;
#line 93 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp4_ = self->priv->stamp;
#line 93 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	if (_tmp3_ != _tmp4_) {
#line 93 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_tmp1_ = TRUE;
#line 422 "FastListModel.c"
	} else {
		gint _tmp5_;
#line 93 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_tmp5_ = column;
#line 93 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_tmp1_ = _tmp5_ < 0;
#line 429 "FastListModel.c"
	}
#line 93 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	if (_tmp1_) {
#line 93 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_tmp0_ = TRUE;
#line 435 "FastListModel.c"
	} else {
		gint _tmp6_;
		gint _tmp7_;
#line 93 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_tmp6_ = column;
#line 93 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_tmp7_ = gtk_tree_model_get_n_columns ((GtkTreeModel*) self);
#line 93 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_tmp0_ = _tmp6_ >= _tmp7_;
#line 445 "FastListModel.c"
	}
#line 93 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	if (_tmp0_) {
#line 94 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		if (val) {
#line 94 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
			*val = _vala_val;
#line 453 "FastListModel.c"
		} else {
#line 94 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
			G_IS_VALUE (&_vala_val) ? (g_value_unset (&_vala_val), NULL) : NULL;
#line 457 "FastListModel.c"
		}
#line 94 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		return;
#line 461 "FastListModel.c"
	}
#line 97 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp8_ = column;
#line 97 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp9_ = gtk_tree_model_get_column_type ((GtkTreeModel*) self, _tmp8_);
#line 97 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	g_value_init (&_tmp10_, _tmp9_);
#line 97 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	G_IS_VALUE (&_vala_val) ? (g_value_unset (&_vala_val), NULL) : NULL;
#line 97 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_vala_val = _tmp10_;
#line 97 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp11_ = _vala_val;
#line 99 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp12_ = *iter;
#line 99 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp13_ = _tmp12_.user_data;
#line 99 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	row = (gint) _tmp13_;
#line 100 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp14_ = self->priv->rows;
#line 100 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp15_ = row;
#line 100 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp16_ = gee_abstract_list_get ((GeeAbstractList*) _tmp14_, _tmp15_);
#line 100 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	object = (GObject*) _tmp16_;
#line 102 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp17_ = object;
#line 102 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	if (_tmp17_ != NULL) {
#line 493 "FastListModel.c"
		NoiseFastModelValueReturnFunc _tmp18_;
		void* _tmp18__target;
		gint _tmp19_;
		gint _tmp20_;
		GObject* _tmp21_;
		GValue* _tmp22_;
		GValue* _tmp23_;
		GValue _tmp24_ = {0};
#line 103 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_tmp18_ = self->priv->value_func;
#line 103 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_tmp18__target = self->priv->value_func_target;
#line 103 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_tmp19_ = row;
#line 103 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_tmp20_ = column;
#line 103 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_tmp21_ = object;
#line 103 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_tmp22_ = _tmp18_ (_tmp19_, _tmp20_, _tmp21_, _tmp18__target);
#line 103 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_tmp23_ = _tmp22_;
#line 103 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		if (G_IS_VALUE (_tmp23_)) {
#line 103 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
			g_value_init (&_tmp24_, G_VALUE_TYPE (_tmp23_));
#line 103 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
			g_value_copy (_tmp23_, &_tmp24_);
#line 522 "FastListModel.c"
		} else {
#line 103 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
			_tmp24_ = *_tmp23_;
#line 526 "FastListModel.c"
		}
#line 103 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		G_IS_VALUE (&_vala_val) ? (g_value_unset (&_vala_val), NULL) : NULL;
#line 103 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_vala_val = _tmp24_;
#line 103 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		__vala_GValue_free0 (_tmp23_);
#line 534 "FastListModel.c"
	}
#line 92 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_g_object_unref0 (object);
#line 92 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	if (val) {
#line 92 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		*val = _vala_val;
#line 542 "FastListModel.c"
	} else {
#line 92 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		G_IS_VALUE (&_vala_val) ? (g_value_unset (&_vala_val), NULL) : NULL;
#line 546 "FastListModel.c"
	}
}


GObject* noise_fast_model_get_object (NoiseFastModel* self, GtkTreeIter* iter) {
	GObject* result = NULL;
	GeeArrayList* _tmp0_;
	GtkTreeIter _tmp1_;
	void* _tmp2_;
	gpointer _tmp3_;
#line 107 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 107 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	g_return_val_if_fail (iter != NULL, NULL);
#line 108 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp0_ = self->priv->rows;
#line 108 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp1_ = *iter;
#line 108 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp2_ = _tmp1_.user_data;
#line 108 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp3_ = gee_abstract_list_get ((GeeAbstractList*) _tmp0_, (gint) _tmp2_);
#line 108 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	result = (GObject*) _tmp3_;
#line 108 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	return result;
#line 573 "FastListModel.c"
}


static gboolean noise_fast_model_real_iter_children (GtkTreeModel* base, GtkTreeIter* iter, GtkTreeIter* parent) {
	NoiseFastModel * self;
	GtkTreeIter _vala_iter = {0};
	gboolean result = FALSE;
#line 111 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	self = (NoiseFastModel*) base;
#line 112 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	memset (&_vala_iter, 0, sizeof (GtkTreeIter));
#line 113 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	result = FALSE;
#line 113 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	if (iter) {
#line 113 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		*iter = _vala_iter;
#line 591 "FastListModel.c"
	}
#line 113 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	return result;
#line 595 "FastListModel.c"
}


static gboolean noise_fast_model_real_iter_has_child (GtkTreeModel* base, GtkTreeIter* iter) {
	NoiseFastModel * self;
	gboolean result = FALSE;
#line 116 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	self = (NoiseFastModel*) base;
#line 116 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	g_return_val_if_fail (iter != NULL, FALSE);
#line 117 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	result = FALSE;
#line 117 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	return result;
#line 610 "FastListModel.c"
}


static gint noise_fast_model_real_iter_n_children (GtkTreeModel* base, GtkTreeIter* iter) {
	NoiseFastModel * self;
	gint result = 0;
	gint _tmp0_ = 0;
	GtkTreeIter* _tmp1_;
#line 120 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	self = (NoiseFastModel*) base;
#line 121 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp1_ = iter;
#line 121 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	if (_tmp1_ == NULL) {
#line 625 "FastListModel.c"
		GeeArrayList* _tmp2_;
		gint _tmp3_;
		gint _tmp4_;
#line 121 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_tmp2_ = self->priv->rows;
#line 121 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_tmp3_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp2_);
#line 121 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_tmp4_ = _tmp3_;
#line 121 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_tmp0_ = (gint) _tmp4_;
#line 637 "FastListModel.c"
	} else {
#line 121 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_tmp0_ = 0;
#line 641 "FastListModel.c"
	}
#line 121 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	result = _tmp0_;
#line 121 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	return result;
#line 647 "FastListModel.c"
}


static gboolean noise_fast_model_real_iter_next (GtkTreeModel* base, GtkTreeIter* iter) {
	NoiseFastModel * self;
	gboolean result = FALSE;
	GtkTreeIter _tmp0_;
	gint _tmp1_;
	gint _tmp2_;
	gint index = 0;
	GtkTreeIter _tmp3_;
	void* _tmp4_;
	gint _tmp5_;
	gint _tmp6_;
	gint _tmp7_;
	GeeArrayList* _tmp8_;
	gint _tmp9_;
	gint _tmp10_;
#line 124 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	self = (NoiseFastModel*) base;
#line 124 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	g_return_val_if_fail (iter != NULL, FALSE);
#line 125 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp0_ = *iter;
#line 125 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp1_ = _tmp0_.stamp;
#line 125 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp2_ = self->priv->stamp;
#line 125 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	if (_tmp1_ != _tmp2_) {
#line 126 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		result = FALSE;
#line 126 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		return result;
#line 682 "FastListModel.c"
	}
#line 129 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp3_ = *iter;
#line 129 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp4_ = _tmp3_.user_data;
#line 129 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	index = (gint) _tmp4_;
#line 130 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp5_ = index;
#line 130 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	index = _tmp5_ + 1;
#line 130 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp6_ = index;
#line 130 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	(*iter).user_data = (void*) _tmp6_;
#line 132 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp7_ = index;
#line 132 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp8_ = self->priv->rows;
#line 132 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp9_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp8_);
#line 132 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp10_ = _tmp9_;
#line 132 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	result = _tmp7_ < _tmp10_;
#line 132 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	return result;
#line 710 "FastListModel.c"
}


static gboolean noise_fast_model_real_iter_nth_child (GtkTreeModel* base, GtkTreeIter* iter, GtkTreeIter* parent, gint n) {
	NoiseFastModel * self;
	GtkTreeIter _vala_iter = {0};
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	gint _tmp2_;
	gint _tmp8_;
	gint _tmp9_;
#line 135 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	self = (NoiseFastModel*) base;
#line 136 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	memset (&_vala_iter, 0, sizeof (GtkTreeIter));
#line 138 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp2_ = n;
#line 138 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	if (_tmp2_ < 0) {
#line 138 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_tmp1_ = TRUE;
#line 733 "FastListModel.c"
	} else {
		gint _tmp3_;
		GeeArrayList* _tmp4_;
		gint _tmp5_;
		gint _tmp6_;
#line 138 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_tmp3_ = n;
#line 138 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_tmp4_ = self->priv->rows;
#line 138 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_tmp5_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp4_);
#line 138 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_tmp6_ = _tmp5_;
#line 138 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_tmp1_ = _tmp3_ >= _tmp6_;
#line 749 "FastListModel.c"
	}
#line 138 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	if (_tmp1_) {
#line 138 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_tmp0_ = TRUE;
#line 755 "FastListModel.c"
	} else {
		GtkTreeIter* _tmp7_;
#line 138 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_tmp7_ = parent;
#line 138 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_tmp0_ = _tmp7_ != NULL;
#line 762 "FastListModel.c"
	}
#line 138 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	if (_tmp0_) {
#line 139 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		result = FALSE;
#line 139 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		if (iter) {
#line 139 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
			*iter = _vala_iter;
#line 772 "FastListModel.c"
		}
#line 139 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		return result;
#line 776 "FastListModel.c"
	}
#line 141 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp8_ = self->priv->stamp;
#line 141 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_vala_iter.stamp = _tmp8_;
#line 142 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp9_ = n;
#line 142 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_vala_iter.user_data = (void*) _tmp9_;
#line 144 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	result = TRUE;
#line 144 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	if (iter) {
#line 144 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		*iter = _vala_iter;
#line 792 "FastListModel.c"
	}
#line 144 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	return result;
#line 796 "FastListModel.c"
}


static gboolean noise_fast_model_real_iter_parent (GtkTreeModel* base, GtkTreeIter* iter, GtkTreeIter* child) {
	NoiseFastModel * self;
	GtkTreeIter _vala_iter = {0};
	gboolean result = FALSE;
#line 147 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	self = (NoiseFastModel*) base;
#line 147 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	g_return_val_if_fail (child != NULL, FALSE);
#line 148 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	memset (&_vala_iter, 0, sizeof (GtkTreeIter));
#line 150 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	result = FALSE;
#line 150 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	if (iter) {
#line 150 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		*iter = _vala_iter;
#line 816 "FastListModel.c"
	}
#line 150 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	return result;
#line 820 "FastListModel.c"
}


void noise_fast_model_append (NoiseFastModel* self, GtkTreeIter* iter) {
	GtkTreeIter _vala_iter = {0};
	gint index = 0;
	GeeArrayList* _tmp0_;
	gint _tmp1_;
	gint _tmp2_;
	GtkTreePath* path = NULL;
	GtkTreePath* _tmp3_;
	GeeArrayList* _tmp4_;
	GObject* _tmp5_;
	GObject* _tmp6_;
	gint _tmp7_;
	GeeArrayList* _tmp8_;
	gint _tmp9_;
	gint _tmp10_;
	GtkTreeIter _tmp11_;
#line 153 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	g_return_if_fail (self != NULL);
#line 154 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	memset (&_vala_iter, 0, sizeof (GtkTreeIter));
#line 156 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp0_ = self->priv->rows;
#line 156 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp1_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp0_);
#line 156 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp2_ = _tmp1_;
#line 156 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	index = (gint) _tmp2_;
#line 158 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp3_ = gtk_tree_path_new_from_indices (index, -1, -1);
#line 158 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	path = _tmp3_;
#line 159 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp4_ = self->priv->rows;
#line 159 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp5_ = g_object_new (G_TYPE_OBJECT, NULL);
#line 159 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp6_ = _tmp5_;
#line 159 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp4_, _tmp6_);
#line 159 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_g_object_unref0 (_tmp6_);
#line 161 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp7_ = self->priv->stamp;
#line 161 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_vala_iter.stamp = _tmp7_;
#line 162 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp8_ = self->priv->rows;
#line 162 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp9_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp8_);
#line 162 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp10_ = _tmp9_;
#line 162 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_vala_iter.user_data = (void*) _tmp10_;
#line 164 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp11_ = _vala_iter;
#line 164 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	gtk_tree_model_row_inserted ((GtkTreeModel*) self, path, &_tmp11_);
#line 153 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_gtk_tree_path_free0 (path);
#line 153 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	if (iter) {
#line 153 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		*iter = _vala_iter;
#line 888 "FastListModel.c"
	}
}


void noise_fast_model_remove (NoiseFastModel* self, GtkTreeIter* iter) {
	GtkTreeIter _tmp0_;
	gint _tmp1_;
	gint _tmp2_;
	gint index = 0;
	GtkTreeIter _tmp3_;
	void* _tmp4_;
	GtkTreePath* path = NULL;
	gint _tmp5_;
	GtkTreePath* _tmp6_;
	GeeArrayList* _tmp7_;
	gint _tmp8_;
	gpointer _tmp9_;
	GObject* _tmp10_;
	GtkTreePath* _tmp11_;
#line 167 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	g_return_if_fail (self != NULL);
#line 167 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	g_return_if_fail (iter != NULL);
#line 168 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp0_ = *iter;
#line 168 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp1_ = _tmp0_.stamp;
#line 168 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp2_ = self->priv->stamp;
#line 168 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	if (_tmp1_ != _tmp2_) {
#line 169 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		return;
#line 922 "FastListModel.c"
	}
#line 171 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp3_ = *iter;
#line 171 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp4_ = _tmp3_.user_data;
#line 171 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	index = (gint) _tmp4_;
#line 173 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp5_ = index;
#line 173 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp6_ = gtk_tree_path_new_from_indices (_tmp5_, -1, -1);
#line 173 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	path = _tmp6_;
#line 174 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp7_ = self->priv->rows;
#line 174 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp8_ = index;
#line 174 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp9_ = gee_abstract_list_remove_at ((GeeAbstractList*) _tmp7_, _tmp8_);
#line 174 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp10_ = (GObject*) _tmp9_;
#line 174 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_g_object_unref0 (_tmp10_);
#line 176 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp11_ = path;
#line 176 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	gtk_tree_model_row_deleted ((GtkTreeModel*) self, _tmp11_);
#line 167 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_gtk_tree_path_free0 (path);
#line 952 "FastListModel.c"
}


void noise_fast_model_set (NoiseFastModel* self, GtkTreeIter* iter, ...) {
#line 183 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	g_return_if_fail (self != NULL);
#line 183 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	g_return_if_fail (iter != NULL);
#line 184 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	return;
#line 963 "FastListModel.c"
}


static void noise_fast_model_real_ref_node (GtkTreeModel* base, GtkTreeIter* iter) {
	NoiseFastModel * self;
#line 187 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	self = (NoiseFastModel*) base;
#line 187 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	g_return_if_fail (iter != NULL);
#line 973 "FastListModel.c"
}


static void noise_fast_model_real_unref_node (GtkTreeModel* base, GtkTreeIter* iter) {
	NoiseFastModel * self;
#line 188 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	self = (NoiseFastModel*) base;
#line 188 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	g_return_if_fail (iter != NULL);
#line 983 "FastListModel.c"
}


/** The beauty of this custom model. This tree model is simply a visual
     * representation of a HashTable of objects. Before calling this
     * method, the user should set tree_view.set_model(null). After
     * calling this, set the tree_view.set_model(fast_model). By doing this
     * the treeview will not listen for append events and will recalculate
     * and draw when the model is re-added.
     *
     * @objects Must be a consecutive ordered hash table with indexes
     * 0-n where n is size of the hashtable (no gaps).
    **/
void noise_fast_model_set_table (NoiseFastModel* self, GeeArrayList* table) {
	GeeArrayList* _tmp0_;
	GeeArrayList* _tmp1_;
	GeeArrayList* _tmp2_;
	GtkTreeIter iter = {0};
#line 200 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	g_return_if_fail (self != NULL);
#line 200 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	g_return_if_fail (table != NULL);
#line 201 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp0_ = self->priv->rows;
#line 201 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	gee_abstract_collection_clear ((GeeAbstractCollection*) _tmp0_);
#line 202 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp1_ = self->priv->rows;
#line 202 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp2_ = table;
#line 202 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	gee_array_list_add_all (_tmp1_, (GeeCollection*) _tmp2_);
#line 1016 "FastListModel.c"
	{
		gboolean valid = FALSE;
		GtkTreeIter _tmp3_ = {0};
		gboolean _tmp4_;
#line 205 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_tmp4_ = gtk_tree_model_get_iter_first ((GtkTreeModel*) self, &_tmp3_);
#line 205 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		iter = _tmp3_;
#line 205 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		valid = _tmp4_;
#line 1027 "FastListModel.c"
		{
			gboolean _tmp5_ = FALSE;
#line 205 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
			_tmp5_ = TRUE;
#line 205 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
			while (TRUE) {
#line 1034 "FastListModel.c"
				gboolean _tmp7_;
				GtkTreeIter _tmp8_;
				GtkTreePath* _tmp9_;
				GtkTreePath* _tmp10_;
				GtkTreeIter _tmp11_;
#line 205 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
				if (!_tmp5_) {
#line 1042 "FastListModel.c"
					gboolean _tmp6_;
#line 205 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
					_tmp6_ = gtk_tree_model_iter_next ((GtkTreeModel*) self, &iter);
#line 205 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
					valid = _tmp6_;
#line 1048 "FastListModel.c"
				}
#line 205 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
				_tmp5_ = FALSE;
#line 205 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
				_tmp7_ = valid;
#line 205 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
				if (!_tmp7_) {
#line 205 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
					break;
#line 1058 "FastListModel.c"
				}
#line 206 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
				_tmp8_ = iter;
#line 206 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
				_tmp9_ = gtk_tree_model_get_path ((GtkTreeModel*) self, &_tmp8_);
#line 206 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
				_tmp10_ = _tmp9_;
#line 206 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
				_tmp11_ = iter;
#line 206 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
				gtk_tree_model_row_changed ((GtkTreeModel*) self, _tmp10_, &_tmp11_);
#line 206 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
				_gtk_tree_path_free0 (_tmp10_);
#line 1072 "FastListModel.c"
			}
		}
	}
}


/** Crucial. Must be set by user. Allows for this model to be abstract
     * by allowing the user to specify the function that returns values
     * based on the object (row) and column. **/
void noise_fast_model_set_value_func (NoiseFastModel* self, NoiseFastModelValueReturnFunc func, void* func_target) {
	NoiseFastModelValueReturnFunc _tmp0_;
	void* _tmp0__target;
#line 213 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	g_return_if_fail (self != NULL);
#line 214 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp0_ = func;
#line 214 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp0__target = func_target;
#line 214 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	self->priv->value_func = _tmp0_;
#line 214 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	self->priv->value_func_target = _tmp0__target;
#line 1095 "FastListModel.c"
}


void noise_fast_model_update_row (NoiseFastModel* self, gint index) {
	GtkTreePath* path = NULL;
	gint _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	GtkTreePath* _tmp3_;
	GtkTreePath* _tmp4_;
	GtkTreeIter iter = {0};
	gint _tmp5_;
	gint _tmp6_;
	GtkTreeIter _tmp7_;
#line 217 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	g_return_if_fail (self != NULL);
#line 218 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp0_ = index;
#line 218 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp1_ = g_strdup_printf ("%i", _tmp0_);
#line 218 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp2_ = _tmp1_;
#line 218 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp3_ = gtk_tree_path_new_from_string (_tmp2_);
#line 218 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp4_ = _tmp3_;
#line 218 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_g_free0 (_tmp2_);
#line 218 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	path = _tmp4_;
#line 219 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	memset (&iter, 0, sizeof (GtkTreeIter));
#line 220 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp5_ = self->priv->stamp;
#line 220 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	iter.stamp = _tmp5_;
#line 221 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp6_ = index;
#line 221 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	iter.user_data = (void*) _tmp6_;
#line 223 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp7_ = iter;
#line 223 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	gtk_tree_model_row_changed ((GtkTreeModel*) self, path, &_tmp7_);
#line 217 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_gtk_tree_path_free0 (path);
#line 1142 "FastListModel.c"
}


/** The following functions are for implementing TreeSortable. We pass
     * off responsibility to sort things to the view.
    **/
static gboolean noise_fast_model_real_get_sort_column_id (GtkTreeSortable* base, gint* sort_column_id, GtkSortType* order) {
	NoiseFastModel * self;
	gint _vala_sort_column_id = 0;
	GtkSortType _vala_order = 0;
	gboolean result = FALSE;
	gint _tmp0_;
	GtkSortType _tmp1_;
#line 229 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	self = (NoiseFastModel*) base;
#line 230 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp0_ = _vala_sort_column_id;
#line 230 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	self->priv->sort_column_id = _tmp0_;
#line 231 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp1_ = self->priv->sort_direction;
#line 231 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_vala_order = _tmp1_;
#line 233 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	result = TRUE;
#line 233 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	if (sort_column_id) {
#line 233 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		*sort_column_id = _vala_sort_column_id;
#line 1172 "FastListModel.c"
	}
#line 233 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	if (order) {
#line 233 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		*order = _vala_order;
#line 1178 "FastListModel.c"
	}
#line 233 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	return result;
#line 1182 "FastListModel.c"
}


static void noise_fast_model_real_set_sort_column_id (GtkTreeSortable* base, gint column, GtkSortType order) {
	NoiseFastModel * self;
	gint _tmp0_;
	GtkSortType _tmp1_;
	gint _tmp2_;
#line 236 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	self = (NoiseFastModel*) base;
#line 237 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp0_ = column;
#line 237 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	self->priv->sort_column_id = _tmp0_;
#line 238 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp1_ = order;
#line 238 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	self->priv->sort_direction = _tmp1_;
#line 240 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp2_ = column;
#line 240 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	if (_tmp2_ != -1) {
#line 1205 "FastListModel.c"
		gint _tmp3_;
		GtkSortType _tmp4_;
#line 241 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_tmp3_ = column;
#line 241 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_tmp4_ = order;
#line 241 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		g_signal_emit (self, noise_fast_model_signals[NOISE_FAST_MODEL_REORDER_REQUESTED_SIGNAL], 0, _tmp3_, _tmp4_);
#line 242 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		gtk_tree_sortable_sort_column_changed ((GtkTreeSortable*) self);
#line 1216 "FastListModel.c"
	}
}


/** The following functions are only here to implement TreeSortable **/
static gboolean noise_fast_model_real_has_default_sort_func (GtkTreeSortable* base) {
	NoiseFastModel * self;
	gboolean result = FALSE;
#line 247 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	self = (NoiseFastModel*) base;
#line 248 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	result = TRUE;
#line 248 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	return result;
#line 1231 "FastListModel.c"
}


static void noise_fast_model_real_set_sort_func (GtkTreeSortable* base, gint sort_column_id, GtkTreeIterCompareFunc sort_func, void* sort_func_target, GDestroyNotify sort_func_target_destroy_notify) {
	NoiseFastModel * self;
#line 251 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	self = (NoiseFastModel*) base;
#line 251 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	(sort_func_target_destroy_notify == NULL) ? NULL : (sort_func_target_destroy_notify (sort_func_target), NULL);
#line 251 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	sort_func = NULL;
#line 251 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	sort_func_target = NULL;
#line 251 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	sort_func_target_destroy_notify = NULL;
#line 1247 "FastListModel.c"
}


static void noise_fast_model_real_set_default_sort_func (GtkTreeSortable* base, GtkTreeIterCompareFunc sort_func, void* sort_func_target, GDestroyNotify sort_func_target_destroy_notify) {
	NoiseFastModel * self;
#line 255 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	self = (NoiseFastModel*) base;
#line 255 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	(sort_func_target_destroy_notify == NULL) ? NULL : (sort_func_target_destroy_notify (sort_func_target), NULL);
#line 255 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	sort_func = NULL;
#line 255 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	sort_func_target = NULL;
#line 255 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	sort_func_target_destroy_notify = NULL;
#line 1263 "FastListModel.c"
}


GeeList* noise_fast_model_get_columns (NoiseFastModel* self) {
	GeeList* result;
	GeeList* _tmp0_;
#line 39 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 39 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp0_ = self->priv->_columns;
#line 39 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	result = _tmp0_;
#line 39 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	return result;
#line 1278 "FastListModel.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 39 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	return self ? g_object_ref (self) : NULL;
#line 1285 "FastListModel.c"
}


void noise_fast_model_set_columns (NoiseFastModel* self, GeeList* value) {
#line 39 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	g_return_if_fail (self != NULL);
#line 39 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	if (noise_fast_model_get_columns (self) != value) {
#line 1294 "FastListModel.c"
		GeeList* _tmp0_;
		GeeList* _tmp1_;
#line 39 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_tmp0_ = value;
#line 39 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_tmp1_ = _g_object_ref0 (_tmp0_);
#line 39 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		_g_object_unref0 (self->priv->_columns);
#line 39 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		self->priv->_columns = _tmp1_;
#line 39 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		g_object_notify_by_pspec ((GObject *) self, noise_fast_model_properties[NOISE_FAST_MODEL_COLUMNS_PROPERTY]);
#line 1307 "FastListModel.c"
	}
}


static void g_cclosure_user_marshal_VOID__INT_ENUM (GClosure * closure, GValue * return_value, guint n_param_values, const GValue * param_values, gpointer invocation_hint, gpointer marshal_data) {
	typedef void (*GMarshalFunc_VOID__INT_ENUM) (gpointer data1, gint arg_1, gint arg_2, gpointer data2);
	register GMarshalFunc_VOID__INT_ENUM callback;
	register GCClosure * cc;
	register gpointer data1;
	register gpointer data2;
	cc = (GCClosure *) closure;
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	g_return_if_fail (n_param_values == 3);
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	if (G_CCLOSURE_SWAP_DATA (closure)) {
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		data1 = closure->data;
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		data2 = param_values->data[0].v_pointer;
#line 1327 "FastListModel.c"
	} else {
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		data1 = param_values->data[0].v_pointer;
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		data2 = closure->data;
#line 1333 "FastListModel.c"
	}
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	callback = (GMarshalFunc_VOID__INT_ENUM) (marshal_data ? marshal_data : cc->callback);
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	callback (data1, g_value_get_int (param_values + 1), g_value_get_enum (param_values + 2), data2);
#line 1339 "FastListModel.c"
}


static GObject * noise_fast_model_constructor (GType type, guint n_construct_properties, GObjectConstructParam * construct_properties) {
	GObject * obj;
	GObjectClass * parent_class;
	NoiseFastModel * self;
	guint32 _tmp0_;
#line 55 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	parent_class = G_OBJECT_CLASS (noise_fast_model_parent_class);
#line 55 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 55 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_TYPE_FAST_MODEL, NoiseFastModel);
#line 56 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	self->priv->sort_column_id = -2;
#line 57 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	self->priv->sort_direction = GTK_SORT_ASCENDING;
#line 59 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp0_ = g_random_int ();
#line 59 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	self->priv->stamp = (gint) _tmp0_;
#line 55 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	return obj;
#line 1364 "FastListModel.c"
}


static void noise_fast_model_class_init (NoiseFastModelClass * klass) {
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	noise_fast_model_parent_class = g_type_class_peek_parent (klass);
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	g_type_class_add_private (klass, sizeof (NoiseFastModelPrivate));
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_noise_fast_model_get_property;
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_noise_fast_model_set_property;
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	G_OBJECT_CLASS (klass)->constructor = noise_fast_model_constructor;
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	G_OBJECT_CLASS (klass)->finalize = noise_fast_model_finalize;
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_FAST_MODEL_COLUMNS_PROPERTY, noise_fast_model_properties[NOISE_FAST_MODEL_COLUMNS_PROPERTY] = g_param_spec_object ("columns", "columns", "columns", GEE_TYPE_LIST, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT));
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	noise_fast_model_signals[NOISE_FAST_MODEL_REORDER_REQUESTED_SIGNAL] = g_signal_new ("reorder-requested", NOISE_TYPE_FAST_MODEL, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_user_marshal_VOID__INT_ENUM, G_TYPE_NONE, 2, G_TYPE_INT, GTK_TYPE_SORT_TYPE);
#line 1385 "FastListModel.c"
}


static void noise_fast_model_gtk_tree_model_interface_init (GtkTreeModelIface * iface) {
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	noise_fast_model_gtk_tree_model_parent_iface = g_type_interface_peek_parent (iface);
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	iface->get_column_type = (GType (*) (GtkTreeModel *, gint)) noise_fast_model_real_get_column_type;
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	iface->get_flags = (GtkTreeModelFlags (*) (GtkTreeModel *)) noise_fast_model_real_get_flags;
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	iface->get_iter = (gboolean (*) (GtkTreeModel *, GtkTreeIter*, GtkTreePath*)) noise_fast_model_real_get_iter;
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	iface->get_n_columns = (gint (*) (GtkTreeModel *)) noise_fast_model_real_get_n_columns;
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	iface->get_path = (GtkTreePath* (*) (GtkTreeModel *, GtkTreeIter*)) noise_fast_model_real_get_path;
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	iface->get_value = (void (*) (GtkTreeModel *, GtkTreeIter*, gint, GValue*)) noise_fast_model_real_get_value;
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	iface->iter_children = (gboolean (*) (GtkTreeModel *, GtkTreeIter*, GtkTreeIter*)) noise_fast_model_real_iter_children;
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	iface->iter_has_child = (gboolean (*) (GtkTreeModel *, GtkTreeIter*)) noise_fast_model_real_iter_has_child;
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	iface->iter_n_children = (gint (*) (GtkTreeModel *, GtkTreeIter*)) noise_fast_model_real_iter_n_children;
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	iface->iter_next = (gboolean (*) (GtkTreeModel *, GtkTreeIter*)) noise_fast_model_real_iter_next;
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	iface->iter_nth_child = (gboolean (*) (GtkTreeModel *, GtkTreeIter*, GtkTreeIter*, gint)) noise_fast_model_real_iter_nth_child;
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	iface->iter_parent = (gboolean (*) (GtkTreeModel *, GtkTreeIter*, GtkTreeIter*)) noise_fast_model_real_iter_parent;
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	iface->ref_node = (void (*) (GtkTreeModel *, GtkTreeIter*)) noise_fast_model_real_ref_node;
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	iface->unref_node = (void (*) (GtkTreeModel *, GtkTreeIter*)) noise_fast_model_real_unref_node;
#line 1420 "FastListModel.c"
}


static void noise_fast_model_gtk_tree_sortable_interface_init (GtkTreeSortableIface * iface) {
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	noise_fast_model_gtk_tree_sortable_parent_iface = g_type_interface_peek_parent (iface);
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	iface->get_sort_column_id = (gboolean (*) (GtkTreeSortable *, gint*, GtkSortType*)) noise_fast_model_real_get_sort_column_id;
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	iface->set_sort_column_id = (void (*) (GtkTreeSortable *, gint, GtkSortType)) noise_fast_model_real_set_sort_column_id;
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	iface->has_default_sort_func = (gboolean (*) (GtkTreeSortable *)) noise_fast_model_real_has_default_sort_func;
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	iface->set_sort_func = (void (*) (GtkTreeSortable *, gint, GtkTreeIterCompareFunc, void*, GDestroyNotify)) noise_fast_model_real_set_sort_func;
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	iface->set_default_sort_func = (void (*) (GtkTreeSortable *, GtkTreeIterCompareFunc, void*, GDestroyNotify)) noise_fast_model_real_set_default_sort_func;
#line 1437 "FastListModel.c"
}


static void noise_fast_model_instance_init (NoiseFastModel * self) {
	GeeArrayList* _tmp0_;
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	self->priv = NOISE_FAST_MODEL_GET_PRIVATE (self);
#line 38 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_tmp0_ = gee_array_list_new (NOISE_TYPE_MEDIA, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 38 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	self->priv->rows = _tmp0_;
#line 1449 "FastListModel.c"
}


static void noise_fast_model_finalize (GObject * obj) {
	NoiseFastModel * self;
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_TYPE_FAST_MODEL, NoiseFastModel);
#line 38 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_g_object_unref0 (self->priv->rows);
#line 39 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	_g_object_unref0 (self->priv->_columns);
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	G_OBJECT_CLASS (noise_fast_model_parent_class)->finalize (obj);
#line 1463 "FastListModel.c"
}


/** Since this class is not publicly facing (the FastView is public part),
 * this model is low level and optimized. We are not worried about stupid
 * users here.
**/
GType noise_fast_model_get_type (void) {
	static volatile gsize noise_fast_model_type_id__volatile = 0;
	if (g_once_init_enter (&noise_fast_model_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NoiseFastModelClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) noise_fast_model_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NoiseFastModel), 0, (GInstanceInitFunc) noise_fast_model_instance_init, NULL };
		static const GInterfaceInfo gtk_tree_model_info = { (GInterfaceInitFunc) noise_fast_model_gtk_tree_model_interface_init, (GInterfaceFinalizeFunc) NULL, NULL};
		static const GInterfaceInfo gtk_tree_sortable_info = { (GInterfaceInitFunc) noise_fast_model_gtk_tree_sortable_interface_init, (GInterfaceFinalizeFunc) NULL, NULL};
		GType noise_fast_model_type_id;
		noise_fast_model_type_id = g_type_register_static (G_TYPE_OBJECT, "NoiseFastModel", &g_define_type_info, 0);
		g_type_add_interface_static (noise_fast_model_type_id, GTK_TYPE_TREE_MODEL, &gtk_tree_model_info);
		g_type_add_interface_static (noise_fast_model_type_id, GTK_TYPE_TREE_SORTABLE, &gtk_tree_sortable_info);
		g_once_init_leave (&noise_fast_model_type_id__volatile, noise_fast_model_type_id);
	}
	return noise_fast_model_type_id__volatile;
}


static void _vala_noise_fast_model_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	NoiseFastModel * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NOISE_TYPE_FAST_MODEL, NoiseFastModel);
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	switch (property_id) {
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		case NOISE_FAST_MODEL_COLUMNS_PROPERTY:
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		g_value_set_object (value, noise_fast_model_get_columns (self));
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		break;
#line 1498 "FastListModel.c"
		default:
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		break;
#line 1504 "FastListModel.c"
	}
}


static void _vala_noise_fast_model_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	NoiseFastModel * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NOISE_TYPE_FAST_MODEL, NoiseFastModel);
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
	switch (property_id) {
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		case NOISE_FAST_MODEL_COLUMNS_PROPERTY:
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		noise_fast_model_set_columns (self, g_value_get_object (value));
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		break;
#line 1520 "FastListModel.c"
		default:
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 34 "/builddir/build/BUILD/music-0.4.2/src/Widgets/FastView/FastListModel.vala"
		break;
#line 1526 "FastListModel.c"
	}
}



