/* InfoPanel.c generated by valac 0.38.10, the Vala compiler
 * generated from InfoPanel.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2012-2017 elementary LLC. (https://elementary.io)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Noise authors hereby grant permission for non-GPL compatible
 * GStreamer plugins to be used and distributed together with GStreamer
 * and Noise. This permission is above and beyond the permissions granted
 * by the GPL license by which Noise is covered. If you modify this code
 * you may extend this exception to your version of the code, but you are not
 * obligated to do so. If you do not wish to do so, delete this exception
 * statement from your version.
 *
 * Authored by: Scott Ringwelski <sgringwe@mtu.edu>
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <noise-core.h>
#include <stdlib.h>
#include <string.h>
#include <gee.h>
#include <granite.h>
#include <pango/pango.h>
#include <gio/gio.h>


#define NOISE_TYPE_INFO_PANEL (noise_info_panel_get_type ())
#define NOISE_INFO_PANEL(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_INFO_PANEL, NoiseInfoPanel))
#define NOISE_INFO_PANEL_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_INFO_PANEL, NoiseInfoPanelClass))
#define NOISE_IS_INFO_PANEL(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_INFO_PANEL))
#define NOISE_IS_INFO_PANEL_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_INFO_PANEL))
#define NOISE_INFO_PANEL_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_INFO_PANEL, NoiseInfoPanelClass))

typedef struct _NoiseInfoPanel NoiseInfoPanel;
typedef struct _NoiseInfoPanelClass NoiseInfoPanelClass;
typedef struct _NoiseInfoPanelPrivate NoiseInfoPanelPrivate;

#define GRANITE_WIDGETS_TYPE_RATING (granite_widgets_rating_get_type ())
#define GRANITE_WIDGETS_RATING(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), GRANITE_WIDGETS_TYPE_RATING, GraniteWidgetsRating))
#define GRANITE_WIDGETS_RATING_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), GRANITE_WIDGETS_TYPE_RATING, GraniteWidgetsRatingClass))
#define GRANITE_WIDGETS_IS_RATING(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GRANITE_WIDGETS_TYPE_RATING))
#define GRANITE_WIDGETS_IS_RATING_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GRANITE_WIDGETS_TYPE_RATING))
#define GRANITE_WIDGETS_RATING_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), GRANITE_WIDGETS_TYPE_RATING, GraniteWidgetsRatingClass))

typedef struct _GraniteWidgetsRating GraniteWidgetsRating;
typedef struct _GraniteWidgetsRatingClass GraniteWidgetsRatingClass;
enum  {
	NOISE_INFO_PANEL_0_PROPERTY,
	NOISE_INFO_PANEL_CURRENT_MEDIA_PROPERTY,
	NOISE_INFO_PANEL_CAN_SHOW_UP_PROPERTY,
	NOISE_INFO_PANEL_NUM_PROPERTIES
};
static GParamSpec* noise_info_panel_properties[NOISE_INFO_PANEL_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))

#define NOISE_TYPE_PLAYBACK_MANAGER (noise_playback_manager_get_type ())
#define NOISE_PLAYBACK_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_PLAYBACK_MANAGER, NoisePlaybackManager))
#define NOISE_PLAYBACK_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_PLAYBACK_MANAGER, NoisePlaybackManagerClass))
#define NOISE_IS_PLAYBACK_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_PLAYBACK_MANAGER))
#define NOISE_IS_PLAYBACK_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_PLAYBACK_MANAGER))
#define NOISE_PLAYBACK_MANAGER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_PLAYBACK_MANAGER, NoisePlaybackManagerClass))

typedef struct _NoisePlaybackManager NoisePlaybackManager;
typedef struct _NoisePlaybackManagerClass NoisePlaybackManagerClass;
#define _g_free0(var) (var = (g_free (var), NULL))
enum  {
	NOISE_INFO_PANEL_TO_UPDATE_SIGNAL,
	NOISE_INFO_PANEL_NUM_SIGNALS
};
static guint noise_info_panel_signals[NOISE_INFO_PANEL_NUM_SIGNALS] = {0};

struct _NoiseInfoPanel {
	GtkEventBox parent_instance;
	NoiseInfoPanelPrivate * priv;
};

struct _NoiseInfoPanelClass {
	GtkEventBoxClass parent_class;
};

struct _NoiseInfoPanelPrivate {
	GtkLabel* title;
	GtkLabel* artist;
	NoiseWidgetsAlbumImage* coverArt;
	GraniteWidgetsRating* rating;
	GtkLabel* album;
	GtkLabel* year_label;
	gint place;
	GtkGrid* container;
};


static gpointer noise_info_panel_parent_class = NULL;

GType noise_info_panel_get_type (void) G_GNUC_CONST;
GType granite_widgets_rating_get_type (void) G_GNUC_CONST;
#define NOISE_INFO_PANEL_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NOISE_TYPE_INFO_PANEL, NoiseInfoPanelPrivate))
#define NOISE_INFO_PANEL_TITLE_MARKUP "<span size=\"large\"><b>%s</b></span>"
NoiseInfoPanel* noise_info_panel_new (void);
NoiseInfoPanel* noise_info_panel_construct (GType object_type);
static void noise_info_panel_buildUI (NoiseInfoPanel* self);
GType noise_playback_manager_get_type (void) G_GNUC_CONST;
NoisePlaybackManager* noise_app_get_player (void);
static void noise_info_panel_on_media_updated (NoiseInfoPanel* self);
static void _noise_info_panel_on_media_updated_noise_playback_manager_media_played (NoisePlaybackManager* _sender, NoiseMedia* played_media, gpointer self);
static void _noise_info_panel_on_media_updated_noise_library_media_updated (NoiseLibrary* _sender, GeeCollection* medias, gpointer self);
static void _noise_info_panel_on_media_updated_noise_notification_manager_update_track (NoiseNotificationManager* _sender, const gchar* message, gpointer self);
gint noise_info_panel_add_view (NoiseInfoPanel* self, GtkWidget* view);
GraniteWidgetsRating* granite_widgets_rating_new (gboolean centered, GtkIconSize size, gboolean symbolic);
GraniteWidgetsRating* granite_widgets_rating_construct (GType object_type, gboolean centered, GtkIconSize size, gboolean symbolic);
static void noise_info_panel_ratingChanged (NoiseInfoPanel* self, gint new_rating);
static void _noise_info_panel_ratingChanged_granite_widgets_rating_rating_changed (GraniteWidgetsRating* _sender, gint new_rating, gpointer self);
static void noise_info_panel_update_visibilities (NoiseInfoPanel* self);
NoiseMedia* noise_info_panel_get_current_media (NoiseInfoPanel* self);
static void noise_info_panel_update_metadata (NoiseInfoPanel* self);
static void noise_info_panel_update_cover_art (NoiseInfoPanel* self);
void granite_widgets_rating_set_rating (GraniteWidgetsRating* self, gint value);
NoiseMedia* noise_playback_manager_get_current_media (NoisePlaybackManager* self);
gboolean noise_info_panel_get_can_show_up (NoiseInfoPanel* self);
static void noise_info_panel_finalize (GObject * obj);
static void _vala_noise_info_panel_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);


static void _noise_info_panel_on_media_updated_noise_playback_manager_media_played (NoisePlaybackManager* _sender, NoiseMedia* played_media, gpointer self) {
#line 50 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	noise_info_panel_on_media_updated ((NoiseInfoPanel*) self);
#line 145 "InfoPanel.c"
}


static void _noise_info_panel_on_media_updated_noise_library_media_updated (NoiseLibrary* _sender, GeeCollection* medias, gpointer self) {
#line 51 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	noise_info_panel_on_media_updated ((NoiseInfoPanel*) self);
#line 152 "InfoPanel.c"
}


static void _noise_info_panel_on_media_updated_noise_notification_manager_update_track (NoiseNotificationManager* _sender, const gchar* message, gpointer self) {
#line 52 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	noise_info_panel_on_media_updated ((NoiseInfoPanel*) self);
#line 159 "InfoPanel.c"
}


NoiseInfoPanel* noise_info_panel_construct (GType object_type) {
	NoiseInfoPanel * self = NULL;
	NoisePlaybackManager* _tmp0_;
	NoisePlaybackManager* _tmp1_;
	NoiseLibrariesManager* _tmp2_;
	NoiseLibrary* _tmp3_;
	NoiseNotificationManager* _tmp4_;
	NoiseNotificationManager* _tmp5_;
#line 47 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	self = (NoiseInfoPanel*) g_object_new (object_type, NULL);
#line 48 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	noise_info_panel_buildUI (self);
#line 50 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp0_ = noise_app_get_player ();
#line 50 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp1_ = _tmp0_;
#line 50 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	g_signal_connect_object (_tmp1_, "media-played", (GCallback) _noise_info_panel_on_media_updated_noise_playback_manager_media_played, self, G_CONNECT_AFTER);
#line 51 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp2_ = noise_libraries_manager;
#line 51 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp3_ = _tmp2_->local_library;
#line 51 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	g_signal_connect_object (_tmp3_, "media-updated", (GCallback) _noise_info_panel_on_media_updated_noise_library_media_updated, self, G_CONNECT_AFTER);
#line 52 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp4_ = noise_notification_manager_get_default ();
#line 52 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp5_ = _tmp4_;
#line 52 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	g_signal_connect_object (_tmp5_, "update-track", (GCallback) _noise_info_panel_on_media_updated_noise_notification_manager_update_track, self, 0);
#line 52 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_g_object_unref0 (_tmp5_);
#line 47 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	return self;
#line 197 "InfoPanel.c"
}


NoiseInfoPanel* noise_info_panel_new (void) {
#line 47 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	return noise_info_panel_construct (NOISE_TYPE_INFO_PANEL);
#line 204 "InfoPanel.c"
}


gint noise_info_panel_add_view (NoiseInfoPanel* self, GtkWidget* view) {
	gint result = 0;
	GtkGrid* _tmp0_;
	GtkWidget* _tmp1_;
	gint _tmp2_;
	gint _tmp3_;
	gint _tmp4_;
#line 55 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 55 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	g_return_val_if_fail (view != NULL, 0);
#line 56 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp0_ = self->priv->container;
#line 56 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp1_ = view;
#line 56 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp2_ = self->priv->place;
#line 56 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	gtk_grid_attach (_tmp0_, _tmp1_, 0, _tmp2_, 1, 1);
#line 57 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp3_ = self->priv->place;
#line 57 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	self->priv->place = _tmp3_ + 1;
#line 58 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp4_ = self->priv->place;
#line 58 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	result = _tmp4_ - 1;
#line 58 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	return result;
#line 237 "InfoPanel.c"
}


static void _noise_info_panel_ratingChanged_granite_widgets_rating_rating_changed (GraniteWidgetsRating* _sender, gint new_rating, gpointer self) {
#line 105 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	noise_info_panel_ratingChanged ((NoiseInfoPanel*) self, new_rating);
#line 244 "InfoPanel.c"
}


static void noise_info_panel_buildUI (NoiseInfoPanel* self) {
	GtkStyleContext* _tmp0_;
	GtkGrid* _tmp1_;
	GtkLabel* _tmp2_;
	GtkLabel* _tmp3_;
	NoiseWidgetsAlbumImage* _tmp4_;
	GraniteWidgetsRating* _tmp5_;
	GtkLabel* _tmp6_;
	GtkLabel* _tmp7_;
	GtkLabel* _tmp8_;
	GtkLabel* _tmp9_;
	GtkLabel* _tmp10_;
	GtkLabel* _tmp11_;
	GtkLabel* _tmp12_;
	GtkGrid* content = NULL;
	GtkGrid* _tmp13_;
	GtkStyleContext* _tmp14_;
	GtkLabel* _tmp15_;
	GtkLabel* _tmp16_;
	GtkLabel* _tmp17_;
	GtkLabel* _tmp18_;
	GraniteWidgetsRating* _tmp19_;
	NoiseWidgetsAlbumImage* _tmp20_;
	GtkLabel* _tmp21_;
	GraniteWidgetsRating* _tmp22_;
	GtkLabel* _tmp23_;
	GtkLabel* _tmp24_;
	GtkLabel* _tmp25_;
	GtkGrid* _tmp26_;
	GtkGrid* _tmp27_;
	GraniteWidgetsRating* _tmp28_;
#line 61 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	g_return_if_fail (self != NULL);
#line 63 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp0_ = gtk_widget_get_style_context ((GtkWidget*) self);
#line 63 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	gtk_style_context_add_class (_tmp0_, GRANITE_STYLE_CLASS_CONTENT_VIEW);
#line 65 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp1_ = (GtkGrid*) gtk_grid_new ();
#line 65 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	g_object_ref_sink (_tmp1_);
#line 65 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_g_object_unref0 (self->priv->container);
#line 65 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	self->priv->container = _tmp1_;
#line 67 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp2_ = (GtkLabel*) gtk_label_new ("");
#line 67 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	g_object_ref_sink (_tmp2_);
#line 67 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_g_object_unref0 (self->priv->title);
#line 67 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	self->priv->title = _tmp2_;
#line 68 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp3_ = (GtkLabel*) gtk_label_new ("");
#line 68 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	g_object_ref_sink (_tmp3_);
#line 68 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_g_object_unref0 (self->priv->artist);
#line 68 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	self->priv->artist = _tmp3_;
#line 69 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp4_ = noise_widgets_album_image_new ();
#line 69 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	g_object_ref_sink (_tmp4_);
#line 69 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_g_object_unref0 (self->priv->coverArt);
#line 69 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	self->priv->coverArt = _tmp4_;
#line 70 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp5_ = granite_widgets_rating_new (TRUE, GTK_ICON_SIZE_MENU, TRUE);
#line 70 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	g_object_ref_sink (_tmp5_);
#line 70 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_g_object_unref0 (self->priv->rating);
#line 70 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	self->priv->rating = _tmp5_;
#line 71 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp6_ = (GtkLabel*) gtk_label_new ("");
#line 71 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	g_object_ref_sink (_tmp6_);
#line 71 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_g_object_unref0 (self->priv->album);
#line 71 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	self->priv->album = _tmp6_;
#line 72 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp7_ = (GtkLabel*) gtk_label_new ("");
#line 72 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	g_object_ref_sink (_tmp7_);
#line 72 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_g_object_unref0 (self->priv->year_label);
#line 72 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	self->priv->year_label = _tmp7_;
#line 75 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp8_ = self->priv->title;
#line 75 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp8_, TRUE);
#line 76 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp9_ = self->priv->title;
#line 76 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	gtk_label_set_ellipsize (_tmp9_, PANGO_ELLIPSIZE_END);
#line 77 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp10_ = self->priv->artist;
#line 77 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	gtk_label_set_ellipsize (_tmp10_, PANGO_ELLIPSIZE_END);
#line 78 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp11_ = self->priv->album;
#line 78 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	gtk_label_set_ellipsize (_tmp11_, PANGO_ELLIPSIZE_END);
#line 79 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp12_ = self->priv->year_label;
#line 79 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	gtk_label_set_ellipsize (_tmp12_, PANGO_ELLIPSIZE_END);
#line 81 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp13_ = (GtkGrid*) gtk_grid_new ();
#line 81 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	g_object_ref_sink (_tmp13_);
#line 81 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	content = _tmp13_;
#line 82 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp14_ = gtk_widget_get_style_context ((GtkWidget*) content);
#line 82 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	gtk_style_context_add_class (_tmp14_, GRANITE_STYLE_CLASS_CONTENT_VIEW);
#line 85 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp15_ = self->priv->title;
#line 85 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp16_ = self->priv->artist;
#line 85 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp17_ = self->priv->album;
#line 85 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp18_ = self->priv->year_label;
#line 85 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp18_, GTK_ALIGN_CENTER);
#line 85 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp17_, GTK_ALIGN_CENTER);
#line 85 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp16_, GTK_ALIGN_CENTER);
#line 85 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp15_, GTK_ALIGN_CENTER);
#line 89 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp19_ = self->priv->rating;
#line 89 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp19_, GTK_ALIGN_FILL);
#line 91 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	gtk_grid_set_row_spacing (content, 6);
#line 92 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	g_object_set ((GtkWidget*) content, "margin", 6, NULL);
#line 93 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp20_ = self->priv->coverArt;
#line 93 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	gtk_grid_attach (content, (GtkWidget*) _tmp20_, 0, 0, 1, 1);
#line 94 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp21_ = self->priv->title;
#line 94 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	gtk_grid_attach (content, (GtkWidget*) _tmp21_, 0, 1, 1, 1);
#line 95 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp22_ = self->priv->rating;
#line 95 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	gtk_grid_attach (content, (GtkWidget*) _tmp22_, 0, 2, 1, 1);
#line 96 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp23_ = self->priv->artist;
#line 96 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	gtk_grid_attach (content, (GtkWidget*) _tmp23_, 0, 3, 1, 1);
#line 97 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp24_ = self->priv->album;
#line 97 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	gtk_grid_attach (content, (GtkWidget*) _tmp24_, 0, 4, 1, 1);
#line 98 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp25_ = self->priv->year_label;
#line 98 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	gtk_grid_attach (content, (GtkWidget*) _tmp25_, 0, 5, 1, 1);
#line 100 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp26_ = self->priv->container;
#line 100 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	gtk_grid_attach (_tmp26_, (GtkWidget*) content, 0, 0, 1, 1);
#line 102 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp27_ = self->priv->container;
#line 102 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp27_);
#line 105 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp28_ = self->priv->rating;
#line 105 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	g_signal_connect_object (_tmp28_, "rating-changed", (GCallback) _noise_info_panel_ratingChanged_granite_widgets_rating_rating_changed, self, 0);
#line 107 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	noise_info_panel_update_visibilities (self);
#line 61 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_g_object_unref0 (content);
#line 435 "InfoPanel.c"
}


static void noise_info_panel_update_visibilities (NoiseInfoPanel* self) {
	gboolean hide_rating = FALSE;
	NoiseMedia* _tmp0_;
	NoiseMedia* _tmp1_;
	GraniteWidgetsRating* _tmp6_;
	gboolean _tmp7_;
	GraniteWidgetsRating* _tmp8_;
	gboolean _tmp9_;
#line 110 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	g_return_if_fail (self != NULL);
#line 112 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	hide_rating = TRUE;
#line 114 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp0_ = noise_info_panel_get_current_media (self);
#line 114 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp1_ = _tmp0_;
#line 114 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	if (_tmp1_ != NULL) {
#line 457 "InfoPanel.c"
		NoiseMedia* _tmp2_;
		NoiseMedia* _tmp3_;
		gboolean _tmp4_;
		gboolean _tmp5_;
#line 115 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp2_ = noise_info_panel_get_current_media (self);
#line 115 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp3_ = _tmp2_;
#line 115 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp4_ = noise_media_get_isTemporary (_tmp3_);
#line 115 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp5_ = _tmp4_;
#line 115 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		hide_rating = _tmp5_;
#line 472 "InfoPanel.c"
	}
#line 117 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp6_ = self->priv->rating;
#line 117 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp7_ = hide_rating;
#line 117 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	gtk_widget_set_no_show_all ((GtkWidget*) _tmp6_, _tmp7_);
#line 118 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp8_ = self->priv->rating;
#line 118 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp9_ = hide_rating;
#line 118 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp8_, !_tmp9_);
#line 120 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	g_signal_emit (self, noise_info_panel_signals[NOISE_INFO_PANEL_TO_UPDATE_SIGNAL], 0);
#line 488 "InfoPanel.c"
}


static void noise_info_panel_on_media_updated (NoiseInfoPanel* self) {
#line 123 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	g_return_if_fail (self != NULL);
#line 124 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	noise_info_panel_update_visibilities (self);
#line 125 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	noise_info_panel_update_metadata (self);
#line 126 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	noise_info_panel_update_cover_art (self);
#line 501 "InfoPanel.c"
}


static void noise_info_panel_update_metadata (NoiseInfoPanel* self) {
	gboolean none = FALSE;
	NoiseMedia* _tmp0_;
	NoiseMedia* _tmp1_;
	gchar* _tmp2_ = NULL;
	gboolean _tmp3_;
	GtkLabel* _tmp10_;
	gchar* _tmp11_ = NULL;
	gboolean _tmp12_;
	GtkLabel* _tmp17_;
	gchar* _tmp18_ = NULL;
	gboolean _tmp19_;
	GtkLabel* _tmp24_;
	gint _tmp25_ = 0;
	gboolean _tmp26_;
	GraniteWidgetsRating* _tmp31_;
	guint _tmp32_ = 0U;
	gboolean _tmp33_;
	guint year = 0U;
	gchar* _tmp38_ = NULL;
	guint _tmp39_;
	gchar* year_str = NULL;
	gchar* _tmp47_;
	GtkLabel* _tmp48_;
#line 129 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	g_return_if_fail (self != NULL);
#line 130 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp0_ = noise_info_panel_get_current_media (self);
#line 130 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp1_ = _tmp0_;
#line 130 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	none = _tmp1_ == NULL;
#line 131 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp3_ = none;
#line 131 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	if (_tmp3_) {
#line 541 "InfoPanel.c"
		gchar* _tmp4_;
#line 131 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp4_ = g_strdup ("");
#line 131 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_g_free0 (_tmp2_);
#line 131 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp2_ = _tmp4_;
#line 549 "InfoPanel.c"
	} else {
		NoiseMedia* _tmp5_;
		NoiseMedia* _tmp6_;
		gchar* _tmp7_;
		gchar* _tmp8_;
		gchar* _tmp9_;
#line 131 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp5_ = noise_info_panel_get_current_media (self);
#line 131 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp6_ = _tmp5_;
#line 131 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp7_ = noise_media_get_display_title (_tmp6_);
#line 131 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp8_ = _tmp7_;
#line 131 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp9_ = g_markup_printf_escaped (NOISE_INFO_PANEL_TITLE_MARKUP, _tmp8_);
#line 131 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_g_free0 (_tmp2_);
#line 131 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp2_ = _tmp9_;
#line 131 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_g_free0 (_tmp8_);
#line 572 "InfoPanel.c"
	}
#line 131 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp10_ = self->priv->title;
#line 131 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	gtk_label_set_markup (_tmp10_, _tmp2_);
#line 132 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp12_ = none;
#line 132 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	if (_tmp12_) {
#line 582 "InfoPanel.c"
		gchar* _tmp13_;
#line 132 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp13_ = g_strdup ("");
#line 132 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_g_free0 (_tmp11_);
#line 132 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp11_ = _tmp13_;
#line 590 "InfoPanel.c"
	} else {
		NoiseMedia* _tmp14_;
		NoiseMedia* _tmp15_;
		gchar* _tmp16_;
#line 132 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp14_ = noise_info_panel_get_current_media (self);
#line 132 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp15_ = _tmp14_;
#line 132 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp16_ = noise_media_get_display_artist (_tmp15_);
#line 132 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_g_free0 (_tmp11_);
#line 132 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp11_ = _tmp16_;
#line 605 "InfoPanel.c"
	}
#line 132 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp17_ = self->priv->artist;
#line 132 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	gtk_label_set_text (_tmp17_, _tmp11_);
#line 133 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp19_ = none;
#line 133 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	if (_tmp19_) {
#line 615 "InfoPanel.c"
		gchar* _tmp20_;
#line 133 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp20_ = g_strdup ("");
#line 133 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_g_free0 (_tmp18_);
#line 133 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp18_ = _tmp20_;
#line 623 "InfoPanel.c"
	} else {
		NoiseMedia* _tmp21_;
		NoiseMedia* _tmp22_;
		gchar* _tmp23_;
#line 133 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp21_ = noise_info_panel_get_current_media (self);
#line 133 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp22_ = _tmp21_;
#line 133 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp23_ = noise_media_get_display_album (_tmp22_);
#line 133 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_g_free0 (_tmp18_);
#line 133 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp18_ = _tmp23_;
#line 638 "InfoPanel.c"
	}
#line 133 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp24_ = self->priv->album;
#line 133 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	gtk_label_set_text (_tmp24_, _tmp18_);
#line 136 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp26_ = none;
#line 136 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	if (_tmp26_) {
#line 136 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp25_ = 0;
#line 650 "InfoPanel.c"
	} else {
		NoiseMedia* _tmp27_;
		NoiseMedia* _tmp28_;
		guint _tmp29_;
		guint _tmp30_;
#line 136 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp27_ = noise_info_panel_get_current_media (self);
#line 136 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp28_ = _tmp27_;
#line 136 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp29_ = noise_media_get_rating (_tmp28_);
#line 136 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp30_ = _tmp29_;
#line 136 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp25_ = (gint) _tmp30_;
#line 666 "InfoPanel.c"
	}
#line 136 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp31_ = self->priv->rating;
#line 136 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	granite_widgets_rating_set_rating (_tmp31_, _tmp25_);
#line 138 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp33_ = none;
#line 138 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	if (_tmp33_) {
#line 138 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp32_ = (guint) 0;
#line 678 "InfoPanel.c"
	} else {
		NoiseMedia* _tmp34_;
		NoiseMedia* _tmp35_;
		guint _tmp36_;
		guint _tmp37_;
#line 138 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp34_ = noise_info_panel_get_current_media (self);
#line 138 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp35_ = _tmp34_;
#line 138 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp36_ = noise_media_get_year (_tmp35_);
#line 138 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp37_ = _tmp36_;
#line 138 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp32_ = _tmp37_;
#line 694 "InfoPanel.c"
	}
#line 138 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	year = _tmp32_;
#line 139 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp39_ = year;
#line 139 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	if (_tmp39_ > ((guint) 0)) {
#line 702 "InfoPanel.c"
		guint _tmp40_;
		gchar* _tmp41_;
		gchar* _tmp42_;
		gchar* _tmp43_;
		gchar* _tmp44_;
		gchar* _tmp45_;
#line 139 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp40_ = year;
#line 139 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp41_ = g_strdup_printf ("%u", _tmp40_);
#line 139 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp42_ = _tmp41_;
#line 139 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp43_ = g_strconcat ("<span size=\"x-small\">", _tmp42_, NULL);
#line 139 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp44_ = _tmp43_;
#line 139 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp45_ = g_strconcat (_tmp44_, "</span>", NULL);
#line 139 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_g_free0 (_tmp38_);
#line 139 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp38_ = _tmp45_;
#line 139 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_g_free0 (_tmp44_);
#line 139 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_g_free0 (_tmp42_);
#line 729 "InfoPanel.c"
	} else {
		gchar* _tmp46_;
#line 139 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp46_ = g_strdup ("");
#line 139 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_g_free0 (_tmp38_);
#line 139 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp38_ = _tmp46_;
#line 738 "InfoPanel.c"
	}
#line 139 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp47_ = g_strdup (_tmp38_);
#line 139 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	year_str = _tmp47_;
#line 140 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp48_ = self->priv->year_label;
#line 140 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	gtk_label_set_markup (_tmp48_, year_str);
#line 129 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_g_free0 (year_str);
#line 129 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_g_free0 (_tmp38_);
#line 129 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_g_free0 (_tmp18_);
#line 129 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_g_free0 (_tmp11_);
#line 129 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_g_free0 (_tmp2_);
#line 758 "InfoPanel.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 144 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	return self ? g_object_ref (self) : NULL;
#line 765 "InfoPanel.c"
}


static void noise_info_panel_update_cover_art (NoiseInfoPanel* self) {
	GIcon* cover_icon = NULL;
	NoiseMedia* _tmp0_;
	NoiseMedia* _tmp1_;
	NoiseAlbum* _tmp2_;
	NoiseAlbum* _tmp3_;
	GIcon* _tmp4_;
	GIcon* _tmp5_;
	GIcon* _tmp6_;
	GIcon* _tmp7_;
#line 143 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	g_return_if_fail (self != NULL);
#line 144 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp0_ = noise_info_panel_get_current_media (self);
#line 144 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp1_ = _tmp0_;
#line 144 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp2_ = noise_media_get_album_info (_tmp1_);
#line 144 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp3_ = _tmp2_;
#line 144 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp4_ = noise_album_get_cover_icon (_tmp3_);
#line 144 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp5_ = _tmp4_;
#line 144 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp6_ = _g_object_ref0 (_tmp5_);
#line 144 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	cover_icon = _tmp6_;
#line 145 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp7_ = cover_icon;
#line 145 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	if (_tmp7_ != NULL) {
#line 801 "InfoPanel.c"
		NoiseWidgetsAlbumImage* _tmp8_;
		GIcon* _tmp9_;
#line 146 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp8_ = self->priv->coverArt;
#line 146 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp9_ = cover_icon;
#line 146 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		g_object_set ((GtkImage*) _tmp8_, "gicon", _tmp9_, NULL);
#line 810 "InfoPanel.c"
	} else {
		NoiseWidgetsAlbumImage* _tmp10_;
		GThemedIcon* _tmp11_;
		GThemedIcon* _tmp12_;
#line 148 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp10_ = self->priv->coverArt;
#line 148 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp11_ = (GThemedIcon*) g_themed_icon_new ("albumart");
#line 148 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp12_ = _tmp11_;
#line 148 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		g_object_set ((GtkImage*) _tmp10_, "gicon", (GIcon*) _tmp12_, NULL);
#line 148 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_g_object_unref0 (_tmp12_);
#line 825 "InfoPanel.c"
	}
#line 143 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_g_object_unref0 (cover_icon);
#line 829 "InfoPanel.c"
}


static void noise_info_panel_ratingChanged (NoiseInfoPanel* self, gint new_rating) {
	NoiseMedia* _tmp0_;
	NoiseMedia* _tmp1_;
#line 152 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	g_return_if_fail (self != NULL);
#line 153 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp0_ = noise_info_panel_get_current_media (self);
#line 153 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp1_ = _tmp0_;
#line 153 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	if (_tmp1_ != NULL) {
#line 844 "InfoPanel.c"
		NoiseMedia* _tmp2_;
		NoiseMedia* _tmp3_;
		gint _tmp4_;
		NoiseLibrariesManager* _tmp5_;
		NoiseLibrary* _tmp6_;
		NoiseMedia* _tmp7_;
		NoiseMedia* _tmp8_;
#line 154 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp2_ = noise_info_panel_get_current_media (self);
#line 154 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp3_ = _tmp2_;
#line 154 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp4_ = new_rating;
#line 154 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		noise_media_set_rating (_tmp3_, (guint) _tmp4_);
#line 155 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp5_ = noise_libraries_manager;
#line 155 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp6_ = _tmp5_->local_library;
#line 155 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp7_ = noise_info_panel_get_current_media (self);
#line 155 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		_tmp8_ = _tmp7_;
#line 155 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		noise_library_update_media (_tmp6_, _tmp8_, FALSE, TRUE);
#line 870 "InfoPanel.c"
	}
}


NoiseMedia* noise_info_panel_get_current_media (NoiseInfoPanel* self) {
	NoiseMedia* result;
	NoisePlaybackManager* _tmp0_;
	NoisePlaybackManager* _tmp1_;
	NoiseMedia* _tmp2_;
	NoiseMedia* _tmp3_;
#line 32 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 32 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp0_ = noise_app_get_player ();
#line 32 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp1_ = _tmp0_;
#line 32 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp2_ = noise_playback_manager_get_current_media (_tmp1_);
#line 32 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp3_ = _tmp2_;
#line 32 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	result = _tmp3_;
#line 32 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	return result;
#line 895 "InfoPanel.c"
}


gboolean noise_info_panel_get_can_show_up (NoiseInfoPanel* self) {
	gboolean result;
	NoisePlaybackManager* _tmp0_;
	NoisePlaybackManager* _tmp1_;
	NoiseMedia* _tmp2_;
	NoiseMedia* _tmp3_;
#line 33 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 33 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp0_ = noise_app_get_player ();
#line 33 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp1_ = _tmp0_;
#line 33 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp2_ = noise_playback_manager_get_current_media (_tmp1_);
#line 33 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_tmp3_ = _tmp2_;
#line 33 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	result = _tmp3_ != NULL;
#line 33 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	return result;
#line 919 "InfoPanel.c"
}


static void noise_info_panel_class_init (NoiseInfoPanelClass * klass) {
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	noise_info_panel_parent_class = g_type_class_peek_parent (klass);
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	g_type_class_add_private (klass, sizeof (NoiseInfoPanelPrivate));
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_noise_info_panel_get_property;
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	G_OBJECT_CLASS (klass)->finalize = noise_info_panel_finalize;
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_INFO_PANEL_CURRENT_MEDIA_PROPERTY, noise_info_panel_properties[NOISE_INFO_PANEL_CURRENT_MEDIA_PROPERTY] = g_param_spec_object ("current-media", "current-media", "current-media", NOISE_TYPE_MEDIA, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_INFO_PANEL_CAN_SHOW_UP_PROPERTY, noise_info_panel_properties[NOISE_INFO_PANEL_CAN_SHOW_UP_PROPERTY] = g_param_spec_boolean ("can-show-up", "can-show-up", "can-show-up", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	noise_info_panel_signals[NOISE_INFO_PANEL_TO_UPDATE_SIGNAL] = g_signal_new ("to-update", NOISE_TYPE_INFO_PANEL, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 938 "InfoPanel.c"
}


static void noise_info_panel_instance_init (NoiseInfoPanel * self) {
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	self->priv = NOISE_INFO_PANEL_GET_PRIVATE (self);
#line 41 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	self->priv->place = 1;
#line 947 "InfoPanel.c"
}


static void noise_info_panel_finalize (GObject * obj) {
	NoiseInfoPanel * self;
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_TYPE_INFO_PANEL, NoiseInfoPanel);
#line 35 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_g_object_unref0 (self->priv->title);
#line 36 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_g_object_unref0 (self->priv->artist);
#line 37 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_g_object_unref0 (self->priv->coverArt);
#line 38 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_g_object_unref0 (self->priv->rating);
#line 39 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_g_object_unref0 (self->priv->album);
#line 40 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_g_object_unref0 (self->priv->year_label);
#line 42 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	_g_object_unref0 (self->priv->container);
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	G_OBJECT_CLASS (noise_info_panel_parent_class)->finalize (obj);
#line 971 "InfoPanel.c"
}


GType noise_info_panel_get_type (void) {
	static volatile gsize noise_info_panel_type_id__volatile = 0;
	if (g_once_init_enter (&noise_info_panel_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NoiseInfoPanelClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) noise_info_panel_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NoiseInfoPanel), 0, (GInstanceInitFunc) noise_info_panel_instance_init, NULL };
		GType noise_info_panel_type_id;
		noise_info_panel_type_id = g_type_register_static (gtk_event_box_get_type (), "NoiseInfoPanel", &g_define_type_info, 0);
		g_once_init_leave (&noise_info_panel_type_id__volatile, noise_info_panel_type_id);
	}
	return noise_info_panel_type_id__volatile;
}


static void _vala_noise_info_panel_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	NoiseInfoPanel * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NOISE_TYPE_INFO_PANEL, NoiseInfoPanel);
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
	switch (property_id) {
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		case NOISE_INFO_PANEL_CURRENT_MEDIA_PROPERTY:
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		g_value_set_object (value, noise_info_panel_get_current_media (self));
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		break;
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		case NOISE_INFO_PANEL_CAN_SHOW_UP_PROPERTY:
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		g_value_set_boolean (value, noise_info_panel_get_can_show_up (self));
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		break;
#line 1004 "InfoPanel.c"
		default:
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 29 "/builddir/build/BUILD/music-0.4.2/src/Widgets/InfoPanel.vala"
		break;
#line 1010 "InfoPanel.c"
	}
}



