/* PlaybackManager.c generated by valac 0.38.10, the Vala compiler
 * generated from PlaybackManager.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2012-2017 elementary LLC. (https://elementary.io)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Noise authors hereby grant permission for non-GPL compatible
 * GStreamer plugins to be used and distributed together with GStreamer
 * and Noise. This permission is above and beyond the permissions granted
 * by the GPL license by which Noise is covered. If you modify this code
 * you may extend this exception to your version of the code, but you are not
 * obligated to do so. If you do not wish to do so, delete this exception
 * statement from your version.
 *
 * Authored by: Scott Ringwelski <sgringwe@mtu.edu>
 *              Corentin Noël <corentin@elementary.io>
 */

#include <glib.h>
#include <glib-object.h>
#include <noise-core.h>
#include <gee.h>
#include <float.h>
#include <math.h>
#include <gio/gio.h>
#include <stdlib.h>
#include <string.h>
#include <gst/gst.h>
#include <glib/gi18n-lib.h>


#define NOISE_TYPE_PLAYBACK_MANAGER (noise_playback_manager_get_type ())
#define NOISE_PLAYBACK_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_PLAYBACK_MANAGER, NoisePlaybackManager))
#define NOISE_PLAYBACK_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_PLAYBACK_MANAGER, NoisePlaybackManagerClass))
#define NOISE_IS_PLAYBACK_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_PLAYBACK_MANAGER))
#define NOISE_IS_PLAYBACK_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_PLAYBACK_MANAGER))
#define NOISE_PLAYBACK_MANAGER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_PLAYBACK_MANAGER, NoisePlaybackManagerClass))

typedef struct _NoisePlaybackManager NoisePlaybackManager;
typedef struct _NoisePlaybackManagerClass NoisePlaybackManagerClass;
typedef struct _NoisePlaybackManagerPrivate NoisePlaybackManagerPrivate;

#define NOISE_TYPE_HISTORY_PLAYLIST (noise_history_playlist_get_type ())
#define NOISE_HISTORY_PLAYLIST(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_HISTORY_PLAYLIST, NoiseHistoryPlaylist))
#define NOISE_HISTORY_PLAYLIST_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_HISTORY_PLAYLIST, NoiseHistoryPlaylistClass))
#define NOISE_IS_HISTORY_PLAYLIST(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_HISTORY_PLAYLIST))
#define NOISE_IS_HISTORY_PLAYLIST_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_HISTORY_PLAYLIST))
#define NOISE_HISTORY_PLAYLIST_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_HISTORY_PLAYLIST, NoiseHistoryPlaylistClass))

typedef struct _NoiseHistoryPlaylist NoiseHistoryPlaylist;
typedef struct _NoiseHistoryPlaylistClass NoiseHistoryPlaylistClass;

#define NOISE_TYPE_STREAMER (noise_streamer_get_type ())
#define NOISE_STREAMER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_STREAMER, NoiseStreamer))
#define NOISE_STREAMER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_STREAMER, NoiseStreamerClass))
#define NOISE_IS_STREAMER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_STREAMER))
#define NOISE_IS_STREAMER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_STREAMER))
#define NOISE_STREAMER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_STREAMER, NoiseStreamerClass))

typedef struct _NoiseStreamer NoiseStreamer;
typedef struct _NoiseStreamerClass NoiseStreamerClass;
enum  {
	NOISE_PLAYBACK_MANAGER_0_PROPERTY,
	NOISE_PLAYBACK_MANAGER_QUEUE_PLAYLIST_PROPERTY,
	NOISE_PLAYBACK_MANAGER_IS_SHUFFLED_PROPERTY,
	NOISE_PLAYBACK_MANAGER_LIBRARY_PROPERTY,
	NOISE_PLAYBACK_MANAGER_CURRENT_INDEX_PROPERTY,
	NOISE_PLAYBACK_MANAGER_PLAYING_PROPERTY,
	NOISE_PLAYBACK_MANAGER_VOLUME_PROPERTY,
	NOISE_PLAYBACK_MANAGER_CURRENT_MEDIA_PROPERTY,
	NOISE_PLAYBACK_MANAGER_NUM_PROPERTIES
};
static GParamSpec* noise_playback_manager_properties[NOISE_PLAYBACK_MANAGER_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
typedef struct _Block8Data Block8Data;
#define _g_free0(var) (var = (g_free (var), NULL))
enum  {
	NOISE_PLAYBACK_MANAGER_QUEUE_CLEARED_SIGNAL,
	NOISE_PLAYBACK_MANAGER_MEDIA_QUEUED_SIGNAL,
	NOISE_PLAYBACK_MANAGER_MEDIA_PLAYED_SIGNAL,
	NOISE_PLAYBACK_MANAGER_PLAYBACK_STOPPED_SIGNAL,
	NOISE_PLAYBACK_MANAGER_PLAYBACK_STARTED_SIGNAL,
	NOISE_PLAYBACK_MANAGER_PLAYBACK_PAUSED_SIGNAL,
	NOISE_PLAYBACK_MANAGER_CHANGING_PLAYER_SIGNAL,
	NOISE_PLAYBACK_MANAGER_PLAYER_CHANGED_SIGNAL,
	NOISE_PLAYBACK_MANAGER_NUM_SIGNALS
};
static guint noise_playback_manager_signals[NOISE_PLAYBACK_MANAGER_NUM_SIGNALS] = {0};

struct _NoisePlaybackManager {
	GObject parent_instance;
	NoisePlaybackManagerPrivate * priv;
	NoiseHistoryPlaylist* history_playlist;
	NoiseStreamer* file_player;
	NoisePlayback* player;
};

struct _NoisePlaybackManagerClass {
	GObjectClass parent_class;
};

struct _NoisePlaybackManagerPrivate {
	GeeTreeSet* playbacks;
	GRecMutex __lock_playbacks;
	NoiseStaticPlaylist* ordered_queue;
	NoiseStaticPlaylist* _queue_playlist;
	gint _ci;
	gboolean _playing;
	gdouble saved_volume;
	NoiseMedia* _current_media;
};

struct _Block8Data {
	int _ref_count_;
	NoisePlaybackManager* self;
	NoiseMedia* m;
};


static gpointer noise_playback_manager_parent_class = NULL;
static NoisePlayerIface * noise_playback_manager_noise_player_parent_iface = NULL;

GType noise_playback_manager_get_type (void) G_GNUC_CONST;
GType noise_history_playlist_get_type (void) G_GNUC_CONST;
GType noise_streamer_get_type (void) G_GNUC_CONST;
#define NOISE_PLAYBACK_MANAGER_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NOISE_TYPE_PLAYBACK_MANAGER, NoisePlaybackManagerPrivate))
static void noise_playback_manager_real_add_playback (NoisePlayer* base, NoisePlayback* playback);
void noise_playback_manager_queue_media (NoisePlaybackManager* self, NoiseMedia* to_queue);
void noise_playback_manager_queue_medias (NoisePlaybackManager* self, GeeCollection* to_queue);
void noise_playback_manager_reshuffle (NoisePlaybackManager* self);
NoiseStaticPlaylist* noise_playback_manager_get_queue_playlist (NoisePlaybackManager* self);
void noise_playback_manager_queue_medias_by_id (NoisePlaybackManager* self, GeeCollection* ids);
NoiseLibrary* noise_playback_manager_get_library (NoisePlaybackManager* self);
void noise_playback_manager_unqueue_media (NoisePlaybackManager* self, NoiseMedia* to_unqueue);
void noise_playback_manager_unqueue_medias (NoisePlaybackManager* self, GeeCollection* to_unqueue);
void noise_playback_manager_unqueue_medias_by_id (NoisePlaybackManager* self, GeeCollection* ids);
void noise_playback_manager_clear_queue (NoisePlaybackManager* self);
void noise_playback_manager_set_current_index (NoisePlaybackManager* self, gint value);
NoiseMedia* noise_playback_manager_media_from_current_index (NoisePlaybackManager* self, gint index_in_current);
GeeCollection* noise_playback_manager_get_current_media_list (NoisePlaybackManager* self);
void noise_playback_manager_set_repeat_mode (NoisePlaybackManager* self, NoiseSettingsRepeat mode);
void noise_playback_manager_set_shuffle_mode (NoisePlaybackManager* self, NoiseSettingsShuffle mode);
gboolean noise_playback_manager_get_is_shuffled (NoisePlaybackManager* self);
NoiseMedia* noise_playback_manager_get_current_media (NoisePlaybackManager* self);
NoiseMedia* noise_playback_manager_get_media_at (NoisePlaybackManager* self, gint position, gint* media_index);
gint noise_playback_manager_get_current_index (NoisePlaybackManager* self);
gint noise_playback_manager_fix_index (NoisePlaybackManager* self, gint index);
static void noise_playback_manager_set_current_media (NoisePlaybackManager* self, NoiseMedia* value);
NoiseMedia* noise_playback_manager_get_next (NoisePlaybackManager* self, gboolean play);
void noise_playback_manager_stop_playback (NoisePlaybackManager* self);
void noise_playback_manager_play_media (NoisePlaybackManager* self, NoiseMedia* m);
NoiseMedia* noise_playback_manager_get_previous (NoisePlaybackManager* self, gboolean play);
static Block8Data* block8_data_ref (Block8Data* _data8_);
static void block8_data_unref (void * _userdata_);
void noise_playback_manager_set_volume (NoisePlaybackManager* self, gdouble value);
void noise_playback_manager_change_gains_thread (NoisePlaybackManager* self);
gboolean noise_playback_manager_get_playing (NoisePlaybackManager* self);
static gboolean __lambda27_ (Block8Data* _data8_);
static gboolean ___lambda27__gsource_func (gpointer self);
static void noise_playback_manager_set_playing (NoisePlaybackManager* self, gboolean value);
void noise_playback_manager_start_playback (NoisePlaybackManager* self);
void noise_playback_manager_pause_playback (NoisePlaybackManager* self);
NoisePlaybackManager* noise_playback_manager_new (void);
NoisePlaybackManager* noise_playback_manager_construct (GType object_type);
void noise_playback_manager_set_queue_playlist (NoisePlaybackManager* self, NoiseStaticPlaylist* value);
void noise_playback_manager_set_is_shuffled (NoisePlaybackManager* self, gboolean value);
gdouble noise_playback_manager_get_volume (NoisePlaybackManager* self);
static void g_cclosure_user_marshal_VOID__INT64 (GClosure * closure, GValue * return_value, guint n_param_values, const GValue * param_values, gpointer invocation_hint, gpointer marshal_data);
static GObject * noise_playback_manager_constructor (GType type, guint n_construct_properties, GObjectConstructParam * construct_properties);
NoiseHistoryPlaylist* noise_history_playlist_new (void);
NoiseHistoryPlaylist* noise_history_playlist_construct (GType object_type);
NoiseStreamer* noise_streamer_new (void);
NoiseStreamer* noise_streamer_construct (GType object_type);
static void noise_playback_manager_finalize (GObject * obj);
static void _vala_noise_playback_manager_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_noise_playback_manager_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);


static void noise_playback_manager_real_add_playback (NoisePlayer* base, NoisePlayback* playback) {
	NoisePlaybackManager * self;
	GeeTreeSet* _tmp0_;
	NoisePlayback* _tmp1_;
#line 123 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	self = (NoisePlaybackManager*) base;
#line 123 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_return_if_fail (playback != NULL);
#line 124 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp0_ = self->priv->playbacks;
#line 124 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp1_ = playback;
#line 124 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp0_, _tmp1_);
#line 208 "PlaybackManager.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 128 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	return self ? g_object_ref (self) : NULL;
#line 215 "PlaybackManager.c"
}


void noise_playback_manager_queue_media (NoisePlaybackManager* self, NoiseMedia* to_queue) {
	NoiseMedia* _tmp0_;
	NoiseMedia* _tmp1_;
	NoiseMedia** _tmp2_;
	GeeArrayList* _tmp3_;
	GeeArrayList* _tmp4_;
#line 127 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 127 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_return_if_fail (to_queue != NULL);
#line 128 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp0_ = to_queue;
#line 128 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 128 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp2_ = g_new0 (NoiseMedia*, 1 + 1);
#line 128 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp2_[0] = _tmp1_;
#line 128 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp3_ = gee_array_list_new_wrap (NOISE_TYPE_MEDIA, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, _tmp2_, 1, NULL, NULL, NULL);
#line 128 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp4_ = _tmp3_;
#line 128 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	noise_playback_manager_queue_medias (self, (GeeCollection*) _tmp4_);
#line 128 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_g_object_unref0 (_tmp4_);
#line 245 "PlaybackManager.c"
}


void noise_playback_manager_queue_medias (NoisePlaybackManager* self, GeeCollection* to_queue) {
	GeeCollection* _tmp0_;
	gint _tmp1_;
	gint _tmp2_;
	NoiseStaticPlaylist* _tmp12_;
	GeeCollection* _tmp13_;
	GeeCollection* _tmp31_;
#line 131 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 131 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_return_if_fail (to_queue != NULL);
#line 132 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp0_ = to_queue;
#line 132 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp1_ = gee_collection_get_size (_tmp0_);
#line 132 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp2_ = _tmp1_;
#line 132 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	if (_tmp2_ < 1) {
#line 133 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		return;
#line 270 "PlaybackManager.c"
	}
	{
		GeeIterator* _q_it = NULL;
		GeeCollection* _tmp3_;
		GeeIterator* _tmp4_;
#line 136 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp3_ = to_queue;
#line 136 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp4_ = gee_iterable_iterator ((GeeIterable*) _tmp3_);
#line 136 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_q_it = _tmp4_;
#line 136 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		while (TRUE) {
#line 284 "PlaybackManager.c"
			GeeIterator* _tmp5_;
			gboolean _tmp6_;
			NoiseMedia* q = NULL;
			GeeIterator* _tmp7_;
			gpointer _tmp8_;
			NoiseMedia* _tmp9_;
			const gchar* _tmp10_;
			const gchar* _tmp11_;
#line 136 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp5_ = _q_it;
#line 136 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp6_ = gee_iterator_next (_tmp5_);
#line 136 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			if (!_tmp6_) {
#line 136 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				break;
#line 301 "PlaybackManager.c"
			}
#line 136 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp7_ = _q_it;
#line 136 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp8_ = gee_iterator_get (_tmp7_);
#line 136 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			q = (NoiseMedia*) _tmp8_;
#line 137 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp9_ = q;
#line 137 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp10_ = noise_media_get_title (_tmp9_);
#line 137 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp11_ = _tmp10_;
#line 137 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			g_debug ("PlaybackManager.vala:137: QUEUED: %s", _tmp11_);
#line 136 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_g_object_unref0 (q);
#line 319 "PlaybackManager.c"
		}
#line 136 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_g_object_unref0 (_q_it);
#line 323 "PlaybackManager.c"
	}
#line 140 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp12_ = self->priv->ordered_queue;
#line 140 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp13_ = to_queue;
#line 140 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	noise_playlist_add_medias ((NoisePlaylist*) _tmp12_, _tmp13_);
#line 141 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	noise_playback_manager_reshuffle (self);
#line 333 "PlaybackManager.c"
	{
		GeeArrayList* _q_list = NULL;
		NoiseStaticPlaylist* _tmp14_;
		NoiseStaticPlaylist* _tmp15_;
		GeeArrayList* _tmp16_;
		GeeArrayList* _tmp17_;
		GeeArrayList* _tmp18_;
		gint _q_size = 0;
		GeeArrayList* _tmp19_;
		gint _tmp20_;
		gint _tmp21_;
		gint _q_index = 0;
#line 143 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp14_ = noise_playback_manager_get_queue_playlist (self);
#line 143 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp15_ = _tmp14_;
#line 143 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp16_ = noise_playlist_get_medias ((NoisePlaylist*) _tmp15_);
#line 143 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp17_ = _tmp16_;
#line 143 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp18_ = _g_object_ref0 (_tmp17_);
#line 143 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_q_list = _tmp18_;
#line 143 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp19_ = _q_list;
#line 143 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp20_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp19_);
#line 143 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp21_ = _tmp20_;
#line 143 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_q_size = _tmp21_;
#line 143 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_q_index = -1;
#line 143 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		while (TRUE) {
#line 370 "PlaybackManager.c"
			gint _tmp22_;
			gint _tmp23_;
			gint _tmp24_;
			NoiseMedia* q = NULL;
			GeeArrayList* _tmp25_;
			gint _tmp26_;
			gpointer _tmp27_;
			NoiseMedia* _tmp28_;
			const gchar* _tmp29_;
			const gchar* _tmp30_;
#line 143 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp22_ = _q_index;
#line 143 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_q_index = _tmp22_ + 1;
#line 143 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp23_ = _q_index;
#line 143 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp24_ = _q_size;
#line 143 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			if (!(_tmp23_ < _tmp24_)) {
#line 143 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				break;
#line 393 "PlaybackManager.c"
			}
#line 143 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp25_ = _q_list;
#line 143 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp26_ = _q_index;
#line 143 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp27_ = gee_abstract_list_get ((GeeAbstractList*) _tmp25_, _tmp26_);
#line 143 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			q = (NoiseMedia*) _tmp27_;
#line 144 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp28_ = q;
#line 144 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp29_ = noise_media_get_title (_tmp28_);
#line 144 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp30_ = _tmp29_;
#line 144 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			g_debug ("PlaybackManager.vala:144: NEUE QUEUE: %s", _tmp30_);
#line 143 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_g_object_unref0 (q);
#line 413 "PlaybackManager.c"
		}
#line 143 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_g_object_unref0 (_q_list);
#line 417 "PlaybackManager.c"
	}
#line 146 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp31_ = to_queue;
#line 146 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_signal_emit (self, noise_playback_manager_signals[NOISE_PLAYBACK_MANAGER_MEDIA_QUEUED_SIGNAL], 0, _tmp31_);
#line 423 "PlaybackManager.c"
}


void noise_playback_manager_queue_medias_by_id (NoisePlaybackManager* self, GeeCollection* ids) {
	NoiseLibrary* _tmp0_;
	NoiseLibrary* _tmp1_;
	GeeCollection* _tmp2_;
	GeeCollection* _tmp3_;
	GeeCollection* _tmp4_;
#line 149 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 149 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_return_if_fail (ids != NULL);
#line 150 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp0_ = noise_playback_manager_get_library (self);
#line 150 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp1_ = _tmp0_;
#line 150 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp2_ = ids;
#line 150 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp3_ = noise_library_medias_from_ids (_tmp1_, _tmp2_);
#line 150 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp4_ = _tmp3_;
#line 150 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	noise_playback_manager_queue_medias (self, _tmp4_);
#line 150 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_g_object_unref0 (_tmp4_);
#line 451 "PlaybackManager.c"
}


void noise_playback_manager_unqueue_media (NoisePlaybackManager* self, NoiseMedia* to_unqueue) {
	NoiseMedia* _tmp0_;
	NoiseMedia* _tmp1_;
	NoiseMedia** _tmp2_;
	GeeArrayList* _tmp3_;
	GeeArrayList* _tmp4_;
#line 153 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 153 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_return_if_fail (to_unqueue != NULL);
#line 154 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp0_ = to_unqueue;
#line 154 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 154 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp2_ = g_new0 (NoiseMedia*, 1 + 1);
#line 154 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp2_[0] = _tmp1_;
#line 154 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp3_ = gee_array_list_new_wrap (NOISE_TYPE_MEDIA, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, _tmp2_, 1, NULL, NULL, NULL);
#line 154 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp4_ = _tmp3_;
#line 154 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	noise_playback_manager_unqueue_medias (self, (GeeCollection*) _tmp4_);
#line 154 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_g_object_unref0 (_tmp4_);
#line 481 "PlaybackManager.c"
}


void noise_playback_manager_unqueue_medias (NoisePlaybackManager* self, GeeCollection* to_unqueue) {
	NoiseStaticPlaylist* _tmp0_;
	GeeCollection* _tmp1_;
	NoiseStaticPlaylist* _tmp2_;
	NoiseStaticPlaylist* _tmp3_;
	GeeCollection* _tmp4_;
#line 157 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 157 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_return_if_fail (to_unqueue != NULL);
#line 158 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp0_ = self->priv->ordered_queue;
#line 158 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp1_ = to_unqueue;
#line 158 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	noise_playlist_remove_medias ((NoisePlaylist*) _tmp0_, _tmp1_);
#line 159 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	noise_playback_manager_reshuffle (self);
#line 160 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp2_ = noise_playback_manager_get_queue_playlist (self);
#line 160 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp3_ = _tmp2_;
#line 160 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp4_ = to_unqueue;
#line 160 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_signal_emit_by_name ((NoisePlaylist*) _tmp3_, "media-removed", _tmp4_);
#line 511 "PlaybackManager.c"
}


void noise_playback_manager_unqueue_medias_by_id (NoisePlaybackManager* self, GeeCollection* ids) {
	NoiseLibrary* _tmp0_;
	NoiseLibrary* _tmp1_;
	GeeCollection* _tmp2_;
	GeeCollection* _tmp3_;
	GeeCollection* _tmp4_;
#line 163 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 163 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_return_if_fail (ids != NULL);
#line 164 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp0_ = noise_playback_manager_get_library (self);
#line 164 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp1_ = _tmp0_;
#line 164 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp2_ = ids;
#line 164 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp3_ = noise_library_medias_from_ids (_tmp1_, _tmp2_);
#line 164 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp4_ = _tmp3_;
#line 164 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	noise_playback_manager_unqueue_medias (self, _tmp4_);
#line 164 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_g_object_unref0 (_tmp4_);
#line 539 "PlaybackManager.c"
}


void noise_playback_manager_clear_queue (NoisePlaybackManager* self) {
	NoiseStaticPlaylist* _tmp0_;
	NoiseStaticPlaylist* _tmp1_;
	NoiseStaticPlaylist* _tmp2_;
#line 167 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 168 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_signal_emit (self, noise_playback_manager_signals[NOISE_PLAYBACK_MANAGER_QUEUE_CLEARED_SIGNAL], 0);
#line 169 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp0_ = noise_playback_manager_get_queue_playlist (self);
#line 169 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp1_ = _tmp0_;
#line 169 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	noise_playlist_clear ((NoisePlaylist*) _tmp1_);
#line 170 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp2_ = self->priv->ordered_queue;
#line 170 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	noise_playlist_clear ((NoisePlaylist*) _tmp2_);
#line 171 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	noise_playback_manager_set_current_index (self, 0);
#line 173 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	noise_playback_manager_reshuffle (self);
#line 565 "PlaybackManager.c"
}


NoiseMedia* noise_playback_manager_media_from_current_index (NoisePlaybackManager* self, gint index_in_current) {
	NoiseMedia* result = NULL;
	NoiseStaticPlaylist* _tmp0_;
	NoiseStaticPlaylist* _tmp1_;
	gint _tmp2_;
	NoiseMedia* _tmp3_;
#line 176 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 177 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp0_ = noise_playback_manager_get_queue_playlist (self);
#line 177 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp1_ = _tmp0_;
#line 177 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp2_ = index_in_current;
#line 177 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp3_ = noise_playlist_get ((NoisePlaylist*) _tmp1_, _tmp2_);
#line 177 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	result = _tmp3_;
#line 177 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	return result;
#line 589 "PlaybackManager.c"
}


GeeCollection* noise_playback_manager_get_current_media_list (NoisePlaybackManager* self) {
	GeeCollection* result = NULL;
	NoiseStaticPlaylist* _tmp0_;
	NoiseStaticPlaylist* _tmp1_;
	GeeArrayList* _tmp2_;
	GeeArrayList* _tmp3_;
	GeeCollection* _tmp4_;
#line 180 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 181 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp0_ = noise_playback_manager_get_queue_playlist (self);
#line 181 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp1_ = _tmp0_;
#line 181 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp2_ = noise_playlist_get_medias ((NoisePlaylist*) _tmp1_);
#line 181 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp3_ = _tmp2_;
#line 181 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp4_ = _g_object_ref0 ((GeeCollection*) _tmp3_);
#line 181 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	result = _tmp4_;
#line 181 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	return result;
#line 616 "PlaybackManager.c"
}


void noise_playback_manager_set_repeat_mode (NoisePlaybackManager* self, NoiseSettingsRepeat mode) {
	NoiseSettingsMain* main_settings = NULL;
	NoiseSettingsMain* _tmp0_;
	NoiseSettingsMain* _tmp1_;
	NoiseSettingsRepeat _tmp2_;
	NoiseSettingsRepeat _tmp3_;
	NoiseSettingsRepeat _tmp4_;
#line 184 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 185 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp0_ = noise_settings_main_get_default ();
#line 185 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	main_settings = _tmp0_;
#line 186 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp1_ = main_settings;
#line 186 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp2_ = noise_settings_main_get_repeat_mode (_tmp1_);
#line 186 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp3_ = _tmp2_;
#line 186 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp4_ = mode;
#line 186 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	if (_tmp3_ != _tmp4_) {
#line 643 "PlaybackManager.c"
		NoiseSettingsMain* _tmp5_;
		NoiseSettingsRepeat _tmp6_;
#line 187 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp5_ = main_settings;
#line 187 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp6_ = mode;
#line 187 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		noise_settings_main_set_repeat_mode (_tmp5_, _tmp6_);
#line 652 "PlaybackManager.c"
	}
#line 184 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_g_object_unref0 (main_settings);
#line 656 "PlaybackManager.c"
}


void noise_playback_manager_set_shuffle_mode (NoisePlaybackManager* self, NoiseSettingsShuffle mode) {
	NoiseSettingsMain* main_settings = NULL;
	NoiseSettingsMain* _tmp0_;
	NoiseSettingsMain* _tmp1_;
	NoiseSettingsShuffle _tmp2_;
	NoiseSettingsShuffle _tmp3_;
	NoiseSettingsShuffle _tmp4_;
#line 191 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 192 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp0_ = noise_settings_main_get_default ();
#line 192 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	main_settings = _tmp0_;
#line 193 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp1_ = main_settings;
#line 193 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp2_ = noise_settings_main_get_shuffle_mode (_tmp1_);
#line 193 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp3_ = _tmp2_;
#line 193 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp4_ = mode;
#line 193 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	if (_tmp3_ != _tmp4_) {
#line 683 "PlaybackManager.c"
		NoiseSettingsMain* _tmp5_;
		NoiseSettingsShuffle _tmp6_;
#line 194 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp5_ = main_settings;
#line 194 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp6_ = mode;
#line 194 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		noise_settings_main_set_shuffle_mode (_tmp5_, _tmp6_);
#line 195 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		noise_playback_manager_reshuffle (self);
#line 694 "PlaybackManager.c"
	}
#line 191 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_g_object_unref0 (main_settings);
#line 698 "PlaybackManager.c"
}


/**
    * Regenerate the shuffled queue if needed
    */
void noise_playback_manager_reshuffle (NoisePlaybackManager* self) {
	NoiseStaticPlaylist* _tmp0_;
	NoiseStaticPlaylist* _tmp1_;
	gboolean _tmp2_;
	gboolean _tmp3_;
#line 202 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 203 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_debug ("PlaybackManager.vala:203: Reshuffling");
#line 204 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp0_ = noise_playback_manager_get_queue_playlist (self);
#line 204 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp1_ = _tmp0_;
#line 204 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	noise_playlist_clear ((NoisePlaylist*) _tmp1_);
#line 205 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp2_ = noise_playback_manager_get_is_shuffled (self);
#line 205 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp3_ = _tmp2_;
#line 205 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	if (_tmp3_) {
#line 726 "PlaybackManager.c"
		NoiseStaticPlaylist* _tmp4_;
		NoiseStaticPlaylist* _tmp5_;
		GeeArrayList* _tmp6_;
		GeeArrayList* _tmp7_;
		NoiseStaticPlaylist* _tmp8_;
		GeeArrayList* _tmp9_;
		GeeArrayList* _tmp10_;
		GeeArrayList* temp = NULL;
		GeeArrayList* _tmp11_;
		GeeArrayList* _tmp12_;
		NoiseStaticPlaylist* _tmp13_;
		GeeArrayList* _tmp14_;
		GeeArrayList* _tmp15_;
		NoiseStaticPlaylist* _tmp55_;
		NoiseStaticPlaylist* _tmp56_;
		NoiseStaticPlaylist* _tmp57_;
		NoiseStaticPlaylist* _tmp58_;
		GeeArrayList* _tmp59_;
		GeeArrayList* _tmp60_;
#line 206 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		g_debug ("PlaybackManager.vala:206: Shuffled");
#line 207 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp4_ = noise_playback_manager_get_queue_playlist (self);
#line 207 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp5_ = _tmp4_;
#line 207 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp6_ = noise_playlist_get_medias ((NoisePlaylist*) _tmp5_);
#line 207 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp7_ = _tmp6_;
#line 207 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp8_ = self->priv->ordered_queue;
#line 207 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp9_ = noise_playlist_get_medias ((NoisePlaylist*) _tmp8_);
#line 207 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp10_ = _tmp9_;
#line 207 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		gee_array_list_add_all (_tmp7_, (GeeCollection*) _tmp10_);
#line 210 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp11_ = gee_array_list_new (NOISE_TYPE_MEDIA, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 210 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		temp = _tmp11_;
#line 211 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp12_ = temp;
#line 211 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp13_ = self->priv->ordered_queue;
#line 211 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp14_ = noise_playlist_get_medias ((NoisePlaylist*) _tmp13_);
#line 211 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp15_ = _tmp14_;
#line 211 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		gee_array_list_add_all (_tmp12_, (GeeCollection*) _tmp15_);
#line 778 "PlaybackManager.c"
		{
			gint i = 0;
#line 215 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			i = 1;
#line 783 "PlaybackManager.c"
			{
				gboolean _tmp16_ = FALSE;
#line 215 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				_tmp16_ = TRUE;
#line 215 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				while (TRUE) {
#line 790 "PlaybackManager.c"
					gint _tmp18_;
					NoiseStaticPlaylist* _tmp19_;
					GeeArrayList* _tmp20_;
					GeeArrayList* _tmp21_;
					gint _tmp22_;
					gint _tmp23_;
					gint n_media = 0;
					GeeArrayList* _tmp24_;
					gint _tmp25_;
					gint _tmp26_;
					gint _tmp27_;
					gint _tmp28_ = 0;
					gint _tmp29_;
					gint random = 0;
					gboolean _tmp32_ = FALSE;
					NoiseMedia* _tmp33_;
					GeeArrayList* _tmp50_;
					GeeArrayList* _tmp51_;
					gint _tmp52_;
					gpointer _tmp53_;
					NoiseMedia* _tmp54_;
#line 215 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					if (!_tmp16_) {
#line 814 "PlaybackManager.c"
						gint _tmp17_;
#line 215 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp17_ = i;
#line 215 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						i = _tmp17_ + 1;
#line 820 "PlaybackManager.c"
					}
#line 215 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp16_ = FALSE;
#line 215 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp18_ = i;
#line 215 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp19_ = self->priv->ordered_queue;
#line 215 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp20_ = noise_playlist_get_medias ((NoisePlaylist*) _tmp19_);
#line 215 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp21_ = _tmp20_;
#line 215 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp22_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp21_);
#line 215 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp23_ = _tmp22_;
#line 215 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					if (!(_tmp18_ < _tmp23_)) {
#line 215 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						break;
#line 840 "PlaybackManager.c"
					}
#line 216 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp24_ = temp;
#line 216 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp25_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp24_);
#line 216 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp26_ = _tmp25_;
#line 216 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					n_media = _tmp26_;
#line 217 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp27_ = n_media;
#line 217 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					if (_tmp27_ == 0) {
#line 218 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						break;
#line 856 "PlaybackManager.c"
					}
#line 221 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp29_ = n_media;
#line 221 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					if (_tmp29_ <= 1) {
#line 221 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp28_ = 0;
#line 864 "PlaybackManager.c"
					} else {
						gint _tmp30_;
						gint32 _tmp31_;
#line 221 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp30_ = n_media;
#line 221 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp31_ = g_random_int_range ((gint32) 0, (gint32) (_tmp30_ - 1));
#line 221 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp28_ = (gint) _tmp31_;
#line 874 "PlaybackManager.c"
					}
#line 221 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					random = _tmp28_;
#line 223 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp33_ = self->priv->_current_media;
#line 223 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					if (_tmp33_ != NULL) {
#line 882 "PlaybackManager.c"
						GeeArrayList* _tmp34_;
						gint _tmp35_;
						gpointer _tmp36_;
						NoiseMedia* _tmp37_;
						NoiseMedia* _tmp38_;
#line 223 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp34_ = temp;
#line 223 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp35_ = random;
#line 223 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp36_ = gee_abstract_list_get ((GeeAbstractList*) _tmp34_, _tmp35_);
#line 223 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp37_ = (NoiseMedia*) _tmp36_;
#line 223 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp38_ = self->priv->_current_media;
#line 223 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp32_ = _tmp37_ == _tmp38_;
#line 223 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_g_object_unref0 (_tmp37_);
#line 902 "PlaybackManager.c"
					} else {
#line 223 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp32_ = FALSE;
#line 906 "PlaybackManager.c"
					}
#line 223 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					if (_tmp32_) {
#line 910 "PlaybackManager.c"
						NoiseStaticPlaylist* _tmp39_;
						NoiseStaticPlaylist* _tmp40_;
						NoiseMedia* _tmp41_;
						gint _tmp42_;
#line 224 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp39_ = noise_playback_manager_get_queue_playlist (self);
#line 224 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp40_ = _tmp39_;
#line 224 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp41_ = self->priv->_current_media;
#line 224 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						noise_playlist_set ((NoisePlaylist*) _tmp40_, 0, _tmp41_);
#line 225 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp42_ = i;
#line 225 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						i = _tmp42_ - 1;
#line 927 "PlaybackManager.c"
					} else {
						NoiseStaticPlaylist* _tmp43_;
						NoiseStaticPlaylist* _tmp44_;
						gint _tmp45_;
						GeeArrayList* _tmp46_;
						gint _tmp47_;
						gpointer _tmp48_;
						NoiseMedia* _tmp49_;
#line 227 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp43_ = noise_playback_manager_get_queue_playlist (self);
#line 227 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp44_ = _tmp43_;
#line 227 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp45_ = i;
#line 227 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp46_ = temp;
#line 227 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp47_ = random;
#line 227 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp48_ = gee_abstract_list_get ((GeeAbstractList*) _tmp46_, _tmp47_);
#line 227 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp49_ = (NoiseMedia*) _tmp48_;
#line 227 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						noise_playlist_set ((NoisePlaylist*) _tmp44_, _tmp45_, _tmp49_);
#line 227 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_g_object_unref0 (_tmp49_);
#line 954 "PlaybackManager.c"
					}
#line 229 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp50_ = temp;
#line 229 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp51_ = temp;
#line 229 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp52_ = random;
#line 229 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp53_ = gee_abstract_list_get ((GeeAbstractList*) _tmp51_, _tmp52_);
#line 229 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp54_ = (NoiseMedia*) _tmp53_;
#line 229 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					gee_abstract_collection_remove ((GeeAbstractCollection*) _tmp50_, _tmp54_);
#line 229 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_g_object_unref0 (_tmp54_);
#line 970 "PlaybackManager.c"
				}
			}
		}
#line 232 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp55_ = noise_playback_manager_get_queue_playlist (self);
#line 232 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp56_ = _tmp55_;
#line 232 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp57_ = noise_playback_manager_get_queue_playlist (self);
#line 232 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp58_ = _tmp57_;
#line 232 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp59_ = noise_playlist_get_medias ((NoisePlaylist*) _tmp58_);
#line 232 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp60_ = _tmp59_;
#line 232 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		g_signal_emit_by_name ((NoisePlaylist*) _tmp56_, "media-added", (GeeCollection*) _tmp60_);
#line 205 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_g_object_unref0 (temp);
#line 990 "PlaybackManager.c"
	} else {
		NoiseMedia* _tmp61_;
		NoiseStaticPlaylist* _tmp67_;
		NoiseStaticPlaylist* _tmp68_;
		NoiseStaticPlaylist* _tmp69_;
		GeeArrayList* _tmp70_;
		GeeArrayList* _tmp71_;
#line 234 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		g_debug ("PlaybackManager.vala:234: Not shuffled");
#line 235 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp61_ = self->priv->_current_media;
#line 235 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		if (_tmp61_ != NULL) {
#line 1004 "PlaybackManager.c"
			NoiseStaticPlaylist* _tmp62_;
			GeeArrayList* _tmp63_;
			GeeArrayList* _tmp64_;
			NoiseMedia* _tmp65_;
			gint _tmp66_;
#line 237 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp62_ = self->priv->ordered_queue;
#line 237 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp63_ = noise_playlist_get_medias ((NoisePlaylist*) _tmp62_);
#line 237 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp64_ = _tmp63_;
#line 237 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp65_ = self->priv->_current_media;
#line 237 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp66_ = gee_abstract_list_index_of ((GeeAbstractList*) _tmp64_, _tmp65_);
#line 237 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			noise_playback_manager_set_current_index (self, _tmp66_);
#line 1022 "PlaybackManager.c"
		} else {
#line 239 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			noise_playback_manager_set_current_index (self, 0);
#line 1026 "PlaybackManager.c"
		}
#line 242 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp67_ = noise_playback_manager_get_queue_playlist (self);
#line 242 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp68_ = _tmp67_;
#line 242 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp69_ = self->priv->ordered_queue;
#line 242 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp70_ = noise_playlist_get_medias ((NoisePlaylist*) _tmp69_);
#line 242 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp71_ = _tmp70_;
#line 242 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		noise_playlist_add_medias ((NoisePlaylist*) _tmp68_, (GeeCollection*) _tmp71_);
#line 1040 "PlaybackManager.c"
	}
}


/**
    * Gets the media of the queue at a certain position, relatively to the current one.
    *
    * For instance, calling this method with position = -1 will return the media just before the current one.
    */
NoiseMedia* noise_playback_manager_get_media_at (NoisePlaybackManager* self, gint position, gint* media_index) {
	gint _vala_media_index = 0;
	NoiseMedia* result = NULL;
	gint index = 0;
	gint _tmp0_;
	gint _tmp1_;
	gint _tmp2_;
	gint _tmp3_;
	gint _tmp4_;
	NoiseMedia* _tmp5_ = NULL;
	NoiseStaticPlaylist* _tmp6_;
	NoiseStaticPlaylist* _tmp7_;
	GeeArrayList* _tmp8_;
	GeeArrayList* _tmp9_;
	gint _tmp10_;
	gint _tmp11_;
	gint _tmp12_;
	gint _tmp13_;
	NoiseMedia* res = NULL;
	NoiseMedia* _tmp18_;
	NoiseSettingsMain* main_settings = NULL;
	NoiseSettingsMain* _tmp19_;
	NoiseSettingsMain* _tmp20_;
	NoiseSettingsRepeat _tmp21_;
	NoiseSettingsRepeat _tmp22_;
#line 251 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 252 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp0_ = noise_playback_manager_get_current_index (self);
#line 252 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp1_ = _tmp0_;
#line 252 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp2_ = position;
#line 252 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	index = _tmp1_ + _tmp2_;
#line 253 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp3_ = index;
#line 253 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp4_ = noise_playback_manager_fix_index (self, _tmp3_);
#line 253 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_vala_media_index = _tmp4_;
#line 254 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp6_ = noise_playback_manager_get_queue_playlist (self);
#line 254 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp7_ = _tmp6_;
#line 254 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp8_ = noise_playlist_get_medias ((NoisePlaylist*) _tmp7_);
#line 254 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp9_ = _tmp8_;
#line 254 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp10_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp9_);
#line 254 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp11_ = _tmp10_;
#line 254 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp12_ = index;
#line 254 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp13_ = _tmp12_;
#line 254 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	if ((_tmp11_ > _tmp13_) && (_tmp13_ > 0)) {
#line 1109 "PlaybackManager.c"
		NoiseStaticPlaylist* _tmp14_;
		NoiseStaticPlaylist* _tmp15_;
		gint _tmp16_;
		NoiseMedia* _tmp17_;
#line 254 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp14_ = noise_playback_manager_get_queue_playlist (self);
#line 254 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp15_ = _tmp14_;
#line 254 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp16_ = index;
#line 254 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp17_ = noise_playlist_get ((NoisePlaylist*) _tmp15_, _tmp16_);
#line 254 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_g_object_unref0 (_tmp5_);
#line 254 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp5_ = _tmp17_;
#line 1126 "PlaybackManager.c"
	} else {
#line 254 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_g_object_unref0 (_tmp5_);
#line 254 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp5_ = NULL;
#line 1132 "PlaybackManager.c"
	}
#line 254 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp18_ = _g_object_ref0 (_tmp5_);
#line 254 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	res = _tmp18_;
#line 256 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp19_ = noise_settings_main_get_default ();
#line 256 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	main_settings = _tmp19_;
#line 257 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp20_ = main_settings;
#line 257 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp21_ = noise_settings_main_get_repeat_mode (_tmp20_);
#line 257 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp22_ = _tmp21_;
#line 257 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	switch (_tmp22_) {
#line 257 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		case NOISE_SETTINGS_REPEAT_MEDIA:
#line 1152 "PlaybackManager.c"
		{
			NoiseMedia* _tmp23_;
			NoiseMedia* _tmp24_;
#line 259 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp23_ = self->priv->_current_media;
#line 259 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp24_ = _g_object_ref0 (_tmp23_);
#line 259 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			result = _tmp24_;
#line 259 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_g_object_unref0 (main_settings);
#line 259 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_g_object_unref0 (res);
#line 259 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_g_object_unref0 (_tmp5_);
#line 259 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			if (media_index) {
#line 259 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				*media_index = _vala_media_index;
#line 1172 "PlaybackManager.c"
			}
#line 259 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			return result;
#line 1176 "PlaybackManager.c"
		}
#line 257 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		case NOISE_SETTINGS_REPEAT_ALL:
#line 1180 "PlaybackManager.c"
		{
			NoiseMedia* _tmp25_ = NULL;
			NoiseMedia* _tmp26_;
#line 263 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp26_ = res;
#line 263 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			if (_tmp26_ == NULL) {
#line 1188 "PlaybackManager.c"
				NoiseStaticPlaylist* _tmp27_;
				NoiseStaticPlaylist* _tmp28_;
				gint _tmp29_;
				gint _tmp30_;
				NoiseMedia* _tmp31_;
#line 263 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				_tmp27_ = noise_playback_manager_get_queue_playlist (self);
#line 263 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				_tmp28_ = _tmp27_;
#line 263 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				_tmp29_ = index;
#line 263 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				_tmp30_ = noise_playback_manager_fix_index (self, _tmp29_);
#line 263 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				_tmp31_ = noise_playlist_get ((NoisePlaylist*) _tmp28_, _tmp30_);
#line 263 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				_g_object_unref0 (_tmp25_);
#line 263 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				_tmp25_ = _tmp31_;
#line 1208 "PlaybackManager.c"
			} else {
				NoiseMedia* _tmp32_;
				NoiseMedia* _tmp33_;
#line 263 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				_tmp32_ = res;
#line 263 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				_tmp33_ = _g_object_ref0 (_tmp32_);
#line 263 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				_g_object_unref0 (_tmp25_);
#line 263 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				_tmp25_ = _tmp33_;
#line 1220 "PlaybackManager.c"
			}
#line 263 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			result = _tmp25_;
#line 263 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_g_object_unref0 (main_settings);
#line 263 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_g_object_unref0 (res);
#line 263 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_g_object_unref0 (_tmp5_);
#line 263 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			if (media_index) {
#line 263 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				*media_index = _vala_media_index;
#line 1234 "PlaybackManager.c"
			}
#line 263 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			return result;
#line 1238 "PlaybackManager.c"
		}
#line 257 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		case NOISE_SETTINGS_REPEAT_OFF:
#line 1242 "PlaybackManager.c"
		{
			NoiseMedia* _tmp34_;
#line 266 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp34_ = res;
#line 266 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			if (_tmp34_ == NULL) {
#line 1249 "PlaybackManager.c"
				NoiseStaticPlaylist* _tmp35_;
				NoiseStaticPlaylist* _tmp36_;
				NoiseStaticPlaylist* _tmp37_;
#line 267 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				noise_playback_manager_set_current_media (self, NULL);
#line 268 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				_tmp35_ = self->priv->ordered_queue;
#line 268 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				noise_playlist_clear ((NoisePlaylist*) _tmp35_);
#line 269 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				_tmp36_ = noise_playback_manager_get_queue_playlist (self);
#line 269 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				_tmp37_ = _tmp36_;
#line 269 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				noise_playlist_clear ((NoisePlaylist*) _tmp37_);
#line 1265 "PlaybackManager.c"
			}
#line 272 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			result = res;
#line 272 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_g_object_unref0 (main_settings);
#line 272 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_g_object_unref0 (_tmp5_);
#line 272 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			if (media_index) {
#line 272 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				*media_index = _vala_media_index;
#line 1277 "PlaybackManager.c"
			}
#line 272 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			return result;
#line 1281 "PlaybackManager.c"
		}
#line 257 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		case NOISE_SETTINGS_REPEAT_ALBUM:
#line 1285 "PlaybackManager.c"
		{
			{
				gint i = 0;
				gint _tmp38_;
				gint _tmp39_;
#line 276 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				_tmp38_ = noise_playback_manager_get_current_index (self);
#line 276 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				_tmp39_ = _tmp38_;
#line 276 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				i = _tmp39_ + 1;
#line 1297 "PlaybackManager.c"
				{
					gboolean _tmp40_ = FALSE;
#line 276 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp40_ = TRUE;
#line 276 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					while (TRUE) {
#line 1304 "PlaybackManager.c"
						gint _tmp43_;
						gint _tmp44_;
						gint _tmp45_;
						gint _tmp46_;
						gint _tmp47_;
						NoiseStaticPlaylist* _tmp48_;
						NoiseStaticPlaylist* _tmp49_;
						gint _tmp50_;
						NoiseMedia* _tmp51_;
						NoiseMedia* _tmp52_;
						const gchar* _tmp53_;
						const gchar* _tmp54_;
						NoiseMedia* _tmp55_;
						const gchar* _tmp56_;
						const gchar* _tmp57_;
						gboolean _tmp58_;
#line 276 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						if (!_tmp40_) {
#line 1323 "PlaybackManager.c"
							gint _tmp41_;
							gint _tmp42_;
#line 276 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							_tmp41_ = i;
#line 276 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							_tmp42_ = position;
#line 276 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							i = _tmp41_ + _tmp42_;
#line 1332 "PlaybackManager.c"
						}
#line 276 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp40_ = FALSE;
#line 276 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp43_ = i;
#line 276 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp44_ = noise_playback_manager_get_current_index (self);
#line 276 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp45_ = _tmp44_;
#line 276 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						if (!(_tmp43_ != _tmp45_)) {
#line 276 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							break;
#line 1346 "PlaybackManager.c"
						}
#line 277 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp46_ = i;
#line 277 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp47_ = noise_playback_manager_fix_index (self, _tmp46_);
#line 277 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						i = _tmp47_;
#line 279 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp48_ = noise_playback_manager_get_queue_playlist (self);
#line 279 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp49_ = _tmp48_;
#line 279 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp50_ = i;
#line 279 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp51_ = noise_playlist_get ((NoisePlaylist*) _tmp49_, _tmp50_);
#line 279 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp52_ = _tmp51_;
#line 279 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp53_ = noise_media_get_album (_tmp52_);
#line 279 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp54_ = _tmp53_;
#line 279 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp55_ = self->priv->_current_media;
#line 279 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp56_ = noise_media_get_album (_tmp55_);
#line 279 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp57_ = _tmp56_;
#line 279 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp58_ = g_strcmp0 (_tmp54_, _tmp57_) == 0;
#line 279 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_g_object_unref0 (_tmp52_);
#line 279 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						if (_tmp58_) {
#line 1380 "PlaybackManager.c"
							NoiseStaticPlaylist* _tmp59_;
							NoiseStaticPlaylist* _tmp60_;
							gint _tmp61_;
							NoiseMedia* _tmp62_;
#line 280 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							_tmp59_ = noise_playback_manager_get_queue_playlist (self);
#line 280 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							_tmp60_ = _tmp59_;
#line 280 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							_tmp61_ = i;
#line 280 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							_tmp62_ = noise_playlist_get ((NoisePlaylist*) _tmp60_, _tmp61_);
#line 280 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							result = _tmp62_;
#line 280 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							_g_object_unref0 (main_settings);
#line 280 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							_g_object_unref0 (res);
#line 280 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							_g_object_unref0 (_tmp5_);
#line 280 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							if (media_index) {
#line 280 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
								*media_index = _vala_media_index;
#line 1405 "PlaybackManager.c"
							}
#line 280 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							return result;
#line 1409 "PlaybackManager.c"
						}
					}
				}
			}
#line 283 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			break;
#line 1416 "PlaybackManager.c"
		}
#line 257 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		case NOISE_SETTINGS_REPEAT_ARTIST:
#line 1420 "PlaybackManager.c"
		{
			{
				gint i = 0;
				gint _tmp63_;
				gint _tmp64_;
#line 287 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				_tmp63_ = noise_playback_manager_get_current_index (self);
#line 287 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				_tmp64_ = _tmp63_;
#line 287 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				i = _tmp64_ + 1;
#line 1432 "PlaybackManager.c"
				{
					gboolean _tmp65_ = FALSE;
#line 287 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp65_ = TRUE;
#line 287 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					while (TRUE) {
#line 1439 "PlaybackManager.c"
						gint _tmp68_;
						gint _tmp69_;
						gint _tmp70_;
						gint _tmp71_;
						gint _tmp72_;
						NoiseStaticPlaylist* _tmp73_;
						NoiseStaticPlaylist* _tmp74_;
						gint _tmp75_;
						NoiseMedia* _tmp76_;
						NoiseMedia* _tmp77_;
						const gchar* _tmp78_;
						const gchar* _tmp79_;
						NoiseMedia* _tmp80_;
						const gchar* _tmp81_;
						const gchar* _tmp82_;
						gboolean _tmp83_;
#line 287 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						if (!_tmp65_) {
#line 1458 "PlaybackManager.c"
							gint _tmp66_;
							gint _tmp67_;
#line 287 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							_tmp66_ = i;
#line 287 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							_tmp67_ = position;
#line 287 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							i = _tmp66_ + _tmp67_;
#line 1467 "PlaybackManager.c"
						}
#line 287 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp65_ = FALSE;
#line 287 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp68_ = i;
#line 287 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp69_ = noise_playback_manager_get_current_index (self);
#line 287 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp70_ = _tmp69_;
#line 287 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						if (!(_tmp68_ != _tmp70_)) {
#line 287 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							break;
#line 1481 "PlaybackManager.c"
						}
#line 288 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp71_ = i;
#line 288 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp72_ = noise_playback_manager_fix_index (self, _tmp71_);
#line 288 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						i = _tmp72_;
#line 290 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp73_ = noise_playback_manager_get_queue_playlist (self);
#line 290 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp74_ = _tmp73_;
#line 290 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp75_ = i;
#line 290 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp76_ = noise_playlist_get ((NoisePlaylist*) _tmp74_, _tmp75_);
#line 290 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp77_ = _tmp76_;
#line 290 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp78_ = noise_media_get_artist (_tmp77_);
#line 290 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp79_ = _tmp78_;
#line 290 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp80_ = self->priv->_current_media;
#line 290 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp81_ = noise_media_get_artist (_tmp80_);
#line 290 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp82_ = _tmp81_;
#line 290 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp83_ = g_strcmp0 (_tmp79_, _tmp82_) == 0;
#line 290 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_g_object_unref0 (_tmp77_);
#line 290 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						if (_tmp83_) {
#line 1515 "PlaybackManager.c"
							NoiseStaticPlaylist* _tmp84_;
							NoiseStaticPlaylist* _tmp85_;
							gint _tmp86_;
							NoiseMedia* _tmp87_;
#line 291 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							_tmp84_ = noise_playback_manager_get_queue_playlist (self);
#line 291 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							_tmp85_ = _tmp84_;
#line 291 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							_tmp86_ = i;
#line 291 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							_tmp87_ = noise_playlist_get ((NoisePlaylist*) _tmp85_, _tmp86_);
#line 291 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							result = _tmp87_;
#line 291 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							_g_object_unref0 (main_settings);
#line 291 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							_g_object_unref0 (res);
#line 291 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							_g_object_unref0 (_tmp5_);
#line 291 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							if (media_index) {
#line 291 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
								*media_index = _vala_media_index;
#line 1540 "PlaybackManager.c"
							}
#line 291 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							return result;
#line 1544 "PlaybackManager.c"
						}
					}
				}
			}
#line 294 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			break;
#line 1551 "PlaybackManager.c"
		}
		default:
#line 257 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		break;
#line 1556 "PlaybackManager.c"
	}
#line 297 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	result = res;
#line 297 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_g_object_unref0 (main_settings);
#line 297 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_g_object_unref0 (_tmp5_);
#line 297 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	if (media_index) {
#line 297 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		*media_index = _vala_media_index;
#line 1568 "PlaybackManager.c"
	}
#line 297 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	return result;
#line 1572 "PlaybackManager.c"
}


/**
    * Make sure index of media is never out of the queue.
    */
gint noise_playback_manager_fix_index (NoisePlaybackManager* self, gint index) {
	gint result = 0;
	NoiseStaticPlaylist* _tmp0_;
	NoiseStaticPlaylist* _tmp1_;
	GeeArrayList* _tmp2_;
	GeeArrayList* _tmp3_;
	gint _tmp4_;
	gint _tmp5_;
	gint _tmp6_;
	NoiseStaticPlaylist* _tmp7_;
	NoiseStaticPlaylist* _tmp8_;
	GeeArrayList* _tmp9_;
	GeeArrayList* _tmp10_;
	gint _tmp11_;
	gint _tmp12_;
#line 303 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 304 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp0_ = noise_playback_manager_get_queue_playlist (self);
#line 304 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp1_ = _tmp0_;
#line 304 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp2_ = noise_playlist_get_medias ((NoisePlaylist*) _tmp1_);
#line 304 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp3_ = _tmp2_;
#line 304 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp4_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp3_);
#line 304 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp5_ = _tmp4_;
#line 304 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp6_ = index;
#line 304 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp7_ = noise_playback_manager_get_queue_playlist (self);
#line 304 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp8_ = _tmp7_;
#line 304 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp9_ = noise_playlist_get_medias ((NoisePlaylist*) _tmp8_);
#line 304 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp10_ = _tmp9_;
#line 304 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp11_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp10_);
#line 304 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp12_ = _tmp11_;
#line 304 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	result = (_tmp5_ + _tmp6_) % _tmp12_;
#line 304 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	return result;
#line 1626 "PlaybackManager.c"
}


NoiseMedia* noise_playback_manager_get_next (NoisePlaybackManager* self, gboolean play) {
	NoiseMedia* result = NULL;
	gint index = 0;
	NoiseMedia* next = NULL;
	gint _tmp0_ = 0;
	NoiseMedia* _tmp1_;
	gboolean _tmp2_;
#line 307 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 309 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp1_ = noise_playback_manager_get_media_at (self, 1, &_tmp0_);
#line 309 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	index = _tmp0_;
#line 309 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	next = _tmp1_;
#line 310 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp2_ = play;
#line 310 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	if (_tmp2_) {
#line 1649 "PlaybackManager.c"
		NoiseMedia* _tmp3_;
#line 311 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp3_ = next;
#line 311 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		if (_tmp3_ == NULL) {
#line 312 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			noise_playback_manager_stop_playback (self);
#line 1657 "PlaybackManager.c"
		} else {
			gint _tmp4_;
			NoiseMedia* _tmp5_;
#line 314 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp4_ = index;
#line 314 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			noise_playback_manager_set_current_index (self, _tmp4_);
#line 315 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp5_ = next;
#line 315 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			noise_playback_manager_play_media (self, _tmp5_);
#line 1669 "PlaybackManager.c"
		}
	}
#line 319 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	result = next;
#line 319 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	return result;
#line 1676 "PlaybackManager.c"
}


NoiseMedia* noise_playback_manager_get_previous (NoisePlaybackManager* self, gboolean play) {
	NoiseMedia* result = NULL;
	gint index = 0;
	NoiseMedia* prev = NULL;
	gint _tmp0_ = 0;
	NoiseMedia* _tmp1_;
	gboolean _tmp2_;
#line 322 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 324 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp1_ = noise_playback_manager_get_media_at (self, -1, &_tmp0_);
#line 324 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	index = _tmp0_;
#line 324 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	prev = _tmp1_;
#line 325 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp2_ = play;
#line 325 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	if (_tmp2_) {
#line 1699 "PlaybackManager.c"
		NoiseMedia* _tmp3_;
#line 326 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp3_ = prev;
#line 326 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		if (_tmp3_ == NULL) {
#line 327 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			noise_playback_manager_stop_playback (self);
#line 1707 "PlaybackManager.c"
		} else {
			gint _tmp4_;
			NoiseMedia* _tmp5_;
#line 329 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp4_ = index;
#line 329 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			noise_playback_manager_set_current_index (self, _tmp4_);
#line 330 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp5_ = prev;
#line 330 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			noise_playback_manager_play_media (self, _tmp5_);
#line 1719 "PlaybackManager.c"
		}
	}
#line 334 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	result = prev;
#line 334 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	return result;
#line 1726 "PlaybackManager.c"
}


static Block8Data* block8_data_ref (Block8Data* _data8_) {
#line 338 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_atomic_int_inc (&_data8_->_ref_count_);
#line 338 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	return _data8_;
#line 1735 "PlaybackManager.c"
}


static void block8_data_unref (void * _userdata_) {
	Block8Data* _data8_;
	_data8_ = (Block8Data*) _userdata_;
#line 338 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	if (g_atomic_int_dec_and_test (&_data8_->_ref_count_)) {
#line 1744 "PlaybackManager.c"
		NoisePlaybackManager* self;
#line 338 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		self = _data8_->self;
#line 338 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_g_object_unref0 (_data8_->m);
#line 338 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_g_object_unref0 (self);
#line 338 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		g_slice_free (Block8Data, _data8_);
#line 1754 "PlaybackManager.c"
	}
}


static gboolean __lambda27_ (Block8Data* _data8_) {
	NoisePlaybackManager* self;
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	NoiseMedia* _tmp1_;
#line 414 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	self = _data8_->self;
#line 415 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp1_ = _data8_->m;
#line 415 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	if (_tmp1_ != NULL) {
#line 1770 "PlaybackManager.c"
		NoiseMedia* _tmp2_;
		NoiseMedia* _tmp3_;
#line 415 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp2_ = self->priv->_current_media;
#line 415 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp3_ = _data8_->m;
#line 415 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp0_ = _tmp2_ == _tmp3_;
#line 1779 "PlaybackManager.c"
	} else {
#line 415 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp0_ = FALSE;
#line 1783 "PlaybackManager.c"
	}
#line 415 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	if (_tmp0_) {
#line 1787 "PlaybackManager.c"
		NoiseHistoryPlaylist* _tmp4_;
		NoiseMedia* _tmp5_;
		guint player_duration_s = 0U;
		NoisePlayback* _tmp6_;
		gint64 _tmp7_;
		guint _tmp8_;
#line 416 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp4_ = self->history_playlist;
#line 416 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp5_ = _data8_->m;
#line 416 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		noise_playlist_add_media ((NoisePlaylist*) _tmp4_, _tmp5_);
#line 418 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp6_ = self->player;
#line 418 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp7_ = noise_playback_get_duration (_tmp6_);
#line 418 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		player_duration_s = (guint) (_tmp7_ / NOISE_TIME_UTILS_NANO_INV);
#line 419 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp8_ = player_duration_s;
#line 419 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		if (_tmp8_ > ((guint) 1)) {
#line 1810 "PlaybackManager.c"
			gint delta_s = 0;
			guint _tmp9_;
			NoiseMedia* _tmp10_;
			guint _tmp11_;
			guint _tmp12_;
			gint _tmp13_;
			gdouble _tmp14_;
#line 420 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp9_ = player_duration_s;
#line 420 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp10_ = _data8_->m;
#line 420 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp11_ = noise_media_get_length (_tmp10_);
#line 420 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp12_ = _tmp11_;
#line 420 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			delta_s = ((gint) _tmp9_) - ((gint) (_tmp12_ / NOISE_TIME_UTILS_MILI_INV));
#line 421 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp13_ = delta_s;
#line 421 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp14_ = fabs ((gdouble) _tmp13_);
#line 421 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			if (_tmp14_ > ((gdouble) 3)) {
#line 1834 "PlaybackManager.c"
				NoiseMedia* _tmp15_;
				guint _tmp16_;
				NoiseLibrary* _tmp17_;
				NoiseLibrary* _tmp18_;
				NoiseMedia* _tmp19_;
#line 422 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				_tmp15_ = _data8_->m;
#line 422 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				_tmp16_ = player_duration_s;
#line 422 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				noise_media_set_length (_tmp15_, (guint) (_tmp16_ * NOISE_TIME_UTILS_MILI_INV));
#line 423 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				_tmp17_ = noise_playback_manager_get_library (self);
#line 423 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				_tmp18_ = _tmp17_;
#line 423 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				_tmp19_ = _data8_->m;
#line 423 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				noise_library_update_media (_tmp18_, _tmp19_, FALSE, FALSE);
#line 1854 "PlaybackManager.c"
			}
		}
	}
#line 428 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	result = FALSE;
#line 428 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	return result;
#line 1862 "PlaybackManager.c"
}


static gboolean ___lambda27__gsource_func (gpointer self) {
	gboolean result;
	result = __lambda27_ (self);
#line 414 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	return result;
#line 1871 "PlaybackManager.c"
}


void noise_playback_manager_play_media (NoisePlaybackManager* self, NoiseMedia* m) {
	Block8Data* _data8_;
	NoiseMedia* _tmp0_;
	NoiseMedia* _tmp1_;
	NoiseMedia* _tmp2_;
	NoiseMedia* _tmp3_;
	gboolean _tmp4_;
	gboolean _tmp5_;
	gboolean found = FALSE;
	gboolean _tmp47_;
	NoiseMedia* _tmp53_;
	GFile* _tmp54_;
	GFile* _tmp55_;
	gboolean _tmp56_;
	NoisePlayback* _tmp72_;
	NoiseMedia* _tmp73_;
	gboolean _tmp74_;
	gboolean _tmp76_ = FALSE;
	NoiseMedia* _tmp77_;
	gint64 _tmp78_;
	gint64 _tmp79_;
	NoiseMedia* _tmp88_;
	GError * _inner_error_ = NULL;
#line 338 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 338 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_return_if_fail (m != NULL);
#line 338 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_data8_ = g_slice_new0 (Block8Data);
#line 338 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_data8_->_ref_count_ = 1;
#line 338 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_data8_->self = g_object_ref (self);
#line 338 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp0_ = m;
#line 338 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 338 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_g_object_unref0 (_data8_->m);
#line 338 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_data8_->m = _tmp1_;
#line 340 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp2_ = _data8_->m;
#line 340 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	noise_playback_manager_set_current_media (self, _tmp2_);
#line 344 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp3_ = _data8_->m;
#line 344 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp4_ = noise_media_get_location_unknown (_tmp3_);
#line 344 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp5_ = _tmp4_;
#line 344 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	if (_tmp5_) {
#line 1928 "PlaybackManager.c"
		NoiseMedia* _tmp6_;
		gchar* _tmp7_;
		gchar* _tmp8_;
		gchar* _tmp9_;
		GFile* _tmp10_;
		GFile* _tmp11_;
		gboolean _tmp12_;
		gboolean _tmp13_;
#line 345 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp6_ = _data8_->m;
#line 345 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp7_ = noise_media_get_uri (_tmp6_);
#line 345 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp8_ = _tmp7_;
#line 345 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp9_ = _tmp8_;
#line 345 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp10_ = g_file_new_for_uri (_tmp9_);
#line 345 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp11_ = _tmp10_;
#line 345 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp12_ = g_file_query_exists (_tmp11_, NULL);
#line 345 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp13_ = _tmp12_;
#line 345 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_g_object_unref0 (_tmp11_);
#line 345 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_g_free0 (_tmp9_);
#line 345 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		if (_tmp13_) {
#line 1959 "PlaybackManager.c"
			NoiseMedia* _tmp14_;
			NoiseMedia* _tmp15_;
#line 346 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp14_ = _data8_->m;
#line 346 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			noise_media_set_location_unknown (_tmp14_, FALSE);
#line 347 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp15_ = _data8_->m;
#line 347 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			noise_media_set_unique_status_image (_tmp15_, NULL);
#line 1970 "PlaybackManager.c"
		} else {
#line 350 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			noise_playback_manager_stop_playback (self);
#line 351 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			block8_data_unref (_data8_);
#line 351 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_data8_ = NULL;
#line 351 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			return;
#line 1980 "PlaybackManager.c"
		}
	}
#line 355 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	found = FALSE;
#line 1985 "PlaybackManager.c"
	{
		GeeTreeSet* _tmp16_;
#line 356 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp16_ = self->priv->playbacks;
#line 356 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		g_rec_mutex_lock (&self->priv->__lock_playbacks);
#line 1992 "PlaybackManager.c"
		{
			{
				GeeIterator* _playback_it = NULL;
				GeeTreeSet* _tmp17_;
				GeeIterator* _tmp18_;
#line 357 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				_tmp17_ = self->priv->playbacks;
#line 357 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				_tmp18_ = gee_abstract_collection_iterator ((GeeAbstractCollection*) _tmp17_);
#line 357 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				_playback_it = _tmp18_;
#line 357 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				while (TRUE) {
#line 2006 "PlaybackManager.c"
					GeeIterator* _tmp19_;
					gboolean _tmp20_;
					NoisePlayback* playback = NULL;
					GeeIterator* _tmp21_;
					gpointer _tmp22_;
					gboolean _tmp45_;
#line 357 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp19_ = _playback_it;
#line 357 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp20_ = gee_iterator_next (_tmp19_);
#line 357 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					if (!_tmp20_) {
#line 357 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						break;
#line 2021 "PlaybackManager.c"
					}
#line 357 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp21_ = _playback_it;
#line 357 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp22_ = gee_iterator_get (_tmp21_);
#line 357 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					playback = (NoisePlayback*) _tmp22_;
#line 2029 "PlaybackManager.c"
					{
						GeeIterator* _supported_uri_it = NULL;
						NoisePlayback* _tmp23_;
						GeeCollection* _tmp24_;
						GeeCollection* _tmp25_;
						GeeIterator* _tmp26_;
						GeeIterator* _tmp27_;
#line 358 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp23_ = playback;
#line 358 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp24_ = noise_playback_get_supported_uri (_tmp23_);
#line 358 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp25_ = _tmp24_;
#line 358 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp26_ = gee_iterable_iterator ((GeeIterable*) _tmp25_);
#line 358 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp27_ = _tmp26_;
#line 358 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_g_object_unref0 (_tmp25_);
#line 358 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_supported_uri_it = _tmp27_;
#line 358 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						while (TRUE) {
#line 2053 "PlaybackManager.c"
							GeeIterator* _tmp28_;
							gboolean _tmp29_;
							gchar* supported_uri = NULL;
							GeeIterator* _tmp30_;
							gpointer _tmp31_;
							NoiseMedia* _tmp32_;
							gchar* _tmp33_;
							gchar* _tmp34_;
							gchar* _tmp35_;
							const gchar* _tmp36_;
							gboolean _tmp37_;
							gboolean _tmp38_;
#line 358 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							_tmp28_ = _supported_uri_it;
#line 358 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							_tmp29_ = gee_iterator_next (_tmp28_);
#line 358 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							if (!_tmp29_) {
#line 358 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
								break;
#line 2074 "PlaybackManager.c"
							}
#line 358 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							_tmp30_ = _supported_uri_it;
#line 358 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							_tmp31_ = gee_iterator_get (_tmp30_);
#line 358 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							supported_uri = (gchar*) _tmp31_;
#line 359 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							_tmp32_ = _data8_->m;
#line 359 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							_tmp33_ = noise_media_get_uri (_tmp32_);
#line 359 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							_tmp34_ = _tmp33_;
#line 359 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							_tmp35_ = _tmp34_;
#line 359 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							_tmp36_ = supported_uri;
#line 359 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							_tmp37_ = g_str_has_prefix (_tmp35_, _tmp36_);
#line 359 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							_tmp38_ = _tmp37_;
#line 359 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							_g_free0 (_tmp35_);
#line 359 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							if (_tmp38_) {
#line 2100 "PlaybackManager.c"
								NoisePlayback* _tmp39_;
								gdouble _tmp40_;
								NoisePlayback* _tmp41_;
								NoisePlayback* _tmp42_;
								NoisePlayback* _tmp43_;
								gdouble _tmp44_;
#line 360 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
								_tmp39_ = self->player;
#line 360 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
								_tmp40_ = noise_playback_get_volume (_tmp39_);
#line 360 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
								self->priv->saved_volume = _tmp40_;
#line 361 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
								g_signal_emit (self, noise_playback_manager_signals[NOISE_PLAYBACK_MANAGER_CHANGING_PLAYER_SIGNAL], 0);
#line 362 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
								_tmp41_ = self->player;
#line 362 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
								noise_playback_set_state (_tmp41_, GST_STATE_NULL);
#line 363 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
								found = TRUE;
#line 364 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
								_tmp42_ = playback;
#line 364 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
								_tmp43_ = _g_object_ref0 (_tmp42_);
#line 364 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
								_g_object_unref0 (self->player);
#line 364 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
								self->player = _tmp43_;
#line 365 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
								_tmp44_ = self->priv->saved_volume;
#line 365 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
								noise_playback_manager_set_volume (self, _tmp44_);
#line 366 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
								g_signal_emit (self, noise_playback_manager_signals[NOISE_PLAYBACK_MANAGER_PLAYER_CHANGED_SIGNAL], 0);
#line 367 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
								_g_free0 (supported_uri);
#line 367 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
								break;
#line 2139 "PlaybackManager.c"
							}
#line 358 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							_g_free0 (supported_uri);
#line 2143 "PlaybackManager.c"
						}
#line 358 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_g_object_unref0 (_supported_uri_it);
#line 2147 "PlaybackManager.c"
					}
#line 370 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp45_ = found;
#line 370 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					if (_tmp45_ == TRUE) {
#line 371 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						break;
#line 2155 "PlaybackManager.c"
					}
				}
#line 357 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				_g_object_unref0 (_playback_it);
#line 2160 "PlaybackManager.c"
			}
		}
		__finally7:
		{
			GeeTreeSet* _tmp46_;
#line 356 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp46_ = self->priv->playbacks;
#line 356 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			g_rec_mutex_unlock (&self->priv->__lock_playbacks);
#line 2170 "PlaybackManager.c"
		}
#line 356 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 356 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			block8_data_unref (_data8_);
#line 356 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_data8_ = NULL;
#line 356 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 356 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			g_clear_error (&_inner_error_);
#line 356 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			return;
#line 2184 "PlaybackManager.c"
		}
	}
#line 375 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp47_ = found;
#line 375 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	if (!_tmp47_) {
#line 2191 "PlaybackManager.c"
		NoiseMedia* _tmp48_;
		GThemedIcon* _tmp49_;
		GThemedIcon* _tmp50_;
		NoiseMedia* _tmp51_;
		NoiseMedia* _tmp52_;
#line 376 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp48_ = _data8_->m;
#line 376 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp49_ = (GThemedIcon*) g_themed_icon_new ("process-error-symbolic");
#line 376 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp50_ = _tmp49_;
#line 376 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		noise_media_set_unique_status_image (_tmp48_, (GIcon*) _tmp50_);
#line 376 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_g_object_unref0 (_tmp50_);
#line 377 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp51_ = noise_playback_manager_get_next (self, TRUE);
#line 377 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp52_ = _tmp51_;
#line 377 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_g_object_unref0 (_tmp52_);
#line 378 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		block8_data_unref (_data8_);
#line 378 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_data8_ = NULL;
#line 378 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		return;
#line 2219 "PlaybackManager.c"
	}
#line 382 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp53_ = _data8_->m;
#line 382 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp54_ = noise_media_get_file (_tmp53_);
#line 382 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp55_ = _tmp54_;
#line 382 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp56_ = g_file_query_exists (_tmp55_, NULL);
#line 382 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	if (!_tmp56_) {
#line 2231 "PlaybackManager.c"
		NoiseMedia* _tmp57_;
		GThemedIcon* _tmp58_;
		GThemedIcon* _tmp59_;
		NoiseMedia* _tmp60_;
		NoiseMedia* _tmp61_;
		NoiseMedia* _tmp62_;
#line 383 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp57_ = _data8_->m;
#line 383 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp58_ = (GThemedIcon*) g_themed_icon_new ("process-error-symbolic");
#line 383 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp59_ = _tmp58_;
#line 383 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		noise_media_set_unique_status_image (_tmp57_, (GIcon*) _tmp59_);
#line 383 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_g_object_unref0 (_tmp59_);
#line 384 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp60_ = _data8_->m;
#line 384 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		noise_media_set_location_unknown (_tmp60_, TRUE);
#line 386 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp61_ = noise_playback_manager_get_next (self, TRUE);
#line 386 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp62_ = _tmp61_;
#line 386 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_g_object_unref0 (_tmp62_);
#line 387 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		block8_data_unref (_data8_);
#line 387 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_data8_ = NULL;
#line 387 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		return;
#line 2264 "PlaybackManager.c"
	} else {
		gboolean _tmp63_ = FALSE;
		NoiseMedia* _tmp64_;
		gboolean _tmp65_;
		gboolean _tmp66_;
#line 389 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp64_ = _data8_->m;
#line 389 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp65_ = noise_media_get_location_unknown (_tmp64_);
#line 389 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp66_ = _tmp65_;
#line 389 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		if (_tmp66_) {
#line 2278 "PlaybackManager.c"
			NoiseMedia* _tmp67_;
			GIcon* _tmp68_;
			GIcon* _tmp69_;
#line 389 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp67_ = _data8_->m;
#line 389 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp68_ = noise_media_get_unique_status_image (_tmp67_);
#line 389 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp69_ = _tmp68_;
#line 389 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp63_ = _tmp69_ != NULL;
#line 2290 "PlaybackManager.c"
		} else {
#line 389 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp63_ = FALSE;
#line 2294 "PlaybackManager.c"
		}
#line 389 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		if (_tmp63_) {
#line 2298 "PlaybackManager.c"
			NoiseMedia* _tmp70_;
			NoiseMedia* _tmp71_;
#line 390 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp70_ = _data8_->m;
#line 390 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			noise_media_set_unique_status_image (_tmp70_, NULL);
#line 391 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp71_ = _data8_->m;
#line 391 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			noise_media_set_location_unknown (_tmp71_, FALSE);
#line 2309 "PlaybackManager.c"
		}
	}
#line 395 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	noise_playback_manager_change_gains_thread (self);
#line 397 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp72_ = self->player;
#line 397 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp73_ = _data8_->m;
#line 397 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	noise_playback_set_media (_tmp72_, _tmp73_);
#line 400 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp74_ = self->priv->_playing;
#line 400 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	if (!_tmp74_) {
#line 2324 "PlaybackManager.c"
		NoisePlayback* _tmp75_;
#line 401 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp75_ = self->player;
#line 401 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		noise_playback_pause (_tmp75_);
#line 2330 "PlaybackManager.c"
	}
#line 405 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp77_ = _data8_->m;
#line 405 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp78_ = noise_media_get_rowid (_tmp77_);
#line 405 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp79_ = _tmp78_;
#line 405 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	if (_tmp79_ >= ((gint64) 0)) {
#line 2340 "PlaybackManager.c"
		NoiseSettingsMain* _tmp80_;
		NoiseSettingsMain* _tmp81_;
		gboolean _tmp82_;
#line 405 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp80_ = noise_settings_main_get_default ();
#line 405 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp81_ = _tmp80_;
#line 405 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp82_ = noise_settings_main_privacy_mode_enabled (_tmp81_);
#line 405 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp76_ = !_tmp82_;
#line 405 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_g_object_unref0 (_tmp81_);
#line 2354 "PlaybackManager.c"
	} else {
#line 405 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp76_ = FALSE;
#line 2358 "PlaybackManager.c"
	}
#line 405 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	if (_tmp76_) {
#line 2362 "PlaybackManager.c"
		NoiseSettingsMain* _tmp83_;
		NoiseSettingsMain* _tmp84_;
		NoiseMedia* _tmp85_;
		gint64 _tmp86_;
		gint64 _tmp87_;
#line 406 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp83_ = noise_settings_main_get_default ();
#line 406 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp84_ = _tmp83_;
#line 406 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp85_ = _data8_->m;
#line 406 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp86_ = noise_media_get_rowid (_tmp85_);
#line 406 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp87_ = _tmp86_;
#line 406 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		noise_settings_main_set_last_media_playing (_tmp84_, _tmp87_);
#line 406 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_g_object_unref0 (_tmp84_);
#line 2382 "PlaybackManager.c"
	}
#line 409 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp88_ = _data8_->m;
#line 409 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	if (_tmp88_ != NULL) {
#line 2388 "PlaybackManager.c"
		NoiseMedia* _tmp89_;
#line 410 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp89_ = _data8_->m;
#line 410 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		g_signal_emit (self, noise_playback_manager_signals[NOISE_PLAYBACK_MANAGER_MEDIA_PLAYED_SIGNAL], 0, _tmp89_);
#line 2394 "PlaybackManager.c"
	}
#line 414 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_timeout_add_full (G_PRIORITY_DEFAULT, (guint) 1000, ___lambda27__gsource_func, block8_data_ref (_data8_), block8_data_unref);
#line 338 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	block8_data_unref (_data8_);
#line 338 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_data8_ = NULL;
#line 2402 "PlaybackManager.c"
}


static gboolean string_contains (const gchar* self, const gchar* needle) {
	gboolean result = FALSE;
	const gchar* _tmp0_;
	gchar* _tmp1_;
#line 1411 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, FALSE);
#line 1411 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	g_return_val_if_fail (needle != NULL, FALSE);
#line 1412 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	_tmp0_ = needle;
#line 1412 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	_tmp1_ = strstr ((gchar*) self, (gchar*) _tmp0_);
#line 1412 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	result = _tmp1_ != NULL;
#line 1412 "/usr/share/vala-0.38/vapi/glib-2.0.vapi"
	return result;
#line 2422 "PlaybackManager.c"
}


void noise_playback_manager_change_gains_thread (NoisePlaybackManager* self) {
	NoiseSettingsEqualizer* equalizer_settings = NULL;
	NoiseSettingsEqualizer* _tmp0_;
	NoiseSettingsEqualizer* _tmp1_;
	gboolean _tmp2_;
	gboolean _tmp3_;
#line 432 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 433 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp0_ = noise_settings_equalizer_get_default ();
#line 433 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	equalizer_settings = _tmp0_;
#line 434 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp1_ = equalizer_settings;
#line 434 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp2_ = noise_settings_equalizer_get_equalizer_enabled (_tmp1_);
#line 434 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp3_ = _tmp2_;
#line 434 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	if (_tmp3_) {
#line 2446 "PlaybackManager.c"
		gboolean automatic_enabled = FALSE;
		NoiseSettingsEqualizer* _tmp4_;
		gboolean _tmp5_;
		gboolean _tmp6_;
		gchar* selected_preset = NULL;
		NoiseSettingsEqualizer* _tmp7_;
		const gchar* _tmp8_;
		const gchar* _tmp9_;
		gchar* _tmp10_;
#line 435 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp4_ = equalizer_settings;
#line 435 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp5_ = noise_settings_equalizer_get_auto_switch_preset (_tmp4_);
#line 435 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp6_ = _tmp5_;
#line 435 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		automatic_enabled = _tmp6_;
#line 436 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp7_ = equalizer_settings;
#line 436 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp8_ = noise_settings_equalizer_get_selected_preset (_tmp7_);
#line 436 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp9_ = _tmp8_;
#line 436 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp10_ = g_strdup (_tmp9_);
#line 436 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		selected_preset = _tmp10_;
#line 2474 "PlaybackManager.c"
		{
			GeeIterator* _p_it = NULL;
			NoiseSettingsEqualizer* _tmp11_;
			GeeCollection* _tmp12_;
			GeeCollection* _tmp13_;
			GeeIterator* _tmp14_;
			GeeIterator* _tmp15_;
#line 438 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp11_ = equalizer_settings;
#line 438 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp12_ = noise_settings_equalizer_get_presets (_tmp11_);
#line 438 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp13_ = _tmp12_;
#line 438 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp14_ = gee_iterable_iterator ((GeeIterable*) _tmp13_);
#line 438 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp15_ = _tmp14_;
#line 438 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_g_object_unref0 (_tmp13_);
#line 438 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_p_it = _tmp15_;
#line 438 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			while (TRUE) {
#line 2498 "PlaybackManager.c"
				GeeIterator* _tmp16_;
				gboolean _tmp17_;
				NoiseEqualizerPreset* p = NULL;
				GeeIterator* _tmp18_;
				gpointer _tmp19_;
				gboolean _tmp20_ = FALSE;
				NoiseEqualizerPreset* _tmp21_;
#line 438 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				_tmp16_ = _p_it;
#line 438 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				_tmp17_ = gee_iterator_next (_tmp16_);
#line 438 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				if (!_tmp17_) {
#line 438 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					break;
#line 2514 "PlaybackManager.c"
				}
#line 438 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				_tmp18_ = _p_it;
#line 438 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				_tmp19_ = gee_iterator_get (_tmp18_);
#line 438 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				p = (NoiseEqualizerPreset*) _tmp19_;
#line 439 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				_tmp21_ = p;
#line 439 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				if (_tmp21_ != NULL) {
#line 2526 "PlaybackManager.c"
					NoiseMedia* _tmp22_;
#line 439 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp22_ = self->priv->_current_media;
#line 439 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp20_ = _tmp22_ != NULL;
#line 2532 "PlaybackManager.c"
				} else {
#line 439 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp20_ = FALSE;
#line 2536 "PlaybackManager.c"
				}
#line 439 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				if (_tmp20_) {
#line 2540 "PlaybackManager.c"
					gchar* preset_name = NULL;
					NoiseEqualizerPreset* _tmp23_;
					const gchar* _tmp24_;
					const gchar* _tmp25_;
					gchar* _tmp26_;
					gchar* media_genre = NULL;
					NoiseMedia* _tmp27_;
					const gchar* _tmp28_;
					const gchar* _tmp29_;
					gchar* _tmp30_;
					gboolean _tmp31_ = FALSE;
					const gchar* _tmp32_;
					const gchar* _tmp33_;
					gboolean _tmp34_;
					gboolean match_genre = FALSE;
					gboolean _tmp38_ = FALSE;
					gboolean _tmp39_ = FALSE;
					gboolean _tmp40_;
#line 440 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp23_ = p;
#line 440 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp24_ = noise_equalizer_preset_get_name (_tmp23_);
#line 440 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp25_ = _tmp24_;
#line 440 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp26_ = g_utf8_strdown (_tmp25_, (gssize) -1);
#line 440 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					preset_name = _tmp26_;
#line 441 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp27_ = self->priv->_current_media;
#line 441 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp28_ = noise_media_get_genre (_tmp27_);
#line 441 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp29_ = _tmp28_;
#line 441 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp30_ = g_utf8_strdown (_tmp29_, (gssize) -1);
#line 441 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					media_genre = _tmp30_;
#line 443 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp32_ = media_genre;
#line 443 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp33_ = preset_name;
#line 443 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp34_ = string_contains (_tmp32_, _tmp33_);
#line 443 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					if (_tmp34_) {
#line 443 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp31_ = TRUE;
#line 2589 "PlaybackManager.c"
					} else {
						const gchar* _tmp35_;
						const gchar* _tmp36_;
						gboolean _tmp37_;
#line 443 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp35_ = preset_name;
#line 443 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp36_ = media_genre;
#line 443 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp37_ = string_contains (_tmp35_, _tmp36_);
#line 443 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp31_ = _tmp37_;
#line 2602 "PlaybackManager.c"
					}
#line 443 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					match_genre = _tmp31_;
#line 445 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp40_ = automatic_enabled;
#line 445 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					if (_tmp40_) {
#line 2610 "PlaybackManager.c"
						gboolean _tmp41_;
#line 445 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp41_ = match_genre;
#line 445 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp39_ = _tmp41_;
#line 2616 "PlaybackManager.c"
					} else {
#line 445 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp39_ = FALSE;
#line 2620 "PlaybackManager.c"
					}
#line 445 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					if (_tmp39_) {
#line 445 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp38_ = TRUE;
#line 2626 "PlaybackManager.c"
					} else {
						gboolean _tmp42_ = FALSE;
						gboolean _tmp43_;
#line 446 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp43_ = automatic_enabled;
#line 446 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						if (!_tmp43_) {
#line 2634 "PlaybackManager.c"
							NoiseEqualizerPreset* _tmp44_;
							const gchar* _tmp45_;
							const gchar* _tmp46_;
							const gchar* _tmp47_;
#line 446 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							_tmp44_ = p;
#line 446 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							_tmp45_ = noise_equalizer_preset_get_name (_tmp44_);
#line 446 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							_tmp46_ = _tmp45_;
#line 446 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							_tmp47_ = selected_preset;
#line 446 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							_tmp42_ = g_strcmp0 (_tmp46_, _tmp47_) == 0;
#line 2649 "PlaybackManager.c"
						} else {
#line 446 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							_tmp42_ = FALSE;
#line 2653 "PlaybackManager.c"
						}
#line 446 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp38_ = _tmp42_;
#line 2657 "PlaybackManager.c"
					}
#line 445 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					if (_tmp38_) {
#line 2661 "PlaybackManager.c"
						{
							gint i = 0;
#line 447 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							i = 0;
#line 2666 "PlaybackManager.c"
							{
								gboolean _tmp48_ = FALSE;
#line 447 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
								_tmp48_ = TRUE;
#line 447 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
								while (TRUE) {
#line 2673 "PlaybackManager.c"
									gint _tmp50_;
									NoisePlayback* _tmp51_;
									gint _tmp52_;
									NoiseEqualizerPreset* _tmp53_;
									gint _tmp54_;
									gint _tmp55_;
#line 447 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
									if (!_tmp48_) {
#line 2682 "PlaybackManager.c"
										gint _tmp49_;
#line 447 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
										_tmp49_ = i;
#line 447 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
										i = _tmp49_ + 1;
#line 2688 "PlaybackManager.c"
									}
#line 447 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
									_tmp48_ = FALSE;
#line 447 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
									_tmp50_ = i;
#line 447 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
									if (!(_tmp50_ < 10)) {
#line 447 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
										break;
#line 2698 "PlaybackManager.c"
									}
#line 448 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
									_tmp51_ = self->player;
#line 448 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
									_tmp52_ = i;
#line 448 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
									_tmp53_ = p;
#line 448 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
									_tmp54_ = i;
#line 448 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
									_tmp55_ = noise_equalizer_preset_get_gain (_tmp53_, _tmp54_);
#line 448 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
									noise_playback_set_equalizer_gain (_tmp51_, _tmp52_, _tmp55_);
#line 2712 "PlaybackManager.c"
								}
							}
						}
#line 451 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_g_free0 (media_genre);
#line 451 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_g_free0 (preset_name);
#line 451 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_g_object_unref0 (p);
#line 451 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_g_object_unref0 (_p_it);
#line 451 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_g_free0 (selected_preset);
#line 451 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_g_object_unref0 (equalizer_settings);
#line 451 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						return;
#line 2730 "PlaybackManager.c"
					}
#line 439 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_g_free0 (media_genre);
#line 439 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_g_free0 (preset_name);
#line 2736 "PlaybackManager.c"
				}
#line 438 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				_g_object_unref0 (p);
#line 2740 "PlaybackManager.c"
			}
#line 438 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_g_object_unref0 (_p_it);
#line 2744 "PlaybackManager.c"
		}
		{
			GeeIterator* _p_it = NULL;
			GeeCollection* _tmp56_;
			GeeCollection* _tmp57_;
			GeeIterator* _tmp58_;
			GeeIterator* _tmp59_;
#line 456 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp56_ = noise_equalizer_get_default_presets ();
#line 456 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp57_ = _tmp56_;
#line 456 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp58_ = gee_iterable_iterator ((GeeIterable*) _tmp57_);
#line 456 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp59_ = _tmp58_;
#line 456 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_g_object_unref0 (_tmp57_);
#line 456 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_p_it = _tmp59_;
#line 456 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			while (TRUE) {
#line 2766 "PlaybackManager.c"
				GeeIterator* _tmp60_;
				gboolean _tmp61_;
				NoiseEqualizerPreset* p = NULL;
				GeeIterator* _tmp62_;
				gpointer _tmp63_;
				gboolean _tmp64_ = FALSE;
				NoiseEqualizerPreset* _tmp65_;
#line 456 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				_tmp60_ = _p_it;
#line 456 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				_tmp61_ = gee_iterator_next (_tmp60_);
#line 456 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				if (!_tmp61_) {
#line 456 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					break;
#line 2782 "PlaybackManager.c"
				}
#line 456 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				_tmp62_ = _p_it;
#line 456 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				_tmp63_ = gee_iterator_get (_tmp62_);
#line 456 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				p = (NoiseEqualizerPreset*) _tmp63_;
#line 457 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				_tmp65_ = p;
#line 457 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				if (_tmp65_ != NULL) {
#line 2794 "PlaybackManager.c"
					NoiseMedia* _tmp66_;
#line 457 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp66_ = self->priv->_current_media;
#line 457 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp64_ = _tmp66_ != NULL;
#line 2800 "PlaybackManager.c"
				} else {
#line 457 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp64_ = FALSE;
#line 2804 "PlaybackManager.c"
				}
#line 457 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				if (_tmp64_) {
#line 2808 "PlaybackManager.c"
					gchar* preset_name = NULL;
					NoiseEqualizerPreset* _tmp67_;
					const gchar* _tmp68_;
					const gchar* _tmp69_;
					gchar* _tmp70_;
					gchar* media_genre = NULL;
					NoiseMedia* _tmp71_;
					const gchar* _tmp72_;
					const gchar* _tmp73_;
					gchar* _tmp74_;
					gboolean _tmp75_ = FALSE;
					const gchar* _tmp76_;
					const gchar* _tmp77_;
					gboolean _tmp78_;
					gboolean match_genre = FALSE;
					gboolean _tmp82_ = FALSE;
					gboolean _tmp83_ = FALSE;
					gboolean _tmp84_;
#line 458 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp67_ = p;
#line 458 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp68_ = noise_equalizer_preset_get_name (_tmp67_);
#line 458 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp69_ = _tmp68_;
#line 458 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp70_ = g_utf8_strdown (_tmp69_, (gssize) -1);
#line 458 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					preset_name = _tmp70_;
#line 459 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp71_ = self->priv->_current_media;
#line 459 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp72_ = noise_media_get_genre (_tmp71_);
#line 459 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp73_ = _tmp72_;
#line 459 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp74_ = g_utf8_strdown (_tmp73_, (gssize) -1);
#line 459 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					media_genre = _tmp74_;
#line 461 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp76_ = media_genre;
#line 461 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp77_ = preset_name;
#line 461 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp78_ = string_contains (_tmp76_, _tmp77_);
#line 461 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					if (_tmp78_) {
#line 461 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp75_ = TRUE;
#line 2857 "PlaybackManager.c"
					} else {
						const gchar* _tmp79_;
						const gchar* _tmp80_;
						gboolean _tmp81_;
#line 461 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp79_ = preset_name;
#line 461 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp80_ = media_genre;
#line 461 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp81_ = string_contains (_tmp79_, _tmp80_);
#line 461 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp75_ = _tmp81_;
#line 2870 "PlaybackManager.c"
					}
#line 461 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					match_genre = _tmp75_;
#line 463 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp84_ = automatic_enabled;
#line 463 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					if (_tmp84_) {
#line 2878 "PlaybackManager.c"
						gboolean _tmp85_;
#line 463 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp85_ = match_genre;
#line 463 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp83_ = _tmp85_;
#line 2884 "PlaybackManager.c"
					} else {
#line 463 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp83_ = FALSE;
#line 2888 "PlaybackManager.c"
					}
#line 463 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					if (_tmp83_) {
#line 463 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp82_ = TRUE;
#line 2894 "PlaybackManager.c"
					} else {
						gboolean _tmp86_ = FALSE;
						gboolean _tmp87_;
#line 464 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp87_ = automatic_enabled;
#line 464 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						if (!_tmp87_) {
#line 2902 "PlaybackManager.c"
							NoiseEqualizerPreset* _tmp88_;
							const gchar* _tmp89_;
							const gchar* _tmp90_;
							const gchar* _tmp91_;
#line 464 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							_tmp88_ = p;
#line 464 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							_tmp89_ = noise_equalizer_preset_get_name (_tmp88_);
#line 464 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							_tmp90_ = _tmp89_;
#line 464 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							_tmp91_ = selected_preset;
#line 464 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							_tmp86_ = g_strcmp0 (_tmp90_, _tmp91_) == 0;
#line 2917 "PlaybackManager.c"
						} else {
#line 464 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							_tmp86_ = FALSE;
#line 2921 "PlaybackManager.c"
						}
#line 464 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_tmp82_ = _tmp86_;
#line 2925 "PlaybackManager.c"
					}
#line 463 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					if (_tmp82_) {
#line 2929 "PlaybackManager.c"
						{
							gint i = 0;
#line 465 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
							i = 0;
#line 2934 "PlaybackManager.c"
							{
								gboolean _tmp92_ = FALSE;
#line 465 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
								_tmp92_ = TRUE;
#line 465 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
								while (TRUE) {
#line 2941 "PlaybackManager.c"
									gint _tmp94_;
									NoisePlayback* _tmp95_;
									gint _tmp96_;
									NoiseEqualizerPreset* _tmp97_;
									gint _tmp98_;
									gint _tmp99_;
#line 465 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
									if (!_tmp92_) {
#line 2950 "PlaybackManager.c"
										gint _tmp93_;
#line 465 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
										_tmp93_ = i;
#line 465 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
										i = _tmp93_ + 1;
#line 2956 "PlaybackManager.c"
									}
#line 465 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
									_tmp92_ = FALSE;
#line 465 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
									_tmp94_ = i;
#line 465 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
									if (!(_tmp94_ < 10)) {
#line 465 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
										break;
#line 2966 "PlaybackManager.c"
									}
#line 466 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
									_tmp95_ = self->player;
#line 466 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
									_tmp96_ = i;
#line 466 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
									_tmp97_ = p;
#line 466 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
									_tmp98_ = i;
#line 466 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
									_tmp99_ = noise_equalizer_preset_get_gain (_tmp97_, _tmp98_);
#line 466 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
									noise_playback_set_equalizer_gain (_tmp95_, _tmp96_, _tmp99_);
#line 2980 "PlaybackManager.c"
								}
							}
						}
#line 469 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_g_free0 (media_genre);
#line 469 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_g_free0 (preset_name);
#line 469 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_g_object_unref0 (p);
#line 469 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_g_object_unref0 (_p_it);
#line 469 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_g_free0 (selected_preset);
#line 469 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						_g_object_unref0 (equalizer_settings);
#line 469 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
						return;
#line 2998 "PlaybackManager.c"
					}
#line 457 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_g_free0 (media_genre);
#line 457 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_g_free0 (preset_name);
#line 3004 "PlaybackManager.c"
				}
#line 456 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				_g_object_unref0 (p);
#line 3008 "PlaybackManager.c"
			}
#line 456 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_g_object_unref0 (_p_it);
#line 3012 "PlaybackManager.c"
		}
#line 434 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_g_free0 (selected_preset);
#line 3016 "PlaybackManager.c"
	}
	{
		gint i = 0;
#line 475 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		i = 0;
#line 3022 "PlaybackManager.c"
		{
			gboolean _tmp100_ = FALSE;
#line 475 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			_tmp100_ = TRUE;
#line 475 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
			while (TRUE) {
#line 3029 "PlaybackManager.c"
				gint _tmp102_;
				NoisePlayback* _tmp103_;
				gint _tmp104_;
#line 475 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				if (!_tmp100_) {
#line 3035 "PlaybackManager.c"
					gint _tmp101_;
#line 475 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					_tmp101_ = i;
#line 475 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					i = _tmp101_ + 1;
#line 3041 "PlaybackManager.c"
				}
#line 475 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				_tmp100_ = FALSE;
#line 475 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				_tmp102_ = i;
#line 475 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				if (!(_tmp102_ < 10)) {
#line 475 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
					break;
#line 3051 "PlaybackManager.c"
				}
#line 476 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				_tmp103_ = self->player;
#line 476 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				_tmp104_ = i;
#line 476 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
				noise_playback_set_equalizer_gain (_tmp103_, _tmp104_, 0);
#line 3059 "PlaybackManager.c"
			}
		}
	}
#line 432 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_g_object_unref0 (equalizer_settings);
#line 3065 "PlaybackManager.c"
}


void noise_playback_manager_stop_playback (NoisePlaybackManager* self) {
	NoisePlayback* _tmp0_;
	gint64 was_playing = 0LL;
	NoiseMedia* _tmp1_;
	NoiseSettingsMain* _tmp5_;
	NoiseSettingsMain* _tmp6_;
	gboolean _tmp7_;
	gboolean _tmp8_;
	gint64 _tmp11_;
#line 480 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 481 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp0_ = self->player;
#line 481 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	noise_playback_pause (_tmp0_);
#line 482 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	noise_playback_manager_set_playing (self, FALSE);
#line 484 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	was_playing = (gint64) 0;
#line 485 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp1_ = self->priv->_current_media;
#line 485 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	if (_tmp1_ != NULL) {
#line 3092 "PlaybackManager.c"
		NoiseMedia* _tmp2_;
		gint64 _tmp3_;
		gint64 _tmp4_;
#line 486 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp2_ = self->priv->_current_media;
#line 486 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp3_ = noise_media_get_rowid (_tmp2_);
#line 486 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp4_ = _tmp3_;
#line 486 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		was_playing = _tmp4_;
#line 3104 "PlaybackManager.c"
	}
#line 489 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp5_ = noise_settings_main_get_default ();
#line 489 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp6_ = _tmp5_;
#line 489 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp7_ = noise_settings_main_privacy_mode_enabled (_tmp6_);
#line 489 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp8_ = !_tmp7_;
#line 489 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_g_object_unref0 (_tmp6_);
#line 489 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	if (_tmp8_) {
#line 3118 "PlaybackManager.c"
		NoiseSettingsMain* _tmp9_;
		NoiseSettingsMain* _tmp10_;
#line 490 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp9_ = noise_settings_main_get_default ();
#line 490 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp10_ = _tmp9_;
#line 490 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		noise_settings_main_set_last_media_playing (_tmp10_, (gint64) 0);
#line 490 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_g_object_unref0 (_tmp10_);
#line 3129 "PlaybackManager.c"
	}
#line 492 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	noise_playback_manager_set_current_media (self, NULL);
#line 494 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp11_ = was_playing;
#line 494 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_signal_emit (self, noise_playback_manager_signals[NOISE_PLAYBACK_MANAGER_PLAYBACK_STOPPED_SIGNAL], 0, _tmp11_);
#line 3137 "PlaybackManager.c"
}


void noise_playback_manager_start_playback (NoisePlaybackManager* self) {
	NoisePlayback* _tmp0_;
#line 497 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 498 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp0_ = self->player;
#line 498 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	noise_playback_play (_tmp0_);
#line 499 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	noise_playback_manager_set_playing (self, TRUE);
#line 501 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_signal_emit (self, noise_playback_manager_signals[NOISE_PLAYBACK_MANAGER_PLAYBACK_STARTED_SIGNAL], 0);
#line 3153 "PlaybackManager.c"
}


void noise_playback_manager_pause_playback (NoisePlaybackManager* self) {
	NoisePlayback* _tmp0_;
#line 504 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 505 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp0_ = self->player;
#line 505 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	noise_playback_pause (_tmp0_);
#line 506 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	noise_playback_manager_set_playing (self, FALSE);
#line 508 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_signal_emit (self, noise_playback_manager_signals[NOISE_PLAYBACK_MANAGER_PLAYBACK_PAUSED_SIGNAL], 0);
#line 3169 "PlaybackManager.c"
}


NoisePlaybackManager* noise_playback_manager_construct (GType object_type) {
	NoisePlaybackManager * self = NULL;
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	self = (NoisePlaybackManager*) g_object_new (object_type, NULL);
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	return self;
#line 3179 "PlaybackManager.c"
}


NoisePlaybackManager* noise_playback_manager_new (void) {
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	return noise_playback_manager_construct (NOISE_TYPE_PLAYBACK_MANAGER);
#line 3186 "PlaybackManager.c"
}


NoiseStaticPlaylist* noise_playback_manager_get_queue_playlist (NoisePlaybackManager* self) {
	NoiseStaticPlaylist* result;
	NoiseStaticPlaylist* _tmp0_;
#line 61 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 62 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp0_ = self->priv->_queue_playlist;
#line 62 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	result = _tmp0_;
#line 62 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	return result;
#line 3201 "PlaybackManager.c"
}


void noise_playback_manager_set_queue_playlist (NoisePlaybackManager* self, NoiseStaticPlaylist* value) {
	NoiseStaticPlaylist* _tmp0_;
	NoiseStaticPlaylist* _tmp1_;
#line 64 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 65 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp0_ = value;
#line 65 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 65 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_g_object_unref0 (self->priv->ordered_queue);
#line 65 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	self->priv->ordered_queue = _tmp1_;
#line 66 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	noise_playback_manager_reshuffle (self);
#line 64 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_object_notify_by_pspec ((GObject *) self, noise_playback_manager_properties[NOISE_PLAYBACK_MANAGER_QUEUE_PLAYLIST_PROPERTY]);
#line 3222 "PlaybackManager.c"
}


gboolean noise_playback_manager_get_is_shuffled (NoisePlaybackManager* self) {
	gboolean result;
	NoiseSettingsMain* _tmp0_;
	NoiseSettingsMain* _tmp1_;
	NoiseSettingsShuffle _tmp2_;
	NoiseSettingsShuffle _tmp3_;
	gboolean _tmp4_;
#line 72 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 73 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp0_ = noise_settings_main_get_default ();
#line 73 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp1_ = _tmp0_;
#line 73 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp2_ = noise_settings_main_get_shuffle_mode (_tmp1_);
#line 73 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp3_ = _tmp2_;
#line 73 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp4_ = _tmp3_ == NOISE_SETTINGS_SHUFFLE_ALL;
#line 73 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_g_object_unref0 (_tmp1_);
#line 73 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	result = _tmp4_;
#line 73 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	return result;
#line 3251 "PlaybackManager.c"
}


void noise_playback_manager_set_is_shuffled (NoisePlaybackManager* self, gboolean value) {
	NoiseSettingsShuffle _tmp0_ = 0;
	gboolean _tmp1_;
	NoiseSettingsMain* _tmp2_;
	NoiseSettingsMain* _tmp3_;
#line 75 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 76 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp1_ = value;
#line 76 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	if (_tmp1_) {
#line 77 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp0_ = NOISE_SETTINGS_SHUFFLE_ALL;
#line 3268 "PlaybackManager.c"
	} else {
#line 78 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp0_ = NOISE_SETTINGS_SHUFFLE_OFF;
#line 3272 "PlaybackManager.c"
	}
#line 76 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp2_ = noise_settings_main_get_default ();
#line 76 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp3_ = _tmp2_;
#line 76 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	noise_settings_main_set_shuffle_mode (_tmp3_, _tmp0_);
#line 76 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_g_object_unref0 (_tmp3_);
#line 75 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_object_notify_by_pspec ((GObject *) self, noise_playback_manager_properties[NOISE_PLAYBACK_MANAGER_IS_SHUFFLED_PROPERTY]);
#line 3284 "PlaybackManager.c"
}


NoiseLibrary* noise_playback_manager_get_library (NoisePlaybackManager* self) {
	NoiseLibrary* result;
	NoiseLibrariesManager* _tmp0_;
	NoiseLibrary* _tmp1_;
#line 85 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 85 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp0_ = noise_libraries_manager;
#line 85 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp1_ = _tmp0_->local_library;
#line 85 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	result = _tmp1_;
#line 85 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	return result;
#line 3302 "PlaybackManager.c"
}


gint noise_playback_manager_get_current_index (NoisePlaybackManager* self) {
	gint result;
	gint _tmp0_;
#line 88 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 89 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp0_ = self->priv->_ci;
#line 89 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	result = _tmp0_;
#line 89 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	return result;
#line 3317 "PlaybackManager.c"
}


void noise_playback_manager_set_current_index (NoisePlaybackManager* self, gint value) {
	gint _tmp0_;
	gint _tmp1_;
#line 90 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 90 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp0_ = value;
#line 90 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_debug ("PlaybackManager.vala:90: Current index: %d", _tmp0_);
#line 90 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp1_ = value;
#line 90 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	self->priv->_ci = _tmp1_;
#line 90 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_object_notify_by_pspec ((GObject *) self, noise_playback_manager_properties[NOISE_PLAYBACK_MANAGER_CURRENT_INDEX_PROPERTY]);
#line 3336 "PlaybackManager.c"
}


gboolean noise_playback_manager_get_playing (NoisePlaybackManager* self) {
	gboolean result;
	gboolean _tmp0_;
#line 92 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 92 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp0_ = self->priv->_playing;
#line 92 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	result = _tmp0_;
#line 92 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	return result;
#line 3351 "PlaybackManager.c"
}


static void noise_playback_manager_set_playing (NoisePlaybackManager* self, gboolean value) {
#line 92 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 92 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	if (noise_playback_manager_get_playing (self) != value) {
#line 3360 "PlaybackManager.c"
		gboolean _tmp0_;
#line 92 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp0_ = value;
#line 92 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		self->priv->_playing = _tmp0_;
#line 92 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		g_object_notify_by_pspec ((GObject *) self, noise_playback_manager_properties[NOISE_PLAYBACK_MANAGER_PLAYING_PROPERTY]);
#line 3368 "PlaybackManager.c"
	}
}


gdouble noise_playback_manager_get_volume (NoisePlaybackManager* self) {
	gdouble result;
	NoisePlayback* _tmp0_;
	gdouble _tmp1_;
#line 95 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_return_val_if_fail (self != NULL, 0.0);
#line 96 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp0_ = self->player;
#line 96 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp1_ = noise_playback_get_volume (_tmp0_);
#line 96 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	result = _tmp1_;
#line 96 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	return result;
#line 3387 "PlaybackManager.c"
}


void noise_playback_manager_set_volume (NoisePlaybackManager* self, gdouble value) {
	gdouble _tmp0_;
	NoisePlayback* _tmp1_;
	gdouble _tmp2_;
#line 98 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 99 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp0_ = value;
#line 99 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	self->priv->saved_volume = _tmp0_;
#line 100 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp1_ = self->player;
#line 100 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp2_ = value;
#line 100 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	noise_playback_set_volume (_tmp1_, _tmp2_);
#line 98 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_object_notify_by_pspec ((GObject *) self, noise_playback_manager_properties[NOISE_PLAYBACK_MANAGER_VOLUME_PROPERTY]);
#line 3409 "PlaybackManager.c"
}


NoiseMedia* noise_playback_manager_get_current_media (NoisePlaybackManager* self) {
	NoiseMedia* result;
	NoiseMedia* _tmp0_;
#line 106 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 106 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp0_ = self->priv->_current_media;
#line 106 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	result = _tmp0_;
#line 106 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	return result;
#line 3424 "PlaybackManager.c"
}


static void noise_playback_manager_set_current_media (NoisePlaybackManager* self, NoiseMedia* value) {
#line 106 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 106 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	if (noise_playback_manager_get_current_media (self) != value) {
#line 3433 "PlaybackManager.c"
		NoiseMedia* _tmp0_;
		NoiseMedia* _tmp1_;
#line 106 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp0_ = value;
#line 106 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_tmp1_ = _g_object_ref0 (_tmp0_);
#line 106 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		_g_object_unref0 (self->priv->_current_media);
#line 106 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		self->priv->_current_media = _tmp1_;
#line 106 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		g_object_notify_by_pspec ((GObject *) self, noise_playback_manager_properties[NOISE_PLAYBACK_MANAGER_CURRENT_MEDIA_PROPERTY]);
#line 3446 "PlaybackManager.c"
	}
}


static void g_cclosure_user_marshal_VOID__INT64 (GClosure * closure, GValue * return_value, guint n_param_values, const GValue * param_values, gpointer invocation_hint, gpointer marshal_data) {
	typedef void (*GMarshalFunc_VOID__INT64) (gpointer data1, gint64 arg_1, gpointer data2);
	register GMarshalFunc_VOID__INT64 callback;
	register GCClosure * cc;
	register gpointer data1;
	register gpointer data2;
	cc = (GCClosure *) closure;
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_return_if_fail (n_param_values == 2);
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	if (G_CCLOSURE_SWAP_DATA (closure)) {
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		data1 = closure->data;
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		data2 = param_values->data[0].v_pointer;
#line 3466 "PlaybackManager.c"
	} else {
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		data1 = param_values->data[0].v_pointer;
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		data2 = closure->data;
#line 3472 "PlaybackManager.c"
	}
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	callback = (GMarshalFunc_VOID__INT64) (marshal_data ? marshal_data : cc->callback);
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	callback (data1, g_value_get_int64 (param_values + 1), data2);
#line 3478 "PlaybackManager.c"
}


static GObject * noise_playback_manager_constructor (GType type, guint n_construct_properties, GObjectConstructParam * construct_properties) {
	GObject * obj;
	GObjectClass * parent_class;
	NoisePlaybackManager * self;
	NoiseHistoryPlaylist* _tmp0_;
	NoiseStaticPlaylist* _tmp1_;
	NoiseStaticPlaylist* _tmp2_;
	NoiseStaticPlaylist* _tmp3_;
	NoiseStaticPlaylist* _tmp4_;
	NoiseStaticPlaylist* _tmp5_;
	NoiseStaticPlaylist* _tmp6_;
	NoiseStaticPlaylist* _tmp7_;
	NoiseStaticPlaylist* _tmp8_;
	NoiseStaticPlaylist* _tmp9_;
	NoiseStaticPlaylist* _tmp10_;
	NoiseStaticPlaylist* _tmp11_;
	GThemedIcon* _tmp12_;
	NoiseStreamer* _tmp13_;
	GeeTreeSet* _tmp14_;
	NoiseStreamer* _tmp15_;
	NoiseStreamer* _tmp16_;
	NoisePlayback* _tmp17_;
#line 108 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	parent_class = G_OBJECT_CLASS (noise_playback_manager_parent_class);
#line 108 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 108 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_TYPE_PLAYBACK_MANAGER, NoisePlaybackManager);
#line 109 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp0_ = noise_history_playlist_new ();
#line 109 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_g_object_unref0 (self->history_playlist);
#line 109 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	self->history_playlist = _tmp0_;
#line 110 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp1_ = noise_static_playlist_new ();
#line 110 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_g_object_unref0 (self->priv->ordered_queue);
#line 110 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	self->priv->ordered_queue = _tmp1_;
#line 112 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp2_ = noise_playback_manager_get_queue_playlist (self);
#line 112 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp3_ = _tmp2_;
#line 112 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	noise_playlist_set_name ((NoisePlaylist*) _tmp3_, C_ ("Name of the playlist", "Queue"));
#line 113 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp4_ = noise_playback_manager_get_queue_playlist (self);
#line 113 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp5_ = _tmp4_;
#line 113 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	noise_static_playlist_set_read_only (_tmp5_, TRUE);
#line 114 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp6_ = noise_playback_manager_get_queue_playlist (self);
#line 114 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp7_ = _tmp6_;
#line 114 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	noise_static_playlist_set_allow_duplicate (_tmp7_, TRUE);
#line 115 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp8_ = noise_playback_manager_get_queue_playlist (self);
#line 115 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp9_ = _tmp8_;
#line 115 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	noise_static_playlist_set_show_badge (_tmp9_, TRUE);
#line 116 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp10_ = noise_playback_manager_get_queue_playlist (self);
#line 116 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp11_ = _tmp10_;
#line 116 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp12_ = (GThemedIcon*) g_themed_icon_new ("playlist-queue");
#line 116 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_g_object_unref0 (((NoisePlaylist*) _tmp11_)->icon);
#line 116 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	((NoisePlaylist*) _tmp11_)->icon = (GIcon*) _tmp12_;
#line 118 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp13_ = noise_streamer_new ();
#line 118 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_g_object_unref0 (self->file_player);
#line 118 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	self->file_player = _tmp13_;
#line 119 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp14_ = self->priv->playbacks;
#line 119 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp15_ = self->file_player;
#line 119 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp14_, (NoisePlayback*) _tmp15_);
#line 120 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp16_ = self->file_player;
#line 120 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp17_ = _g_object_ref0 ((NoisePlayback*) _tmp16_);
#line 120 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_g_object_unref0 (self->player);
#line 120 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	self->player = _tmp17_;
#line 108 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	return obj;
#line 3578 "PlaybackManager.c"
}


static void noise_playback_manager_class_init (NoisePlaybackManagerClass * klass) {
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	noise_playback_manager_parent_class = g_type_class_peek_parent (klass);
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_type_class_add_private (klass, sizeof (NoisePlaybackManagerPrivate));
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_noise_playback_manager_get_property;
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_noise_playback_manager_set_property;
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	G_OBJECT_CLASS (klass)->constructor = noise_playback_manager_constructor;
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	G_OBJECT_CLASS (klass)->finalize = noise_playback_manager_finalize;
#line 3595 "PlaybackManager.c"
	/**
	    * Either contains the ordered or the shuffled queue
	    *
	    * When giving it a value, be sure it is ordered.
	    */
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_PLAYBACK_MANAGER_QUEUE_PLAYLIST_PROPERTY, noise_playback_manager_properties[NOISE_PLAYBACK_MANAGER_QUEUE_PLAYLIST_PROPERTY] = g_param_spec_object ("queue-playlist", "queue-playlist", "queue-playlist", NOISE_TYPE_STATIC_PLAYLIST, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_PLAYBACK_MANAGER_IS_SHUFFLED_PROPERTY, noise_playback_manager_properties[NOISE_PLAYBACK_MANAGER_IS_SHUFFLED_PROPERTY] = g_param_spec_boolean ("is-shuffled", "is-shuffled", "is-shuffled", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_PLAYBACK_MANAGER_LIBRARY_PROPERTY, noise_playback_manager_properties[NOISE_PLAYBACK_MANAGER_LIBRARY_PROPERTY] = g_param_spec_object ("library", "library", "library", NOISE_TYPE_LIBRARY, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_PLAYBACK_MANAGER_CURRENT_INDEX_PROPERTY, noise_playback_manager_properties[NOISE_PLAYBACK_MANAGER_CURRENT_INDEX_PROPERTY] = g_param_spec_int ("current-index", "current-index", "current-index", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_PLAYBACK_MANAGER_PLAYING_PROPERTY, noise_playback_manager_properties[NOISE_PLAYBACK_MANAGER_PLAYING_PROPERTY] = g_param_spec_boolean ("playing", "playing", "playing", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_PLAYBACK_MANAGER_VOLUME_PROPERTY, noise_playback_manager_properties[NOISE_PLAYBACK_MANAGER_VOLUME_PROPERTY] = g_param_spec_double ("volume", "volume", "volume", -G_MAXDOUBLE, G_MAXDOUBLE, 0.0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_PLAYBACK_MANAGER_CURRENT_MEDIA_PROPERTY, noise_playback_manager_properties[NOISE_PLAYBACK_MANAGER_CURRENT_MEDIA_PROPERTY] = g_param_spec_object ("current-media", "current-media", "current-media", NOISE_TYPE_MEDIA, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	noise_playback_manager_signals[NOISE_PLAYBACK_MANAGER_QUEUE_CLEARED_SIGNAL] = g_signal_new ("queue-cleared", NOISE_TYPE_PLAYBACK_MANAGER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	noise_playback_manager_signals[NOISE_PLAYBACK_MANAGER_MEDIA_QUEUED_SIGNAL] = g_signal_new ("media-queued", NOISE_TYPE_PLAYBACK_MANAGER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__OBJECT, G_TYPE_NONE, 1, GEE_TYPE_COLLECTION);
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	noise_playback_manager_signals[NOISE_PLAYBACK_MANAGER_MEDIA_PLAYED_SIGNAL] = g_signal_new ("media-played", NOISE_TYPE_PLAYBACK_MANAGER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__OBJECT, G_TYPE_NONE, 1, NOISE_TYPE_MEDIA);
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	noise_playback_manager_signals[NOISE_PLAYBACK_MANAGER_PLAYBACK_STOPPED_SIGNAL] = g_signal_new ("playback-stopped", NOISE_TYPE_PLAYBACK_MANAGER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_user_marshal_VOID__INT64, G_TYPE_NONE, 1, G_TYPE_INT64);
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	noise_playback_manager_signals[NOISE_PLAYBACK_MANAGER_PLAYBACK_STARTED_SIGNAL] = g_signal_new ("playback-started", NOISE_TYPE_PLAYBACK_MANAGER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	noise_playback_manager_signals[NOISE_PLAYBACK_MANAGER_PLAYBACK_PAUSED_SIGNAL] = g_signal_new ("playback-paused", NOISE_TYPE_PLAYBACK_MANAGER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	noise_playback_manager_signals[NOISE_PLAYBACK_MANAGER_CHANGING_PLAYER_SIGNAL] = g_signal_new ("changing-player", NOISE_TYPE_PLAYBACK_MANAGER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	noise_playback_manager_signals[NOISE_PLAYBACK_MANAGER_PLAYER_CHANGED_SIGNAL] = g_signal_new ("player-changed", NOISE_TYPE_PLAYBACK_MANAGER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 3631 "PlaybackManager.c"
}


static void noise_playback_manager_noise_player_interface_init (NoisePlayerIface * iface) {
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	noise_playback_manager_noise_player_parent_iface = g_type_interface_peek_parent (iface);
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	iface->add_playback = (void (*) (NoisePlayer *, NoisePlayback*)) noise_playback_manager_real_add_playback;
#line 3640 "PlaybackManager.c"
}


static void noise_playback_manager_instance_init (NoisePlaybackManager * self) {
	GeeTreeSet* _tmp0_;
	NoiseStaticPlaylist* _tmp1_;
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	self->priv = NOISE_PLAYBACK_MANAGER_GET_PRIVATE (self);
#line 50 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_rec_mutex_init (&self->priv->__lock_playbacks);
#line 50 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp0_ = gee_tree_set_new (NOISE_TYPE_PLAYBACK, NULL, NULL, NULL, NULL, NULL);
#line 50 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	self->priv->playbacks = _tmp0_;
#line 69 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_tmp1_ = noise_static_playlist_new ();
#line 69 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	self->priv->_queue_playlist = _tmp1_;
#line 92 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	self->priv->_playing = FALSE;
#line 93 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	self->priv->saved_volume = (gdouble) 1;
#line 3663 "PlaybackManager.c"
}


static void noise_playback_manager_finalize (GObject * obj) {
	NoisePlaybackManager * self;
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_TYPE_PLAYBACK_MANAGER, NoisePlaybackManager);
#line 50 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	g_rec_mutex_clear (&self->priv->__lock_playbacks);
#line 50 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_g_object_unref0 (self->priv->playbacks);
#line 53 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_g_object_unref0 (self->priv->ordered_queue);
#line 69 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_g_object_unref0 (self->priv->_queue_playlist);
#line 82 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_g_object_unref0 (self->history_playlist);
#line 104 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_g_object_unref0 (self->file_player);
#line 105 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_g_object_unref0 (self->player);
#line 106 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	_g_object_unref0 (self->priv->_current_media);
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	G_OBJECT_CLASS (noise_playback_manager_parent_class)->finalize (obj);
#line 3689 "PlaybackManager.c"
}


/**
* Manages song playback, queue, repeating and shuffling
*
* Finds the appropriate {@link Noise.Playback} to play a media
*/
GType noise_playback_manager_get_type (void) {
	static volatile gsize noise_playback_manager_type_id__volatile = 0;
	if (g_once_init_enter (&noise_playback_manager_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NoisePlaybackManagerClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) noise_playback_manager_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NoisePlaybackManager), 0, (GInstanceInitFunc) noise_playback_manager_instance_init, NULL };
		static const GInterfaceInfo noise_player_info = { (GInterfaceInitFunc) noise_playback_manager_noise_player_interface_init, (GInterfaceFinalizeFunc) NULL, NULL};
		GType noise_playback_manager_type_id;
		noise_playback_manager_type_id = g_type_register_static (G_TYPE_OBJECT, "NoisePlaybackManager", &g_define_type_info, 0);
		g_type_add_interface_static (noise_playback_manager_type_id, NOISE_TYPE_PLAYER, &noise_player_info);
		g_once_init_leave (&noise_playback_manager_type_id__volatile, noise_playback_manager_type_id);
	}
	return noise_playback_manager_type_id__volatile;
}


static void _vala_noise_playback_manager_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	NoisePlaybackManager * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NOISE_TYPE_PLAYBACK_MANAGER, NoisePlaybackManager);
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	switch (property_id) {
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		case NOISE_PLAYBACK_MANAGER_QUEUE_PLAYLIST_PROPERTY:
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		g_value_set_object (value, noise_playback_manager_get_queue_playlist (self));
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		break;
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		case NOISE_PLAYBACK_MANAGER_IS_SHUFFLED_PROPERTY:
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		g_value_set_boolean (value, noise_playback_manager_get_is_shuffled (self));
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		break;
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		case NOISE_PLAYBACK_MANAGER_LIBRARY_PROPERTY:
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		g_value_set_object (value, noise_playback_manager_get_library (self));
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		break;
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		case NOISE_PLAYBACK_MANAGER_CURRENT_INDEX_PROPERTY:
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		g_value_set_int (value, noise_playback_manager_get_current_index (self));
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		break;
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		case NOISE_PLAYBACK_MANAGER_PLAYING_PROPERTY:
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		g_value_set_boolean (value, noise_playback_manager_get_playing (self));
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		break;
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		case NOISE_PLAYBACK_MANAGER_VOLUME_PROPERTY:
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		g_value_set_double (value, noise_playback_manager_get_volume (self));
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		break;
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		case NOISE_PLAYBACK_MANAGER_CURRENT_MEDIA_PROPERTY:
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		g_value_set_object (value, noise_playback_manager_get_current_media (self));
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		break;
#line 3759 "PlaybackManager.c"
		default:
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		break;
#line 3765 "PlaybackManager.c"
	}
}


static void _vala_noise_playback_manager_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	NoisePlaybackManager * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NOISE_TYPE_PLAYBACK_MANAGER, NoisePlaybackManager);
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
	switch (property_id) {
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		case NOISE_PLAYBACK_MANAGER_QUEUE_PLAYLIST_PROPERTY:
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		noise_playback_manager_set_queue_playlist (self, g_value_get_object (value));
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		break;
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		case NOISE_PLAYBACK_MANAGER_IS_SHUFFLED_PROPERTY:
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		noise_playback_manager_set_is_shuffled (self, g_value_get_boolean (value));
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		break;
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		case NOISE_PLAYBACK_MANAGER_CURRENT_INDEX_PROPERTY:
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		noise_playback_manager_set_current_index (self, g_value_get_int (value));
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		break;
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		case NOISE_PLAYBACK_MANAGER_PLAYING_PROPERTY:
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		noise_playback_manager_set_playing (self, g_value_get_boolean (value));
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		break;
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		case NOISE_PLAYBACK_MANAGER_VOLUME_PROPERTY:
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		noise_playback_manager_set_volume (self, g_value_get_double (value));
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		break;
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		case NOISE_PLAYBACK_MANAGER_CURRENT_MEDIA_PROPERTY:
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		noise_playback_manager_set_current_media (self, g_value_get_object (value));
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		break;
#line 3811 "PlaybackManager.c"
		default:
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 35 "/builddir/build/BUILD/music-0.4.2/src/PlaybackManager.vala"
		break;
#line 3817 "PlaybackManager.c"
	}
}



